<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 5                                                    ***
  ***      File:  support_messages.php                                     ***
  ***      Built: Tue Jun  6 16:19:04 2017                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// support messages
	define("SUPPORT_TITLE", "Supportcenter");
	define("SUPPORT_REQUEST_INF_TITLE", "Fråga efter information");
	define("SUPPORT_REPLY_FORM_TITLE", "Svara");
	define("SUPPORT_SHORT_TITLE", "Support");

	define("MY_SUPPORT_ISSUES_MSG", "Mina Support-frågor");
	define("MY_SUPPORT_ISSUES_DESC", "Om du råkar ut för några problem med en produkt som du har köpt, kan vår support ta hand om dig. Vänligen kontakta oss genom att klicka på länken ovan för att skicka en förfrågan till support. ");
	define("NEW_SUPPORT_REQUEST_MSG", "Ny förfrågan");
	define("SUPPORT_REQUEST_ADDED_MSG", "Tack så mycket!<br>Vår support kommer försöka hjälpa dig så snart som möjligt.");
	define("SUPPORT_SELECT_DEP_MSG", "Välj område");
	define("SUPPORT_SELECT_PROD_MSG", "Välj produkt");
	define("SUPPORT_SELECT_STATUS_MSG", "Välj status");
	define("SUPPORT_NOT_VIEWED_MSG", "Inte visad");
	define("SUPPORT_VIEWED_BY_USER_MSG", "Visad av kund");
	define("SUPPORT_VIEWED_BY_ADMIN_MSG", "Visad av adminstrator");
	define("SUPPORT_STATUS_NEW_MSG", "Ny");
	define("NO_SUPPORT_REQUEST_MSG", "Inga supportfrågor hittades");

	define("SUPPORT_SUMMARY_COLUMN", "Summering");
	define("SUPPORT_TYPE_COLUMN", "Typ");
	define("SUPPORT_UPDATED_COLUMN", "Senast uppdaterad");

	define("SUPPORT_USER_NAME_FIELD", "Ditt namn");
	define("SUPPORT_USER_EMAIL_FIELD", "Din epostadress");
	define("SUPPORT_IDENTIFIER_FIELD", "Fakturanummer");
	define("SUPPORT_ENVIRONMENT_FIELD", "Datamiljö (OS, Databas, Webserver, etc)");
	define("SUPPORT_DEPARTMENT_FIELD", "Avdelning");
	define("SUPPORT_PRODUCT_FIELD", "Produkt");
	define("SUPPORT_TYPE_FIELD", "Typ");
	define("SUPPORT_CURRENT_STATUS_FIELD", "Nuvarande status");
	define("SUPPORT_SUMMARY_FIELD", "Enradssummering");
	define("SUPPORT_DESCRIPTION_FIELD", "Beskrivning");
	define("SUPPORT_MESSAGE_FIELD", "Meddelande");
	define("SUPPORT_ADDED_FIELD", "Inlagd");
	define("SUPPORT_ADDED_BY_FIELD", "Inlagd av");
	define("SUPPORT_UPDATED_FIELD", "Senast uppdaterad");

	define("SUPPORT_REQUEST_BUTTON", "Skicka förfrågan");
	                                    
	define("SUPPORT_MISS_ID_ERROR", "Saknar <b>Support-ID</b>-parameter");
	define("SUPPORT_MISS_CODE_ERROR", "Saknar <b>Verifikations</b>-paramenter");
	define("SUPPORT_WRONG_ID_ERROR", "<b>Support-ID</b>-parametern har fel värde");
	define("SUPPORT_WRONG_CODE_ERROR", "<b>Verifikations</b>-parameter har fel värde");

	define("MAIL_DATA_MSG", "Maildata");
	define("HEADERS_MSG", "Rubriker");
	define("ORIGINAL_TEXT_MSG", "Originaltext");
	define("ORIGINAL_HTML_MSG", "Original-HTML");
	define("CLOSE_TICKET_NOT_ALLOWED_MSG", "Tyvärr, men du har inte tillåtelse att stänga etiketter.<br>");
	define("REPLY_TICKET_NOT_ALLOWED_MSG", "Tyvärr, men du har inte tillåtelse att svara på etiketter.<br>");
	define("CREATE_TICKET_NOT_ALLOWED_MSG", "Tyvärr, men du har inte tillåtelse att skapa nya etiketter.<br>");
	define("REMOVE_TICKET_NOT_ALLOWED_MSG", "Tyvärr, men du har inte tillåtelse att ta bort etiketter.<br>");
	define("UPDATE_TICKET_NOT_ALLOWED_MSG", "Tyvärr, men du har inte tillåtelse att uppdatera etiketter.<br>");
	define("NO_TICKETS_FOUND_MSG", "Inga etiketter hittades.");
	define("HIDDEN_TICKETS_MSG", "Gömda etiketter");
	define("ALL_TICKETS_MSG", "Alla etiketter");
	define("ACTIVE_TICKETS_MSG", "Aktivera etiketter");
	define("NOT_ASSIGNED_THIS_DEP_MSG", "Du har inte tillgång till denna avdelningen.");
	define("NOT_ASSIGNED_ANY_DEP_MSG", "Du har inte tillgång till någon avdelning.");
	define("REPLY_TO_NAME_MSG", "Svara till {name}");
	define("KNOWLEDGE_CATEGORY_MSG", "Kunskapskategori");
	define("KNOWLEDGE_TITLE_MSG", "Kunskapstitel");
	define("KNOWLEDGE_ARTICLE_STATUS_MSG", "Kunskapsartikel status");
	define("SELECT_RESPONSIBLE_MSG", "Välj ansvarsområde");
	//ticket types
	define("TICKET_BUG_ISSUE_MSG", "Bug/Issue");
	define("TICKET_QUESTION_MSG", "Question");
	define("TICKET_WISH_REQUEST_MSG", "Wish/Request");
	define("TICKET_OTHER_MSG", "Other");
	define("TICKET_QUOTE_MSG", "Quote");
	//ticket statuses
	define("TICKET_NEW_MSG", "New");
	define("TICKET_ANSWERED_MSG", "Answered");
	define("TICKET_REQUEST_INFO_MSG", "Request More Information");
	define("TICKET_INVESTIGATING_MSG", "Investigating");
	define("TICKET_CLOSED_MSG", "Closed");
	define("TICKET_ASSIGNED_MANAGER_MSG", "Assigned to Manager");
	define("TICKET_CUSOMER_REPLY_MSG", "Customer Reply");
	define("TICKET_ADDED_KB_MSG", "Added to Knowledge Base ");

	define("CHATS_MSG", "Chats");
	define("START_CHATTING_MSG", "Start Chatting");
	define("SUPPORT_LIVE_MSG", "Live Support");
	define("SUPPORT_ONLINE_DESC", "Hello, we are online, <br />click here to start chatting");
	define("SUPPORT_OFFLINE_DESC", "Sorry, we are offline, <br />click here to send us message");
	define("CHATS_WAITING_MSG", "<b>{number}</b> chats waiting");
	define("CHAT_QUESTION_MSG", "Question");
	define("INCOMING_REQUESTS_MSG", "{number} incomming requests");
	define("YOUR_STATUS_MSG", "Your status:");
	define("NO_CHATS_WAITING_MSG", "There are no users waiting to chat.");
	define("WAITING_MSG", "Waiting");
	define("CHATTING_MSG", "Chatting");
	define("EXIT_CHAT_MSG", "Exit Chat");
	define("CLOSE_CHAT_MSG", "Close Chat");
	define("CLOSE_CHAT_QST", "Whould you like to close this chat?");
	define("CHAT_SYSTEM_MSG", "System");
	define("USER_JOINED_CHAT_MSG", "{name} has joined chat.");
	define("USER_CLOSED_CHAT_MSG", "{name} has closed chat.");
	define("CHAT_AUTO_CLOSED_MSG", "Chat has been closed automatically due to inactivity.");

?>