<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 5                                                    ***
  ***      File:  support_messages.php                                     ***
  ***      Built: Tue Jun  6 16:19:04 2017                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// support messages
	define("SUPPORT_TITLE", "Centro de Suporte");
	define("SUPPORT_REQUEST_INF_TITLE", "Solicitar informações");
	define("SUPPORT_REPLY_FORM_TITLE", "Responder");
	define("SUPPORT_SHORT_TITLE", "Support");

	define("MY_SUPPORT_ISSUES_MSG", "Minhas solicitações de suporte");
	define("MY_SUPPORT_ISSUES_DESC", "Se você tiver problemas com algum produto comprado conosco, nossa equipe de suporte esta a disposição para ajudà-lo. Clique no link acima para solicitar suporte.");
	define("NEW_SUPPORT_REQUEST_MSG", "Nova solicitação");
	define("SUPPORT_REQUEST_ADDED_MSG", "Obrigado<br>Nossa equipe de suporte entrará em contato em até 1 dia útil.");
	define("SUPPORT_SELECT_DEP_MSG", "Escolher departamento");
	define("SUPPORT_SELECT_PROD_MSG", "Selecionar produto");
	define("SUPPORT_SELECT_STATUS_MSG", "Selecionar situação");
	define("SUPPORT_NOT_VIEWED_MSG", "Não Visualizado");
	define("SUPPORT_VIEWED_BY_USER_MSG", "Visualizado pelo usuário");
	define("SUPPORT_VIEWED_BY_ADMIN_MSG", "Visualizado pelo administrador");
	define("SUPPORT_STATUS_NEW_MSG", "Novo");
	define("NO_SUPPORT_REQUEST_MSG", "Nenhuma solicitação de suporte foi encontrada");

	define("SUPPORT_SUMMARY_COLUMN", "Sumàrio");
	define("SUPPORT_TYPE_COLUMN", "Tipo");
	define("SUPPORT_UPDATED_COLUMN", "Ultima atualização");

	define("SUPPORT_USER_NAME_FIELD", "Seu nome");
	define("SUPPORT_USER_EMAIL_FIELD", "Seu email");
	define("SUPPORT_IDENTIFIER_FIELD", "Identificador (Nº da fatura)");
	define("SUPPORT_ENVIRONMENT_FIELD", "Ambiente (OS, Banco de dados, Web Server, etc.)");
	define("SUPPORT_DEPARTMENT_FIELD", "Departamento");
	define("SUPPORT_PRODUCT_FIELD", "Produto");
	define("SUPPORT_TYPE_FIELD", "Tipo");
	define("SUPPORT_CURRENT_STATUS_FIELD", "Situação atual");
	define("SUPPORT_SUMMARY_FIELD", "Sumàrio online");
	define("SUPPORT_DESCRIPTION_FIELD", "Descrição");
	define("SUPPORT_MESSAGE_FIELD", "Mensagem");
	define("SUPPORT_ADDED_FIELD", "Adicionado");
	define("SUPPORT_ADDED_BY_FIELD", "Adicionado por");
	define("SUPPORT_UPDATED_FIELD", "Ultima atualização");

	define("SUPPORT_REQUEST_BUTTON", "Submeter solicitação");
	                                    
	define("SUPPORT_MISS_ID_ERROR", "Parâmeto  de <b>Identificador de suporte </b> faltando");
	define("SUPPORT_MISS_CODE_ERROR", "Parâmeto  de <b>Verificação</b> faltando");
	define("SUPPORT_WRONG_ID_ERROR", "O parâmeto <b>Identificador de suporte </b> possui um valor incorreto");
	define("SUPPORT_WRONG_CODE_ERROR", "O parâmeto <b>Verificação </b> possui um valor incorreto");

	define("MAIL_DATA_MSG", "Dados de email");
	define("HEADERS_MSG", "Headers");
	define("ORIGINAL_TEXT_MSG", "Texto original");
	define("ORIGINAL_HTML_MSG", "HTML original");
	define("CLOSE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to close tickets.<br>");
	define("REPLY_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to reply tickets.<br>");
	define("CREATE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to create new tickets.<br>");
	define("REMOVE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to remove tickets.<br>");
	define("UPDATE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to update tickets.<br>");
	define("NO_TICKETS_FOUND_MSG", "No tickets were found.");
	define("HIDDEN_TICKETS_MSG", "Hidden Tickets");
	define("ALL_TICKETS_MSG", "All Tickets");
	define("ACTIVE_TICKETS_MSG", "Active Tickets");
	define("NOT_ASSIGNED_THIS_DEP_MSG", "You are not assigned to this department.");
	define("NOT_ASSIGNED_ANY_DEP_MSG", "You are not assigned to any department.");
	define("REPLY_TO_NAME_MSG", "Reply to {name}");
	define("KNOWLEDGE_CATEGORY_MSG", "Knowledge Category");
	define("KNOWLEDGE_TITLE_MSG", "Knowledge Title");
	define("KNOWLEDGE_ARTICLE_STATUS_MSG", "Knowledge Article Status");
	define("SELECT_RESPONSIBLE_MSG", "Select Responsible");
	//ticket types
	define("TICKET_BUG_ISSUE_MSG", "Bug/Issue");
	define("TICKET_QUESTION_MSG", "Question");
	define("TICKET_WISH_REQUEST_MSG", "Wish/Request");
	define("TICKET_OTHER_MSG", "Other");
	define("TICKET_QUOTE_MSG", "Quote");
	//ticket statuses
	define("TICKET_NEW_MSG", "New");
	define("TICKET_ANSWERED_MSG", "Answered");
	define("TICKET_REQUEST_INFO_MSG", "Request More Information");
	define("TICKET_INVESTIGATING_MSG", "Investigating");
	define("TICKET_CLOSED_MSG", "Closed");
	define("TICKET_ASSIGNED_MANAGER_MSG", "Assigned to Manager");
	define("TICKET_CUSOMER_REPLY_MSG", "Customer Reply");
	define("TICKET_ADDED_KB_MSG", "Added to Knowledge Base ");

	define("CHATS_MSG", "Chats");
	define("START_CHATTING_MSG", "Start Chatting");
	define("SUPPORT_LIVE_MSG", "Live Support");
	define("SUPPORT_ONLINE_DESC", "Hello, we are online, <br />click here to start chatting");
	define("SUPPORT_OFFLINE_DESC", "Sorry, we are offline, <br />click here to send us message");
	define("CHATS_WAITING_MSG", "<b>{number}</b> chats waiting");
	define("CHAT_QUESTION_MSG", "Question");
	define("INCOMING_REQUESTS_MSG", "{number} incomming requests");
	define("YOUR_STATUS_MSG", "Your status:");
	define("NO_CHATS_WAITING_MSG", "There are no users waiting to chat.");
	define("WAITING_MSG", "Waiting");
	define("CHATTING_MSG", "Chatting");
	define("EXIT_CHAT_MSG", "Exit Chat");
	define("CLOSE_CHAT_MSG", "Close Chat");
	define("CLOSE_CHAT_QST", "Whould you like to close this chat?");
	define("CHAT_SYSTEM_MSG", "System");
	define("USER_JOINED_CHAT_MSG", "{name} has joined chat.");
	define("USER_CLOSED_CHAT_MSG", "{name} has closed chat.");
	define("CHAT_AUTO_CLOSED_MSG", "Chat has been closed automatically due to inactivity.");

?>