<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 5                                                    ***
  ***      File:  messages.php                                             ***
  ***      Built: Tue Jun  6 16:19:04 2017                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	define("CHARSET", "utf-8");
	// date messages
	define("YEAR_MSG", "Year");
	define("YEARS_QTY_MSG", "{quantity} years");
	define("MONTH_MSG", "Month");
	define("MONTHS_QTY_MSG", "{quantity} months");
	define("DAY_MSG", "Day");
	define("DAYS_MSG", "Days");
	define("DAYS_QTY_MSG", "{quantity} days");
	define("HOUR_MSG", "Hour");
	define("HOURS_QTY_MSG", "{quantity} hours");
	define("MINUTE_MSG", "Minute");
	define("MINUTES_QTY_MSG", "{quantity} minutes");
	define("SECOND_MSG", "Second");
	define("SECONDS_QTY_MSG", "{quantity} seconds");
	define("WEEK_MSG", "Week");
	define("WEEKS_QTY_MSG", "{quantity} weeks");
	define("TODAY_MSG", "Today");
	define("YESTERDAY_MSG", "Yesterday");
	define("LAST_7DAYS_MSG", "Last 7 Days");
	define("THIS_MONTH_MSG", "This Month");
	define("LAST_MONTH_MSG", "Last Month");
	define("THIS_QUARTER_MSG", "This Quarter");
	define("THIS_YEAR_MSG", "This Year");
	define("CURRENT_DATE_MSG", "Current Date");
	define("CURRENT_TIME_MSG", "Current Time");
	define("DATE_MSG", "Date");

	// months
	define("JANUARY", "January");
	define("FEBRUARY", "February");
	define("MARCH", "March");
	define("APRIL", "April");
	define("MAY", "May");
	define("JUNE", "June");
	define("JULY", "July");
	define("AUGUST", "August");
	define("SEPTEMBER", "September");
	define("OCTOBER", "October");
	define("NOVEMBER", "November");
	define("DECEMBER", "December");

	define("JANUARY_SHORT", "Jan");
	define("FEBRUARY_SHORT", "Feb");
	define("MARCH_SHORT", "Mar");
	define("APRIL_SHORT", "Apr");
	define("MAY_SHORT", "May");
	define("JUNE_SHORT", "Jun");
	define("JULY_SHORT", "Jul");
	define("AUGUST_SHORT", "Aug");
	define("SEPTEMBER_SHORT", "Sep");
	define("OCTOBER_SHORT", "Oct");
	define("NOVEMBER_SHORT", "Nov");
	define("DECEMBER_SHORT", "Dec");

	// weekdays
	define("SUNDAY", "Sunday");
	define("MONDAY", "Monday");
	define("TUESDAY", "Tuesday");
	define("WEDNESDAY", "Wednesday");
	define("THURSDAY", "Thursday");
	define("FRIDAY", "Friday");
	define("SATURDAY", "Saturday");

	define("SUNDAY_SHORT", "Sun");
	define("MONDAY_SHORT", "Mon");
	define("TUESDAY_SHORT", "Tue");
	define("WEDNESDAY_SHORT", "Wed");
	define("THURSDAY_SHORT", "Thu");
	define("FRIDAY_SHORT", "Fri");
	define("SATURDAY_SHORT", "Sat");

	// validation messages
	define("REQUIRED_MESSAGE", "<b>{field_name}</b> is required");
	define("UNIQUE_MESSAGE", "The value in field <b>{field_name}</b> is already in database");
	define("VALIDATION_MESSAGE", "Validation failed for field <b>{field_name}</b>");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> and <b>{field_two}</b> didn't match");
	define("INSERT_ALLOWED_ERROR", "Sorry, but insert operation is not allowed for you");
	define("UPDATE_ALLOWED_ERROR", "Sorry, but update operation is not allowed for you");
	define("DELETE_ALLOWED_ERROR", "Sorry, but delete operation is not allowed for you");
	define("ALPHANUMERIC_ALLOWED_ERROR", "Only alpha-numeric characters, hyphen and underscore are allowed for field <b>{field_name}</b>");
	define("CORRECT_ERRORS_BELOW_MSG", "Please correct the errors below before continuing.");
	define("CORRECT_HIGHLIGHTED_FIELDS_MSG", "Please fill in all highlighted fields with correct values.");

	define("INCORRECT_DATE_MESSAGE", "<b>{field_name}</b> has incorrect date value. Use calendar dates");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> didn't match with mask. Use following '<b>{field_mask}</b>'");
	define("INCORRECT_EMAIL_MESSAGE", "Invalid email format in field {field_name}");
	define("INCORRECT_VALUE_MESSAGE", "Incorrect value in field <b>{field_name}</b>");

	define("MIN_VALUE_MESSAGE", "The value in field <b>{field_name}</b> can't be less than {min_value}");
	define("MAX_VALUE_MESSAGE", "The value in field <b>{field_name}</b> can't be greater than {max_value}");
	define("MIN_LENGTH_MESSAGE", "The length in field <b>{field_name}</b> can't be less than {min_length} symbols");
	define("MAX_LENGTH_MESSAGE", "The length in field <b>{field_name}</b> can't be greater than {max_length} symbols");
	define("MIN_MAX_VALUE_MSG", "Please enter a value between {min_value} and {max_value}.");


	define("FILE_PERMISSION_MESSAGE", "Don't have writable permission to file <b>'{file_name}'</b>. Please change file permission before continue");
	define("FOLDER_PERMISSION_MESSAGE", "Don't have writable permission to folder <b>'{folder_name}'</b>. Please change folder permission before continue");
	define("INVALID_EMAIL_MSG", "Your email is not valid.");
	define("DATABASE_ERROR_MSG", "Database error has occurred");
	define("BLACK_IP_MSG", "This action is not permitted from your host.");
	define("BANNED_CONTENT_MSG", "Sorry, the provided content contains illegal statement.");
	define("ERRORS_MSG", "Errors");
	define("REGISTERED_ACCESS_MSG", "Only registered users could access this option.");
	define("SELECT_FROM_LIST_MSG", "Select from list");

	// titles 
	define("TOP_RATED_TITLE", "Top Rated");
	define("TOP_VIEWED_TITLE", "Top Viewed");
	define("RECENTLY_VIEWED_TITLE", "Recently Viewed");
	define("HOT_TITLE", "Hot");
	define("LATEST_TITLE", "Latest");
	define("CONTENT_TITLE", "Content");
	define("RELATED_TITLE", "Related");
	define("SEARCH_TITLE", "Search");
	define("ADVANCED_SEARCH_TITLE", "Advanced Search");
	define("LOGIN_TITLE", "User Login");
	define("CATEGORIES_TITLE", "Categories");
	define("MANUFACTURERS_TITLE", "Manufacturers");
	define("SPECIAL_OFFER_TITLE", "Special Offer");
	define("NEWS_TITLE", "News");
	define("EVENTS_TITLE", "Events");
	define("PROFILE_TITLE", "Profile");
	define("USER_HOME_TITLE", "Home Page");
	define("DOWNLOAD_TITLE", "Download");
	define("FAQ_TITLE", "Frequently Asked Questions");
	define("POLL_TITLE", "Poll");
	define("HOME_PAGE_TITLE", "Home Page");
	define("CURRENCY_TITLE", "Currency");
	define("SUBSCRIBE_TITLE", "Subscribe");
	define("UNSUBSCRIBE_TITLE", "Unsubscribe");
	define("UPLOAD_TITLE", "Upload");
	define("ADS_TITLE", "Ads");
	define("ADS_COMPARE_TITLE", "Ads Comparison");
	define("ADS_SELLERS_TITLE", "Sellers");
	define("AD_REQUEST_TITLE", "Make an Offer / Ask Seller a Question");
	define("LANGUAGE_TITLE", "Languages");
	define("MERCHANTS_TITLE", "Merchants");
	define("PREVIEW_TITLE", "Preview");
	define("ARTICLES_TITLE", "Articles");
	define("SITE_MAP_TITLE", "Site Map");
	define("LAYOUTS_TITLE", "Layouts");
	define("LINKS_TITLE", "Links");
	define("PROFILES_TITLE", "Profiles");
	define("DATING_TITLE", "Dating");
	define("RANDOM_TITLE", "Random");
	define("AUTHORS_MSG", "Authors");
	define("AUTHOR_MSG", "Author");
	define("ALBUMS_MSG", "Albums");
	define("ALBUM_MSG", "Album");

	// menu items
	define("MENU_MSG", "Menu");
	define("MENU_ABOUT", "about us");
	define("MENU_ACCOUNT", "your account");
	define("MENU_BASKET", "your basket");
	define("MENU_CONTACT", "contact us");
	define("MENU_DOCUMENTATION", "documentation");
	define("MENU_DOWNLOADS", "downloads");
	define("MENU_EVENTS", "events");
	define("MENU_FAQ", "faq");
	define("MENU_FORUM", "forum");
	define("MENU_HELP", "help");
	define("MENU_HOME", "home");
	define("MENU_HOW", "how to shop");
	define("MENU_MEMBERS", "members");
	define("MENU_MYPROFILE", "my profile");
	define("MENU_NEWS", "news");
	define("MENU_PRIVACY", "privacy");
	define("MENU_PRODUCTS", "products");
	define("MENU_REGISTRATION", "registration");
	define("MENU_SHIPPING", "shipping");
	define("MENU_SIGNIN", "sign in");
	define("MENU_SIGNOUT", "sign out");
	define("MENU_SUPPORT", "support");
	define("MENU_USERHOME", "user home");
	define("MENU_ADS", "classified ads");
	define("MENU_ADMIN", "administration");
	define("MENU_KNOWLEDGE", "Knowledge Base");
	define("NAVIGATION_BAR_MSG", "Navigation Bar");
	define("MAIN_PAGES_MSG", "Main Pages");

	// main terms
	define("NO_MSG", "No");
	define("YES_MSG", "Yes");
	define("NOT_AVAILABLE_MSG", "N/A");
	define("MORE_MSG", "more...");
	define("READ_MORE_MSG", "read more...");
	define("ADD_MORE_MSG", "Add more");
	define("CLICK_HERE_MSG", "click here");
	define("ENTER_YOUR_MSG", "Enter your");
	define("CHOOSE_A_MSG", "Choose a");
	define("PLEASE_CHOOSE_MSG", "Please choose");
	define("SELECT_MSG", "Select");
	define("DATE_FORMAT_MSG", "use following format <b>{date_format}</b>");
	define("NEXT_PAGE_MSG", "Next");
	define("PREV_PAGE_MSG", "Previous");
	define("FIRST_PAGE_MSG", "First");
	define("LAST_PAGE_MSG", "Last");
	define("OF_PAGE_MSG", "of");
	define("TOP_CATEGORY_MSG", "Top");
	define("SEARCH_IN_CURRENT_MSG", "Current Category");
	define("SEARCH_IN_ALL_MSG", "All Categories");
	define("FOUND_IN_MSG", "Found in");
	define("TOTAL_VIEWS_MSG", "Total Views");
	define("VOTES_MSG", "Votes");
	define("TOTAL_VOTES_MSG", "Total Votes");
	define("TOTAL_POINTS_MSG", "Total Points");
	define("VIEW_RESULTS_MSG", "View Results");
	define("PREVIOUS_POLLS_MSG", "Previous Polls");
	define("TOTAL_MSG", "Total");
	define("CLOSED_MSG", "Closed");
	define("CLOSE_WINDOW_MSG", "Close Window");
	define("ASTERISK_MSG", "asterisk (<span class=\"required\">*</span>) - required fields");
	define("PROVIDE_INFO_MSG", "Please provide information in the sections with red then click '{button_name}'");
	define("FOUND_ARTICLES_MSG", "We've found <b>{found_records}</b> articles matching the term(s) '<b>{search_string}</b>'");
	define("NO_ARTICLE_MSG", "Article with this ID isn't available");
	define("NO_ARTICLES_MSG", "No articles were found");
	define("COMMENT_MSG", "Comment");
	define("NOTES_MSG", "Notes");
	define("KEYWORDS_MSG", "Keywords");
	define("TAGS_MSG", "Tags");
	define("TAG_MSG", "Tag");
	define("LINK_URL_MSG", "Link");
	define("DOWNLOAD_URL_MSG", "Download");
	define("SUBSCRIBE_FORM_MSG", "To get our newsletter please enter your email address in the box below and press '{button_name}' button.");
	define("UNSUBSCRIBE_FORM_MSG", "Please type your email address in the box below and press '{button_name}' button.");
	define("SUBSCRIBE_LINK_MSG", "Subscribe");
	define("UNSUBSCRIBE_LINK_MSG", "Unsubscribe");
	define("SUBSCRIBED_MSG", "Congratulations! You are now a fully subscribed member of the newsletter.");
	define("ALREADY_SUBSCRIBED_MSG", "You have already subscribed to our mailing list. Thank you.");
	define("UNSUBSCRIBED_MSG", "You have successfully unsubscribed from the newsletter. Thank you.");
	define("UNSUBSCRIBED_ERROR_MSG", "We're sorry but we cannot find a match for your email address in our database; you have probably already unsubscribed from the newsletter.");
	define("FORGOT_PASSWORD_MSG", "Forgot your password?");
	define("FORGOT_PASSWORD_DESC", "Please enter the email address you used when you registered:");
	define("FORGOT_EMAIL_ERROR_MSG", "We're sorry but we cannot find a match for your email address in our database.");
	define("FORGOT_EMAIL_SENT_MSG", "Login instructions details have been sent to your email address.");
	define("RESET_PASSWORD_REQUIRE_MSG", "Some required parameters were missed.");
	define("RESET_PASSWORD_PARAMS_MSG", "The parameters you supplied does not match any in the database.");
	define("RESET_PASSWORD_EXPIRY_MSG", "The reset code you supplied has expired. Please request a new code to reset your password.");
	define("RESET_PASSWORD_SAVED_MSG", "Your new password was successfully saved.");
	define("PRINTER_FRIENDLY_MSG", "Printer Friendly");
	define("PRINT_PAGE_MSG", "Print this page");
	define("ATTACHMENTS_MSG", "Attachments");
	define("ATTACHMENT_MSG", "Attachment");
	define("VIEW_DETAILS_MSG", "View Details");
	define("HTML_MSG", "HTML");
	define("PLAIN_TEXT_MSG", "Plain Text");
	define("META_DATA_MSG", "Meta Data");
	define("META_TITLE_MSG", "Page Title");
	define("META_KEYWORDS_MSG", "Meta Keywords");
	define("META_DESCRIPTION_MSG", "Meta Description");
	define("FRIENDLY_URL_MSG", "Friendly URL");
	define("IMAGES_MSG", "Images");
	define("IMAGE_MSG", "Image");
	define("TINY_MSG", "Tiny");
	define("IMAGE_TINY_MSG", "Tiny Image");
	define("IMAGE_TINY_ALT_MSG", "Tiny Image Alt");
	define("SMALL_MSG", "Small");
	define("IMAGE_SMALL_MSG", "Small Image");
	define("IMAGE_SMALL_DESC", "shown on list page");
	define("IMAGE_SMALL_ALT_MSG", "Small Image Alt");
	define("LARGE_MSG", "Large");
	define("IMAGE_LARGE_MSG", "Large Image");
	define("IMAGE_LARGE_DESC", "shown on details page");
	define("IMAGE_LARGE_ALT_MSG", "Large Image Alt");
	define("SUPERSIZED_MSG", "Supersized");
	define("IMAGE_SUPER_MSG", "Super-Sized Image");
	define("IMAGE_SUPER_DESC", "image popup in the new window");
	define("IMAGE_POSITION_MSG", "Image Position");
	define("UPLOAD_IMAGE_MSG", "Upload Image");
	define("UPLOAD_FILE_MSG", "Upload File");
	define("SELECT_IMAGE_MSG", "Select Image");
	define("SELECT_FILE_MSG", "Select File");
	define("UPLOAD_PHOTO_MSG", "Upload Photo");
	define("MANAGE_PHOTOS_MSG", "Manage Photos");
	define("SHOW_BELOW_PRODUCT_IMAGE_MSG", "show image below large product image");
	define("SHOW_IN_SEPARATE_SECTION_MSG", "show image in separate images section");
	define("DRAG_FILES_MSG", "Drag files here or select them manually");
	define("DRAFT_MSG", "Draft");
	define("IS_APPROVED_MSG", "Approved");
	define("APPROVED_MSG", "Approved");
	define("NOT_APPROVED_MSG", "Not Approved");
	define("IS_ACTIVE_MSG", "Is Active?");
	define("CATEGORY_MSG", "Category");
	define("SELECT_CATEGORY_MSG", "Select Category");
	define("REDIRECT_TO_CATEGORY_MSG", "Redirect to Category");
	define("DESCRIPTION_MSG", "Description");
	define("SHORT_DESCRIPTION_MSG", "Short Description");
	define("FULL_DESCRIPTION_MSG", "Full Description");
	define("HIGHLIGHTS_MSG", "Highlights");
	define("SPECIAL_OFFER_MSG", "Special Offer");
	define("ARTICLE_MSG", "Article");
	define("OTHER_MSG", "Other");
	define("MEASUREMENT_UNITS_MSG", "Measurement Units");
	define("WIDTH_MSG", "Width");
	define("HEIGHT_MSG", "Height");
	define("LENGTH_MSG", "Length");
	define("WEIGHT_MSG", "Weight");
	define("WEIGHT_TOTAL_MSG", "Weight Total");
	define("CHARGEABLE_WEIGHT_MSG", "chargeable weight");
	define("ACTUAL_WEIGHT_MSG", "Actual Weight");
	define("QUANTITY_MSG", "Quantity");
	define("CALENDAR_MSG", "Calendar");
	define("FROM_DATE_MSG", "From Date");
	define("TO_DATE_MSG", "To Date");
	define("TIME_PERIOD_MSG", "Time Period");
	define("TIME_INTERVAL_MSG", "Time Interval");
	define("GROUP_BY_MSG", "Group By");
	define("BIRTHDAY_MSG", "Birthday");
	define("BIRTH_DATE_MSG", "Birth Date");
	define("BIRTH_YEAR_MSG", "Birth Year");
	define("BIRTH_MONTH_MSG", "Birth Month");
	define("BIRTH_DAY_MSG", "Birth Day");
	define("STEP_NUMBER_MSG", "Step {current_step} of {total_steps}");
	define("WHERE_STATUS_IS_MSG", "Where status is");
	define("ID_MSG", "ID");
	define("QTY_MSG", "Qty");
	define("TYPE_MSG", "Type");
	define("NAME_MSG", "Name");
	define("TITLE_MSG", "Title");
	define("DEFAULT_MSG", "Default");
	define("OPTIONS_MSG", "Options");
	define("EDIT_MSG", "Edit");
	define("MULTI_EDIT_MSG", "Multi-edit");
	define("CONFIRM_DELETE_MSG", "Would you like to delete this {record_name}?");
	define("DESC_MSG", "Desc");
	define("ASC_MSG", "Asc");
	define("ACTIVE_MSG", "Active");
	define("INACTIVE_MSG", "Inactive");
	define("EXPIRED_MSG", "Expired");
	define("EMOTICONS_MSG", "Emoticons");
	define("EMOTION_ICONS_MSG", "Emotion Icons (smiles)");
	define("VIEW_MORE_EMOTICONS_MSG", "View more Emoticons");
	define("SITE_NAME_MSG", "Site Name");
	define("SITE_URL_MSG", "Site URL");
	define("SHORT_NAME_MSG", "Short Name");
	define("SORT_ORDER_MSG", "Sort Order");
	define("NEW_MSG", "New");
	define("USED_MSG", "Used");
	define("REFURBISHED_MSG", "Refurbished");
	define("ADD_NEW_MSG", "Add New");
	define("SETTINGS_MSG", "Settings");
	define("VIEW_MSG", "View");
	define("STATUS_MSG", "Status");
	define("NONE_MSG", "None");
	define("PRICE_MSG", "Price");
	define("SALE_PRICE_MSG", "Sale");
	define("TEXT_MSG", "Text");
	define("WARNING_MSG", "Warning");
	define("HIDDEN_MSG", "Hidden");
	define("CODE_MSG", "Code");
	define("LANGUAGE_MSG", "Language");
	define("DEFAULT_VIEW_TYPE_MSG", "Default View Type");
	define("CLICK_TO_OPEN_SECTION_MSG", "Click to open section");
	define("CURRENCY_WRONG_VALUE_MSG", "Currency code has wrong value.");
	define("TRANSACTION_AMOUNT_DOESNT_MATCH_MSG", "<b>Transaction Amount</b> and <b>Order Amount</b> doesn't match.");
	define("STATUS_CANT_BE_UPDATED_MSG", "The status for order #{order_id} can't be updated. ");
	define("CANT_FIND_STATUS_MSG", "Can't find the status with ID:{status_id}");
	define("NOTIFICATION_SENT_MSG", "Notification sent");
	define("AUTO_SUBMITTED_PAYMENT_MSG", "Auto-submitted payment");
	define("FONT_METRIC_FILE_ERROR", "Could not include font metric file");
	define("PER_LINE_MSG", "per line");
	define("PER_LETTER_MSG", "per letter");
	define("PER_NON_SPACE_LETTER_MSG", "per non-space letter");
	define("LETTERS_ALLOWED_MSG", "letters allowed");
	define("LETTERS_ALLOWED_PER_LINEMSG", "letters allowed per line");
	define("RENAME_MSG", "Rename");
	define("IMAGE_FORMAT_ERROR_MSG", "Image format is not supported by the GD library");
	define("GD_LIBRARY_ERROR_MSG", "GD library not loaded");
	define("INVALID_CODE_MSG", "Invalid code: ");
	define("INVALID_CODE_TYPE_MSG", "Invalid code type");
	define("INVALID_FILE_EXTENSION_MSG", "Invalid file extension:");
	define("FOLDER_WRITE_PERMISSION_MSG", "The folder doesn't exists or you do not have the permissions");
	define("UNDEFINED_RECORD_PARAMETER_MSG", "Undefined record parameter: <b>{parameter_name}</b>");
	define("MAX_RECORDS_LIMITATION_MSG", "You are not allowed to add more than <b>{max_records}</b> {records_name} for your version");
	define("ACCESS_DENIED_MSG", "You are not allowed to access this section.");
	define("DELETE_RECORDS_BEFORE_PROCEED_MSG", "Please delete some {records_name} before proceed.");
	define("FOLDER_DOESNT_EXIST_MSG", "The folder doesn't exist:");
	define("FILE_DOESNT_EXIST_MSG", "The file doesn't exist:");
	define("PARSE_ERROR_IN_BLOCK_MSG", "Parse error in block:");
	define("BLOCK_DOENT_EXIST_MSG", "Block doesn't exist:");
	define("NUMBER_OF_ELEMENTS_MSG", "Number of elements");
	define("MISSING_COMPONENT_MSG", "Missing component/parameter.");
	define("RELEASES_TITLE", "Releases");
	define("DETAILED_MSG", "Detailed");
	define("LIST_MSG", "List");
	define("READONLY_MSG", "Readonly");
	define("CREDIT_MSG", "Credit");
	define("ONLINE_MSG", "Online");
	define("OFFLINE_MSG", "Offline");
	define("SMALL_CART_MSG", "Small Cart");
	define("NEVER_MSG", "Never");
	define("SEARCH_EXACT_WORD_OR_PHRASE", "exact wording or phrase");
	define("SEARCH_ONE_OR_MORE", "one or more of these words");
	define("SEARCH_ALL", "all these words");
	define("RELATED_ARTICLES_MSG", "Related Articles");
	define("RELATED_FORUMS_MSG", "Related Forums");
	define("APPEARANCE_MSG", "Appearance");
	define("REMOVE_FILTER_MSG", "remove filter");

	define("RECORD_UPDATED_MSG", "The record has been successfully updated.");
	define("RECORD_ADDED_MSG", "New record has been successfully added.");
	define("RECORD_DELETED_MSG", "The record has been successfully deleted.");
	define("FAST_PRODUCT_ADDING_MSG", "Fast Product Adding");
	define("CHANGES_SAVED_MSG", "Changes saved");
	define("CURRENT_SUBSCRIPTION_MSG", "Current Subscription");
	define("SUBSCRIPTION_EXPIRATION_MSG", "Subscription expiration date");
	define("UPGRADE_DOWNGRADE_MSG", "Upgrade/Downgrade");
	define("SUBSCRIPTION_MONEY_BACK_MSG", "Subscription Money Back");
	define("MONEY_TO_CREDITS_BALANCE_MSG", "money will be added to your credits balance");
	define("USED_VOUCHERS_MSG", "Used Vouchers");
	define("VOUCHERS_TOTAL_MSG", "Vouchers Total");
	define("SUBSCRIPTIONS_GROUPS_MSG", "Subscriptions Groups");
	define("SUBSCRIPTIONS_GROUP_MSG", "Subscriptions Group");
	define("SUBSCRIPTIONS_MSG", "Subscriptions");
	define("SUBSCRIPTION_START_DATE_MSG", "Subscription Start Date");
	define("SUBSCRIPTION_EXPIRY_DATE_MSG", "Subscription Expiration Date");
	define("RECALCULATE_COMMISSIONS_AND_POINTS_MSG", "Automatically recalculate commissions and points for this item using price value");
	define("SUBSCRIPTION_PAGE_MSG", "Subscription page");
	define("SUBSCRIPTION_WITHOUT_REGISTRATION_MSG", "User can add subscriptions to his cart without registration");
	define("SUBSCRIPTION_REQUIRE_REGISTRATION_MSG", "User must have an account before accessing subscription page");

	define("MATCH_EXISTED_PRODUCTS_MSG", "Match Existing Products");
	define("MATCH_BY_ITEM_CODE_MSG", "by product code");
	define("MATCH_BY_MANUFACTURER_CODE_MSG", "by manufacturer code");

	define("ACCOUNT_SUBSCRIPTION_MSG", "Account subscription");
	define("ACCOUNT_SUBSCRIPTION_DESC", "To activate his account user needs to pay the subscription fee");
	define("SUBSCRIPTION_CANCELLATION_MSG", "Subscription cancellation");
	define("CONFIRM_CANCEL_SUBSCRIPTION_MSG", "Are you sure you want cancel this subscription?");
	define("CONFIRM_RETURN_SUBSCRIPTION_MSG", "Are you sure you want cancel this subscription and return {credits_amount} to balance?");
	define("CANCEL_SUBSCRIPTION_MSG", "Cancel Subscription");
	define("DONT_RETURN_MONEY_MSG", "Don't return the money");
	define("RETURN_MONEY_TO_CREDITS_BALANCE_MSG", "Return money for unused period to credits balance");
	define("UPGRADE_DOWNGRADE_TYPE_MSG", "Can user upgrade/downgrade his account type");

	define("PREDEFINED_TYPES_MSG", "Predefined Types");
	define("SHIPPING_TAX_PERCENT_MSG", "Shipping Tax Percent");
	define("PACKAGES_NUMBER_MSG", "Number of Packages");
	define("PER_PACKAGE_MSG", "per package");
	define("CURRENCY_SHOW_DESC", "user can choose this currency in which prices will be shown");
	define("CURRENCY_DEFAULT_SHOW_DESC", "all prices shown by default in this currency");
	define("RECOMMENDED_MSG", "Recomended");
	define("UPDATE_STATUS_MSG", "Update status");

	define("FIRST_CONTROLS_ARE_FREE_MSG", "First {free_price_amount} controls are free");
	define("FIRST_LETTERS_ARE_FREE_MSG", "First {free_price_amount} letters are free");
	define("FIRST_NONSPACE_LETTERS_ARE_FREE_MSG", "First  {free_price_amount} non-space letters are free");

	// email & SMS messages
	define("EMAIL_NOTIFICATION_MSG", "Email Notification");
	define("EMAIL_NOTIFICATION_ADMIN_MSG", "Administrator Email Notification");
	define("EMAIL_NOTIFICATION_USER_MSG", "User Email Notification");
	define("EMAIL_SEND_ADMIN_MSF", "Send notification to administrator ");
	define("EMAIL_SEND_USER_MSG", "Send notification to user");
	define("EMAIL_USER_IF_STATUS_MSG", "Send notification email to user when the status is applied");
	define("EMAIL_TO_MSG", "To");
	define("EMAIL_TO_USER_DESC", "Customer email used if is empty");
	define("EMAIL_FROM_MSG", "From");
	define("EMAIL_CC_MSG", "Cc");
	define("EMAIL_BCC_MSG", "Bcc");
	define("EMAIL_REPLY_TO_MSG", "Reply To");
	define("EMAIL_RETURN_PATH_MSG", "Return Path");
	define("EMAIL_SUBJECT_MSG", "Subject");
	define("EMAIL_MESSAGE_TYPE_MSG", "Message Type");
	define("EMAIL_MESSAGE_MSG", "Message");
	define("SMS_NOTIFICATION_MSG", "SMS Notification");
	define("SMS_NOTIFICATION_ADMIN_MSG", "Administrator SMS Notification");
	define("SMS_NOTIFICATION_USER_MSG", "User SMS Notification ");
	define("SMS_SEND_ADMIN_MSG", "Send SMS Notification to Administrator");
	define("SMS_SEND_USER_MSG", "Send SMS Notification to User ");
	define("SMS_USER_IF_STATUS_MSG", "Send SMS notification to user when the status is applied");
	define("SMS_RECIPIENT_MSG", "SMS Recipient");
	define("SMS_RECIPIENT_ADMIN_DESC", "administrator's cell phone number");
	define("SMS_RECIPIENT_USER_DESC", "if empty 'Cell phone' value is used");
	define("SMS_ORIGINATOR_MSG", "SMS Originator");
	define("SMS_MESSAGE_MSG", "SMS Message");

	// account messages
	define("LOGIN_AS_MSG", "You are logged in as {user_name}");
	define("LOGIN_INFO_MSG", "Login Information");
	define("ACCESS_HOME_MSG", "To access your account");
	define("REMEMBER_ME_MSG", "remember me");
	define("REMEMBER_LOGIN_MSG", "Remember my login and password");
	define("ENTER_LOGIN_MSG", "Enter your login and password to continue");
	define("LOGIN_PASSWORD_ERROR", "Password or Login is incorrect");
	define("ACCOUNT_APPROVE_ERROR", "Sorry, your account has not yet been approved.");
	define("ACCOUNT_EXPIRED_MSG", "Your account has expired.");
	define("SESSION_EXPIRED_MSG", "Your session has expired.");
	define("NEW_PROFILE_ERROR", "You don't have permissions to open an account.");
	define("EDIT_PROFILE_ERROR", "You don't have permissions to edit this profile.");
	define("CHANGE_DETAILS_MSG", "Change your details");
	define("CHANGE_DETAILS_DESC", "Change the contact or login information you entered when creating your account.");
	define("CHANGE_PASSWORD_MSG", "Change password");
	define("CHANGE_PASSWORD_DESC", "The link below will take you to the page were you can change your password");
	define("SIGN_UP_MSG", "Sign up now");
	define("MY_ACCOUNT_MSG", "My Account");
	define("NEW_USER_MSG", "New User");
	define("EXISTS_USER_MSG", "Existing users");
	define("EDIT_PROFILE_MSG", "Edit Profile");
	define("PERSONAL_DETAILS_MSG", "Personal Details");
	define("DELIVERY_DETAILS_MSG", "Delivery Details");
	define("SAME_DETAILS_MSG", "If the delivery details are the same as above tick here<br> if not, please complete the details below");
	define("DELIVERY_MSG", "Delivery");
	define("SUBSCRIBE_CHECKBOX_MSG", "Please tick this checkbox if you want to receive our newsletter.");
	define("ADDITIONAL_DETAILS_MSG", "Additional Details");
	define("GUEST_MSG", "Guest");
	define("USER_MSG", "User");
	define("SELECT_USER_MSG", "Select User");

	// ads messages
	define("MY_ADS_MSG", "My Ads");
	define("MY_ADS_DESC", "If you have items that you would like to sell, place an ad here. It's quick and easy to place ads.");
	define("AD_GENERAL_MSG", "General Ad Information");
	define("ALL_ADS_MSG", "All Ads");
	define("AD_SELLER_MSG", "Seller");
	define("AD_START_MSG", "Date Start");
	define("AD_RUNS_MSG", "Days to run");
	define("AD_QTY_MSG", "Quantity");
	define("AD_AVAILABILITY_MSG", "Availability");
	define("AD_COMPARED_MSG", "Allow ad comparison");
	define("AD_UPLOAD_MSG", "Upload Image");
	define("AD_LOCATION_MSG", "Location");
	define("AD_LOCATION_INFO_MSG", "Additional Information");
	define("AD_PROPERTIES_MSG", "Ad Properties");
	define("AD_SPECIFICATION_MSG", "Ad Specification");
	define("AD_MORE_IMAGES_MSG", "More Images");
	define("AD_IMAGE_DESC_MSG", "Image Description");
	define("AD_DELETE_CONFIRM_MSG", "Do you want delete this Ad?");
	define("AD_RUNNING_MSG", "Running");
	define("AD_CLOSED_MSG", "Closed");
	define("AD_NOT_STARTED_MSG", "Not Started");
	define("AD_NEW_ERROR", "You don't have permissions to create a new Ad.");
	define("AD_EDIT_ERROR", "You don't have permissions to edit this Ad.");
	define("AD_DELETE_ERROR", "You don't have permissions to delete this Ad.");
	define("NO_ADS_MSG", "No ads were found");
	define("NO_AD_MSG", "No Ad with this ID is available in this category");
	define("FOUND_ADS_MSG", "We've found <b>{found_records}</b> ads matching the term(s) '<b>{search_string}</b>'");
	define("AD_OFFER_MESSAGE_MSG", "Offer");
	define("AD_OFFER_LOGIN_ERROR", "You need to be logged in before proceeding.");
	define("AD_REQUEST_BUTTON", "Send Enquiry");
	define("AD_SENT_MSG", "Your offer was successfully sent.");
	define("ADS_SETTINGS_MSG", "Ads Settings");
	define("ADS_DAYS_MSG", "Days to run Ad");
	define("ADS_HOT_DAYS_MSG", "Days to run Hot Ad");
	define("AD_HOT_OFFER_MSG", "Hot Offer");
	define("AD_HOT_ACTIVATE_MSG", "Add this Ad to Hot Offers section");
	define("AD_HOT_START_MSG", "Hot Offer Start Date");
	define("AD_HOT_DESCRIPTION_MSG", "Hot Description");
	define("ADS_SPECIAL_DAYS_MSG", "Days to run Special Ad");
	define("AD_SPECIAL_OFFER_MSG", "Special Offer");
	define("AD_SPECIAL_ACTIVATE_MSG", "Add this Ad to Special Offers section");
	define("AD_SPECIAL_START_MSG", "Special Offer Start Date");
	define("AD_SPECIAL_DESCRIPTION_MSG", "Special Offer Description");
	define("AD_CREDITS_BALANCE_ERROR", "Not enough credits on your balance, you need {more_credits} more to post this Ad.");
	define("AD_CREDITS_MSG", "Ad Credits");
	define("ADS_SPECIAL_OFFERS_SETTINGS_MSG", "Ads Special Offers Settings");
	//ad types
	define("AD_PRODUCT_TYPE_MSG", "Product");
	define("AD_ACCESSORY_TYPE_MSG", "Accessory");

	define("EDIT_DAY_MSG", "Edit Day");
	define("DAYS_PRICE_MSG", "Days Price");
	define("ADS_PUBLISH_PRICE_MSG", "Price to post Ad");
	define("DAYS_NUMBER_MSG", "Number of Days");
	define("DAYS_TITLE_MSG", "Days Title");
	define("USER_ADS_LIMIT_MSG", "Number of ads can be added by user");
	define("USER_ADS_LIMIT_DESC", "leave this field blank if you do not want to limit number of ads user can post");
	define("USER_ADS_LIMIT_ERROR", "Sorry, but you are not allowed to add more than {ads_limit} ads.");

	define("ADS_SHOW_TERMS_MSG", "Show Terms & Conditions");
	define("ADS_SHOW_TERMS_DESC", "To submit an ad user has to read and agree to our terms and conditions");
	define("ADS_TERMS_MSG", "Terms & Conditions");
	define("ADS_TERMS_USER_DESC", "I have read and agree to your terms and conditions");
	define("ADS_TERMS_USER_ERROR", "To submit an ad you have to read and agree to our terms and conditions");
	define("ADS_ACTIVATION_MSG", "Ads Activation");
	define("ACTIVATE_ADS_MSG", "Activate Ads");
	define("ACTIVATE_ADS_NOTE", "automatically activate all user ads if his status changed to 'Approved'");
	define("DEACTIVATE_ADS_MSG", "Deactivate Ads");
	define("DEACTIVATE_ADS_NOTE", "automatically deactivate all user ads if his status changed to 'Not Approved'");

	define("MIN_ALLOWED_ADS_PRICE_MSG", "Minimum Allowed Price");
	define("MIN_ALLOWED_ADS_PRICE_NOTE", "leave this field blank if you do not want to limit the lower price for ads");
	define("MAX_ALLOWED_ADS_PRICE_MSG", "Maximum Allowed Price");
	define("MAX_ALLOWED_ADS_PRICE_NOTE", "leave this field blank if you do not want to limit the higher price for ads");

	// search message
	define("SEARCH_FOR_MSG", "Search for");
	define("SEARCH_IN_MSG", "Search in");
	define("SEARCH_TITLE_MSG", "Title");
	define("SEARCH_CODE_MSG", "Code");
	define("SEARCH_SHORT_DESC_MSG", "Short description");
	define("SEARCH_FULL_DESC_MSG", "Detailed description");
	define("SEARCH_CATEGORY_MSG", "Search in category");
	define("SEARCH_MANUFACTURER_MSG", "Manufacturer");
	define("SEARCH_SELLER_MSG", "Seller");
	define("SEARCH_PRICE_MSG", "Price range");
	define("SEARCH_WEIGHT_MSG", "Weight limits");
	define("SEARCH_RESULTS_MSG", "Search Results");
	define("FULL_SITE_SEARCH_MSG", "Full Site Search");
	define("KEYWORDS_CRITERION_MSG", "Keywords: <b>{keywords}</b>");
	define("AUTHOR_CRITERION_MSG", "Author: <b>{author}</b>");
	define("CATEGORY_CRITERION_MSG", "Category: <b>{category}</b>");
	define("DATE_CRITERION_MSG", "Date: <b>{date}</b>");
	define("TYPE_CRITERION_MSG", "Type: <b>{type}</b>");
	define("COUNTRY_CRITERION_MSG", "Country: <b>{country}</b>");
	define("STATE_CRITERION_MSG", "State: <b>{state}</b>");
	define("POSTAL_CODE_CRITERION_MSG", "Postal code: <b>{postal_code}</b>");
	define("AGE_CRITERION_MSG", "Age: <b>{age}</b>");

	// compare messages
	define("COMPARE_MSG", "Compare");
	define("COMPARE_REMOVE_MSG", "Remove");
	define("COMPARE_REMOVE_HELP_MSG", "Click here to remove this product from the comparison table");
	define("COMPARE_MIN_ALLOWED_MSG", "You must select at least 2 products");
	define("COMPARE_MAX_ALLOWED_MSG", "You must select no more than 5 products");
	define("COMPARE_PARAM_ERROR_MSG", "Comparison parameter has a wrong value");

	// Tell a friend messages
	define("TELL_FRIEND_TITLE", "Tell a Friend");
	define("TELL_FRIEND_SUBJECT_MSG", "Your friend has sent you this link.");
	define("TELL_FRIEND_DEFAULT_MSG", "Hi {friend_name} - I thought you might be interested in seeing the {item_title} at this site {item_url}");
	define("TELL_YOUR_NAME_FIELD", "Your name");
	define("TELL_YOUR_EMAIL_FIELD", "Your e-mail");
	define("TELL_FRIENDS_NAME_FIELD", "Friend's name");
	define("TELL_FRIENDS_EMAIL_FIELD", "Friend's e-mail");
	define("TELL_COMMENT_FIELD", "Comment");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "PRIVACY NOTICE: We will not save or reuse your, or your friend's email address(es) for any other purpose.");
	define("TELL_SENT_MSG", "Your message has been sent sucessfully!<br>Thank you!");
	define("TELL_FRIEND_MESSAGE_MSG", "Thought you might be interested in seeing the {item_title} at {item_url}\\n\\n{user_name} left you a note:\\n{user_comment}");
	define("TELL_FRIEND_PARAM_MSG", "Introduce a friend' URL");
	define("TELL_FRIEND_PARAM_DESC", "adds a friend's URL parameter to a 'Tell a Friend' link if it exists for a user");
	define("FRIEND_COOKIE_EXPIRES_MSG", "Friend Cookie Expires");

	define("CONTACT_US_TITLE", "Contact Us");
	define("CONTACT_USER_NAME_FIELD", "Your Name");
	define("CONTACT_USER_EMAIL_FIELD", "Your Email Address");
	define("CONTACT_SUMMARY_FIELD", "One-line Summary");
	define("CONTACT_DESCRIPTION_FIELD", "Description");
	define("CONTACT_REQUEST_SENT_MSG", "Your request was successfully sent.");

	// internal messages system
	define("FOLDER_INBOX_MSG", "Inbox");
	define("FOLDER_SENT_MSG", "Sent");
	define("FOLDER_DRAFT_MSG", "Draft");
	define("FOLDER_TRASH_MSG", "Trash");
	define("READ_MSG", "Read");
	define("USER_NOT_FOUND_MSG", "User {username} wasn't found.");
	define("MESSAGE_SAVED_MSG", "Your message has been saved.");
	define("NO_MESSAGES_MSG", "No messages were found");
	define("SEND_ME_MESSAGE_MSG", "Send me a Message");
	define("WRITE_NEW_MESSAGE_MSG", "Write a new Message");
	define("REACH_BOX_LIMIT_MSG", "You reach box limit - {box_limit} messages. Delete some messages before proceed.");
	define("MESSAGES_DAY_LIMIT_ERROR", "You can't send more than {day_limit} messages per day.");

	// buttons
	define("GO_BUTTON", "Go");
	define("CONTINUE_BUTTON", "Continue");
	define("BACK_BUTTON", "Back");
	define("NEXT_BUTTON", "Next");
	define("PREV_BUTTON", "Previous");
	define("SIGN_IN_BUTTON", "Sign in");
	define("LOGIN_BUTTON", "Login");
	define("LOGOUT_BUTTON", "Logout");
	define("SEARCH_BUTTON", "Search");
	define("RATE_IT_BUTTON", "Rate it!");
	define("ADD_BUTTON", "Add");
	define("UPDATE_BUTTON", "Update");
	define("APPLY_BUTTON", "Apply");
	define("REGISTER_BUTTON", "Register");
	define("VOTE_BUTTON", "Vote");
	define("CANCEL_BUTTON", "Cancel");
	define("CLEAR_BUTTON", "Clear");
	define("RESET_BUTTON", "Reset");
	define("DELETE_BUTTON", "Delete");
	define("DELETE_ALL_BUTTON", "Delete All");
	define("SUBSCRIBE_BUTTON", "Subscribe");
	define("UNSUBSCRIBE_BUTTON", "Unsubscribe");
	define("SUBMIT_BUTTON", "Submit");
	define("UPLOAD_BUTTON", "Upload");
	define("SEND_BUTTON", "Send");
	define("PREVIEW_BUTTON", "Preview");
	define("FILTER_BUTTON", "Filter");
	define("DOWNLOAD_BUTTON", "Download");
	define("REMOVE_BUTTON", "Remove");
	define("EDIT_BUTTON", "Edit");
	define("CHANGE_BUTTON", "Change");
	define("SAVE_BUTTON", "Save");
	define("REPLY_BUTTON", "Reply");
	define("FORWARD_BUTTON", "Forward");
	define("PLACE_ORDER_BUTTON", "Place Order");
	define("REQUEST_QUOTE_BUTTON", "Request a Quote");

	// controls
	define("CHECKBOXLIST_MSG", "Checkboxes List");
	define("LABEL_MSG", "Label");
	define("LISTBOX_MSG", "ListBox");
	define("RADIOBUTTON_MSG", "Radio Buttons");
	define("TEXTAREA_MSG", "TextArea");
	define("TEXTBOX_MSG", "TextBox");
	define("TEXTBOXLIST_MSG", "Text Boxes List");
	define("WIDTH_AND_HEIGHT_MSG", "Width & Height");
	define("IMAGEUPLOAD_MSG", "Image Upload");
	define("IMAGE_SELECT_MSG", "Image Select");
	define("CREDIT_CARD_MSG", "Credit Card");
	define("GROUP_MSG", "Group");

	// fields
	define("LOGIN_FIELD", "Username");
	define("USERNAME_FIELD", "Username");
	define("PASSWORD_FIELD", "Password");
	define("CONFIRM_PASS_FIELD", "Confirm Password");
	define("NEW_PASS_FIELD", "New Password");
	define("CURRENT_PASS_FIELD", "Current Password");
	define("FULL_NAME_FIELD", "Name");
	define("FIRST_NAME_FIELD", "First Name");
	define("MIDDLE_NAME_FIELD", "Middle Name");
	define("LAST_NAME_FIELD", "Last Name");
	define("NICKNAME_FIELD", "Nickname");
	define("PERSONAL_IMAGE_FIELD", "Personal Image");
	define("COMPANY_SELECT_FIELD", "Company");
	define("SELECT_COMPANY_MSG", "Select Company");
	define("COMPANY_NAME_FIELD", "Company Name");
	define("EMAIL_FIELD", "Email");
	define("STREET_FIRST_FIELD", "Address (street, house, etc.)");
	define("STREET_SECOND_FIELD", "Address (continue)");
	define("STREET_THIRD_FIELD", "Address (continue)");
	define("CITY_FIELD", "City");
	define("PROVINCE_FIELD", "Province");
	define("SELECT_STATE_MSG", "Select State");
	define("STATE_FIELD", "State");
	define("ZIP_FIELD", "Zip/Postal Code");
	define("SELECT_COUNTRY_MSG", "Select Country");
	define("COUNTRY_FIELD", "Country");
	define("PHONE_FIELD", "Phone");
	define("DAYTIME_PHONE_FIELD", "Daytime Phone");
	define("EVENING_PHONE_FIELD", "Evening Phone");
	define("CELL_PHONE_FIELD", "Cell phone");
	define("FAX_FIELD", "Fax");
	define("VALIDATION_CODE_FIELD", "Validation Code");
	define("AFFILIATE_CODE_FIELD", "Affiliate Code");
	define("AFFILIATE_CODE_HELP_MSG", "Please use the following URL {affiliate_url} to create a link affiliated with our site");
	define("PAYPAL_ACCOUNT_FIELD", "PayPal Account");
	define("TAX_ID_FIELD", "Tax Number");
	define("MSN_ACCOUNT_FIELD", "MSN Account");
	define("ICQ_NUMBER_FIELD", "ICQ Number");
	define("USER_SITE_URL_FIELD", "User's Site URL");
	define("HIDDEN_STATUS_FIELD", "Hidden Status");
	define("HIDE_MY_ONLINE_STATUS_MSG", "Do not show my online status");
	define("SHOW_ON_SITE_FIELD", "Show on site");
	define("SUMMARY_MSG", "Summary");
	define("MY_ADDRESS_BOOK_MSG", "My Address Book");
	define("MY_ADDRESS_BOOK_DESC", "Manage your address book of delivery addresses so the next time you order anything you could pick it up on from the list of delivery addresses without having to re-type the address over again.");
	define("ADDRESS_MSG", "Address");
	define("ADDRESS_TYPE_MSG", "Address Type");
	define("MY_ADDRESSES_MSG", "My Addresses");
	define("NO_ADDRESSES_MSG", "No addresses were found");
	define("SELECT_ADDRESS_MSG", "Select Address");
	define("SELECT_COUNTRY_FIRST_MSG", "Select country first");
	define("NO_STATES_FOR_COUNTRY_MSG", "No states available for selected country");
	define("ACCESS_TOKEN_MSG", "Access Token");
	define("MY_MESSAGES_MSG", "My Messages");
	define("MY_MESSAGES_DESC", "Here you can communicate with other users without having to share your e-mail addresses.");
	define("TERMS_MSG", "Terms & Conditions");
	define("TERMS_USER_DESC", "I have read and agree to your terms and conditions");

	// general form tabs
	define("GENERAL_TAB", "General");
	define("DESCRIPTION_TAB", "Description");
	define("LOCATION_TAB", "Location");
	define("IMAGES_TAB", "Images");
	define("PHOTOS_TAB", "Photos");

	// no records messages
	define("NO_RECORDS_MSG", "No records were found");
	define("NO_EVENTS_MSG", "No events were found");
	define("NO_QUESTIONS_MSG", "No questions were found");
	define("NO_NEWS_MSG", "No news articles were found");
	define("NO_POLLS_MSG", "No polls were found");
	define("NO_REMINDERS_MSG", "No reminders were found");
	define("NO_DATA_WERE_FOUND_MSG", "No data were found");


	// SMS messages
	define("SMS_TITLE", "SMS");
	define("SMS_TEST_TITLE", "SMS Test");
	define("SMS_TEST_DESC", "Please enter your cell phone number and press button 'SEND_BUTTON' to receive test message");
	define("INVALID_CELL_PHONE", "Incorrect cell phone number");

	define("ARTICLE_RELATED_PRODUCTS_TITLE", "Article Related Products");
	define("CATEGORY_RELATED_PRODUCTS_TITLE", "Category Related Products");
	define("SELECT_TYPE_MSG", "Select Type");
	define("OFFER_PRICE_MSG", "Offer Price");
	define("OFFER_MESSAGE_MSG", "Offer Message");

	define("MY_WISHLIST_MSG", "My Wishlist");
	define("MY_WISHLIST_DESC", "Here you can view wishlist items saved in the past.");
	define("SELECT_WISHLIST_TYPE_MSG", "Please select a type to save product in your wishlist");
	define("MY_REMINDERS_MSG", "My Reminders");
	define("EDIT_REMINDER_MSG", "Edit Reminder");


	define("SELECT_SUBFOLDER_MSG", "Select Subfolder");
	define("CURRENT_DIR_MSG", "Current directory");
	define("NO_AVAILIABLE_CATEGORIES_MSG", "No categories available");
	define("SHOW_FOR_NON_REGISTERED_USERS_MSG", "Show for non registered users");
	define("SHOW_FOR_REGISTERED_USERS_MSG", "Show for all registered users");
	define("VIEW_ITEM_IN_THE_LIST_MSG", "View item in products list");
	define("ACCESS_DETAILS_MSG", "Access Details");
	define("ACCESS_ITEMS_DETAILS_MSG", "Access item details / buy item");
	define("OTHER_SUBSCRIPTIONS_MSG", "Other Subscriptions");
	define("USE_CATEGORY_ALL_SITES_MSG", "Use this category for all sites (untick this checkbox to select sites manually)");
	define("USE_ITEM_ALL_SITES_MSG", "Use this item for all sites (untick this checkbox to select sites manually) ");
	define("SAVE_SUBSCRIPTIONS_SETTINGS_BY_CATEGORY_MSG", "Save subscriptions settings from categories");
	define("SAVE_SITES_SETTINGS_BY_CATEGORY_MSG", "Save sites settings from categories");
	define("ACCESS_LEVELS_MSG", "Access Levels");
	define("FULL_ACCESS_MSG", "Full Access");
	define("RESTRICTED_ACCESS_MSG", "Restricted Access");
	define("NO_ACCESS_MSG", "No Access");
	define("SITES_MSG", "Sites");
	define("NON_REGISTERED_USERS_MSG", "Non registered users");
	define("REGISTERED_CUSTOMERS_MSG", "Registered Users");
	define("PREVIEW_IN_SEPARATE_SECTION_MSG", "Show in separate section");
	define("PREVIEW_BELOW_DETAILS_IMAGE_MSG", "Show below image on details page");
	define("PREVIEW_BELOW_LIST_IMAGE_MSG", "Show below image on listing page");
	define("PREVIEW_POSITION_MSG", "Position");
	define("ADMIN_NOTES_MSG", "Administrator Notes");
	define("USER_NOTES_MSG", "User Notes");
	define("CMS_PERMISSIONS_MSG", "CMS Permissions");
	define("ARTICLES_PERMISSIONS_MSG", "Articles Permissions");
	define("WISHLIST_MSG", "Wishlist");
	define("TYPE_IS_NOT_AVAILIABLE_MSG", "Type is not availiable");
	define("TYPE_IS_NOT_SELECTED_MSG", "Type is not selected");
	define("SHOW_ALL_MSG", "Show all");

	define("MEMBER_SINCE_MSG", "Member Since");
	define("SITEMAP_TITLE_INDEX", "title");
	define("SITEMAP_URL_INDEX", "url");
	define("SITEMAP_SUBS_INDEX", "subs");

	define("HOT_RELEASES_MSG", "Hot Releases");
	define("PAY_FOR_AD_MSG", "Pay for Ad");
	define("CHECK_SITE_MSG", "check the site");

	define("CONTACT_US_MSG", "Contact Us");
	define("REGISTERED_USERS_ALLOWED_MESSAGES_MSG", "Only registered users can send their messages.");
	define("NOT_ALLOWED_SEND_MESSAGES_MSG", "Sorry, but you are not allowed to send messages.");
	define("MESSAGE_SENT_MSG", "Your message has been sent sucessfully");
	define("MESSAGE_INTERVAL_ERROR", "Please wait for {interval_time} to send your message.");
	define("ONE_LINE_SUMMARY_MSG", "One-line summary");
	define("DETAILED_COMMENT_MSG", "Detailed comments");
	define("REMINDER_MSG", "Reminder");
	define("CHAINED_MENU_TITLE", "Chained Menu");
	//article statuses
	define("ARTICLE_NEW_MSG", "New");
	define("ARTICLE_PUBLISHED_MSG", "Published");
	define("ARTICLE_PENDING_MSG", "Pending");
	define("ARTICLE_HIDDEN_MSG", "Hidden");
	//priorities
	define("PRIORITY_HIGH_MSG", "High");
	define("PRIORITY_NORMAL_MSG", "Normal");
	define("PRIORITY_LOW_MSG", "Low");
	//customer types
	define("CUSTOMER_TYPE_MSG", "Customer");
	//cookies constants
	define("COOKIE_CONTROL_MSG", "Cookies Control");
	define("COOKIE_INFO_MSG", "<b>Cookies Control</b><br /><br />This site uses cookies to store information on your computer. If you turn off cookies, some site features will become unavailable.<br /><a href=\"page.php?page=use_of_cookies\">Read more</a><br /><br />Keep cookies?");
	define("CALL_CENTER_MODE_MSG", "You are in <b>Call Center mode</b>. It means all checkout settigns you see are visible only to you as administrator. <b>Logout</b> from admin panel to switch to usual mode.");

?>