<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 5                                                    ***
  ***      File:  install_messages.php                                     ***
  ***      Built: Tue Jun  6 16:19:04 2017                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// installation messages
	define("INSTALL_TITLE", "نصب فروشگاه ساز ViArt");

	define("INSTALL_STEP_1_TITLE", "نصب: گام 1");
	define("INSTALL_STEP_1_DESC", "از انتخاب فروشگاه ساز ViArt متشکریم. به منظور ادامه نصب، لطفا جزئیات درخواست شده زیر را پر کنید. لطفا توجه کنید پایگاه داده را که انتخاب می نمایید بایستی موجود باشد. اگر شما با استفاده از یک پایگاه داده ODBC نصب می کنید، مثلا : MS Access ابتدا باید یک DSN قبل از اقدام برای آن ایجاد کنید.");
	define("INSTALL_STEP_2_TITLE", "نصب: گام 2");
	define("INSTALL_STEP_2_DESC", "");
	define("INSTALL_STEP_3_TITLE", "نصب: گام 3");
	define("INSTALL_STEP_3_DESC", "لطفا طرح سایت را انتخاب کنید. شما پس از این می توانید طرح را تغییر دهید.");
	define("INSTALL_FINAL_TITLE", "نصب: پایان");
	define("SELECT_DATE_TITLE", "انتخاب قالب تاریخ");

	define("DB_SETTINGS_MSG", "تنظیمات پایگاه داده");
	define("DB_PROGRESS_MSG", "فرایند ورود ساختار پایگاه داده");
	define("SELECT_PHP_LIB_MSG", "انتخاب کتابخانه PHP");
	define("SELECT_DB_TYPE_MSG", "انتخاب نوع پایگاه داده");
	define("ADMIN_SETTINGS_MSG", "تنظیمات مدیریت");
	define("DATE_SETTINGS_MSG", "قالب تاریخ");
	define("NO_DATE_FORMATS_MSG", "عدم دسترسی قالب تاریخ");
	define("INSTALL_FINISHED_MSG", "در این مرحله اساس نصب کاملا انجام شد. لطفا تنظیمات در بخش مدیریت را بررسی کنید و تغییرات لازم را اعمال کنید.");
	define("ACCESS_ADMIN_MSG", "برای دسترسی به بخش مدیریت اینجا کلیک کنید");
	define("ADMIN_URL_MSG", "آدرس مدیریت");
	define("MANUAL_URL_MSG", "آدرس راهنما");
	define("THANKS_MSG", "از انتخاب <b>فروشگاه ساز ViArt</b> متشکریم.");

	define("DB_TYPE_FIELD", "نوع پایگاه داده");
	define("DB_TYPE_DESC", "لطفا <b>نوع پایگاه داده ای</b> که استفاده می کنید را انتخاب نمایید. اگر با SQL Server یا Microsoft Access کار می کنید، لطفا ODBC را انتخاب کنید.");
	define("DB_PHP_LIB_FIELD", "کتابخانه PHP");
	define("DB_HOST_FIELD", "نام میزبان");
	define("DB_HOST_DESC", "لطفا نام و یا آدرس IP سرویس دهنده ای که در آن پایگاه داده ViArt را اجرا خواهید کرد وارد نمایید. اگر پایگاه داده روی رایانه محلی تان در حال اجراست آنوقت فقط با عنوان \"localhost \" و درگاه را خالی می توانید بگذارید. اگر شما از یک پایگاه داده ارائه شده توسط شرکت میزبان فضا استفاده می کنید، لطفا مستندات شرکت میزبان خود را برای تنظیمات سرور مشاهده نمایید.");
	define("DB_PORT_FIELD", "درگاه");
	define("DB_NAME_FIELD", "نام پایگاه داده / DSN");
	define("DB_NAME_DESC", "اگر از پایگاه داده ای همانند MySQL یا PostgreSQL استفاده می کنید لطفا <b>نام پایگاه داده ای</b> را که می خواهید ViArt جداول را در آنجا ایجاد نماید وارد کنید. پایگاه داده بایستی موجود باشد. اگر هدف شما از نصب ViArt جهت آزمایش روی رایانه محلی می باشد آنگاه می توانید یک پایگاه داده \"<b>test</b>\" داشته باشید. وگرنه یک پایگاه داده مانند \"viart\" ایجاد و از آن استفاده کنید. اگر از Microsoft Access یا SQL Server استفاده می کنید آنگاه <b>نام پایگاه داده</b> بایستی نام DSN را در منبع داده (ODBC) بخشی از کنترل پنل تنظیم نمایید.");
	define("DB_USER_FIELD", "نام کاربري");
	define("DB_PASS_FIELD", "گذرواژه");
	define("DB_USER_PASS_DESC", "<b>نام کاربری</b> و <b>گذرواژه</b> - لطفا نام کاربری و گذرواژه را برای دسترسی و استفاده پایگاه داده وارد نمایید. اگر شما در حال نصب آزمایشی محلی (Local) هستید احتمالا نام کاربری  \"<b>root</b>\" و گذرواژه خالی بوده و برای آزمایش مناسب است، اما لطفا توجه کنید این روی سرور ایمن نیست.");
	define("DB_PERSISTENT_FIELD", "ارتباط مداوم");
	define("DB_PERSISTENT_DESC", "برای ارتباط مداوم با MySQL یا Postgre ، این جعبه را علامت بزنید. اگر چیزی از مفهوم آن نمی دانید، پس شاید بهتره آنرا بدون علامت بگذارید");
	define("DB_CREATE_DB_FIELD", "ایجاد پایگاه داده");
	define("DB_CREATE_DB_DESC", "در صورت امکان برای ایجاد پایگاه داده، این جعبه را علامت بزنید. تنها برای MySQL و Postgre کار می کند");
	define("DB_POPULATE_FIELD", "ورود پایگاه داده");
	define("DB_POPULATE_DESC", "برای ایجاد جداول ساختاری پایگاه داده و ورود داده آن جعبه را علامت بزنید");
	define("DB_TEST_DATA_FIELD", "داده آزمایشی");
	define("DB_TEST_DATA_DESC", "برای افزودن اطلاعات آزمایشی به پایگاه داده شما جعبه را تیک بزنید");
	define("ADMIN_EMAIL_FIELD", "ايميل مدير");
	define("ADMIN_LOGIN_FIELD", "ورود به مديريت");
	define("ADMIN_PASS_FIELD", "مديريت رمزعبور");
	define("ADMIN_CONF_FIELD", "تاييد رمزعبور");
	define("DATETIME_SHOWN_FIELD", "قالب زمان (نمایش یافته روی سایت)");
	define("DATE_SHOWN_FIELD", "فرم تاریخ (نمایش یافته روی سایت)");
	define("DATETIME_EDIT_FIELD", "قالب تاریخ-زمان (برای ویرایش)");
	define("DATE_EDIT_FIELD", "قالب تاریخ (جهت ویرایش)");
	define("DATE_FORMAT_COLUMN", "قالب تاریخ");

	define("DB_LIBRARY_ERROR", "توابع PHP برای {db_library} تعریف نشده است. لطفا تنظیمات پایگاه داده را در فایل پیکربندی - php.ini بررسی کنید.");
	define("DB_CONNECT_ERROR", "به پایگاه داده نمی تواند متصل شود. لطفا پارامترهای پایگاه داده را بررسی کنید.");
	define("INSTALL_FINISHED_ERROR", "روند نصب و راه اندازی در حال حاضر به پایان رسید.");
	define("WRITE_FILE_ERROR", "اجازه دسترسی جهت نوشتن روی فایل <b>'includes/var_definition.php'</b> ندارد. لطفا قبل از ادامه دادن اجازه دسترسی فایل را تغییر دهید.");
	define("WRITE_DIR_ERROR", "فولدر <b>'includes/'</b> اجازه دسترسی جهت نوشتن ندارد. لطفا قبل از ادامه دادن دسترسی فولدر را تغییر دهید.");
	define("DUMP_FILE_ERROR", "فایل '{file_name}' یافت نشد.");
	define("DB_TABLE_ERROR", "جدول '{table_name}' یافت نشد. لطفا پایگاه داده را با داده های لازم پر کنید.");
	define("TEST_DATA_ERROR", "قبل از پر شدن جداول با داده آزمایشی <b>{POPULATE_DB_FIELD}</b> بررسی شود");
	define("DB_HOST_ERROR", "نام میزبانی که مشخص کردید موجود نیست.");
	define("DB_PORT_ERROR", "با استفاده از درگاه مشخص شده نمی تواند به سرور پایگاه داده متصل شود.");
	define("DB_USER_PASS_ERROR", "نام کاربري يا کلمه عبور تايين شده شما صحيح نيست.");
	define("DB_NAME_ERROR", "تنظیمات ورودی صحیح بود، اما پایگاه داده '{db_name}' یافت نشد.");

	// upgrade messages
	define("UPGRADE_TITLE", "بروزرسانی فروشگاه ViArt");
	define("UPGRADE_NOTE", "توجه: لطفا قبل از هر اقدامی فایل پشتیبان از پایگاه داده بگیرید.");
	define("UPGRADE_AVAILABLE_MSG", "ارتقاء پایگاه داده های در دسترس");
	define("UPGRADE_BUTTON", "اکنون ارتقاء پایگاه داده به {version_number}");
	define("CURRENT_VERSION_MSG", "نسخه نصب شده حال حاضر");
	define("LATEST_VERSION_MSG", "نسخه موجود برای نصب");
	define("UPGRADE_RESULTS_MSG", "نتایج بروزرسانی");
	define("SQL_SUCCESS_MSG", "انجام موفق پرس و جوی SQL");
	define("SQL_FAILED_MSG", "پرس و جوی ناموفق SQL");
	define("SQL_TOTAL_MSG", "مجموع پرسش های SQL اجرا شده");
	define("VERSION_UPGRADED_MSG", "پایگاه داده شما ارتقاء یافت به");
	define("ALREADY_LATEST_MSG", "اکنون شما آخرین نسخه را دارید");
	define("DOWNLOAD_NEW_MSG", "نسخه جدید یافت شد");
	define("DOWNLOAD_NOW_MSG", "اکنون دریافت نسخه {version_number}");
	define("DOWNLOAD_FOUND_MSG", "نسخه جديد {version_number} براي دريافت در دسترس است. لطفا روي کليد زير براي شروع دريافت کليک کنيد. بعد از دريافت و جايگزيني کامل اجراي فايل آپگريد را فراموش نکنيد.");
	define("NO_XML_CONNECTION", "هشدار! جهت دسترسی به 'http://www.viart.com/' متصل نیست!");

	define("END_USER_LICENSE_AGREEMENT_MSG", "توافقنامه مجوز کاربری");
	define("AGREE_LICENSE_AGREEMENT_MSG", "اینجانب توافقنامه مجوز را مطالعه و می پذیرم");
	define("READ_LICENSE_AGREEMENT_MSG", "برای مطالعه توافقنامه مجوز اینجا کلیک نمایید");
	define("LICENSE_AGREEMENT_ERROR", "لطفا قبل از انجام فرایند توافقنامه مجوز را مطالعه و بپذیرید.");

?>