<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 5                                                    ***
  ***      File:  support_messages.php                                     ***
  ***      Built: Tue Jun  6 16:19:04 2017                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// support messages
	define("SUPPORT_TITLE", "Centar za podršku");
	define("SUPPORT_REQUEST_INF_TITLE", "Zatraži informacije");
	define("SUPPORT_REPLY_FORM_TITLE", "Odgovori");
	define("SUPPORT_SHORT_TITLE", "Podrška");

	define("MY_SUPPORT_ISSUES_MSG", "Moji zahtjevi za podrškom");
	define("MY_SUPPORT_ISSUES_DESC", "Ukoliko imate ikakvih problema sa proizvodima koje ste kupili, naš Tim za Podršku će vam pomoći. Slobodno nas kontaktirajte tako da kliknete link poviše kako bi unijeli zahtjev za podrškom.");
	define("NEW_SUPPORT_REQUEST_MSG", "Novi zahtjev.");
	define("SUPPORT_REQUEST_ADDED_MSG", "Hvala vam<br>Naš Tim za Podršku će pomoći sa vašim zahtjevom što je prije moguće.");
	define("SUPPORT_SELECT_DEP_MSG", "Odaberite Odjel");
	define("SUPPORT_SELECT_PROD_MSG", "Odaberite proizvod");
	define("SUPPORT_SELECT_STATUS_MSG", "Odaberite Status");
	define("SUPPORT_NOT_VIEWED_MSG", "Nije pregledano");
	define("SUPPORT_VIEWED_BY_USER_MSG", "Pregledao korisnik");
	define("SUPPORT_VIEWED_BY_ADMIN_MSG", "Pregledao administrator");
	define("SUPPORT_STATUS_NEW_MSG", "Novi");
	define("NO_SUPPORT_REQUEST_MSG", "Nijedan zahtjev nije pronađen");

	define("SUPPORT_SUMMARY_COLUMN", "Sažetak");
	define("SUPPORT_TYPE_COLUMN", "Tip");
	define("SUPPORT_UPDATED_COLUMN", "Posljednje ažurirano");

	define("SUPPORT_USER_NAME_FIELD", "Vaše Ime");
	define("SUPPORT_USER_EMAIL_FIELD", "Vaša Email Adresa");
	define("SUPPORT_IDENTIFIER_FIELD", "Indetifikator (Br. Računa)");
	define("SUPPORT_ENVIRONMENT_FIELD", "Okolina (OS, Database, Web Server itd.)");
	define("SUPPORT_DEPARTMENT_FIELD", "Odjel");
	define("SUPPORT_PRODUCT_FIELD", "Proizvod");
	define("SUPPORT_TYPE_FIELD", "Tip");
	define("SUPPORT_CURRENT_STATUS_FIELD", "Trenutni Status");
	define("SUPPORT_SUMMARY_FIELD", "On-line sažetak");
	define("SUPPORT_DESCRIPTION_FIELD", "Opis");
	define("SUPPORT_MESSAGE_FIELD", "Poruka");
	define("SUPPORT_ADDED_FIELD", "Dodano");
	define("SUPPORT_ADDED_BY_FIELD", "Dodao");
	define("SUPPORT_UPDATED_FIELD", "Posljednje Ažurirano");

	define("SUPPORT_REQUEST_BUTTON", "Dodaj Zahtjev");
	                                    
	define("SUPPORT_MISS_ID_ERROR", "Nedostaje <b>Support ID</b> parametar");
	define("SUPPORT_MISS_CODE_ERROR", "Nedostaje <b>Verification</b> parametar");
	define("SUPPORT_WRONG_ID_ERROR", "<b>Support ID</b> parametar ima netočnu vrijednost");
	define("SUPPORT_WRONG_CODE_ERROR", "<b>Verification</b> parametar ima netočnu vrijednost");

	define("MAIL_DATA_MSG", "Podatci Maila");
	define("HEADERS_MSG", "Zaglavlja");
	define("ORIGINAL_TEXT_MSG", "Originalni Tekst");
	define("ORIGINAL_HTML_MSG", "Originalni HTML");
	define("CLOSE_TICKET_NOT_ALLOWED_MSG", "Žao nam je, ali nije vam dozvoljeno zatvaranje tiketa. <br>");
	define("REPLY_TICKET_NOT_ALLOWED_MSG", "Žao nam je, ali nije vam dozvoljeno odgovaranje tiketa. <br>");
	define("CREATE_TICKET_NOT_ALLOWED_MSG", "Žao nam je, ali vam nije dozvoljno kreiranje novih tiketa. <br>");
	define("REMOVE_TICKET_NOT_ALLOWED_MSG", "Žao nam je, ali vam nije dozvoljeno uklanjanje tiketa. <br>");
	define("UPDATE_TICKET_NOT_ALLOWED_MSG", "Žao nam je, ali vam nije dozvoljeno ažuriranje tiketa. <br>");
	define("NO_TICKETS_FOUND_MSG", "Tiketi nisu pronađeni.");
	define("HIDDEN_TICKETS_MSG", "Skriveni Tiketi.");
	define("ALL_TICKETS_MSG", "Svi Tiketi");
	define("ACTIVE_TICKETS_MSG", "Aktivni Tiketi");
	define("NOT_ASSIGNED_THIS_DEP_MSG", "Niste dodjeljeni ovom odjelu.");
	define("NOT_ASSIGNED_ANY_DEP_MSG", "Niste dodjeljeni nijednom odjelu.");
	define("REPLY_TO_NAME_MSG", "Dogovri {name}");
	define("KNOWLEDGE_CATEGORY_MSG", "Kategorija Znanja");
	define("KNOWLEDGE_TITLE_MSG", "Naslov Znanja");
	define("KNOWLEDGE_ARTICLE_STATUS_MSG", "Status Članka Znanja");
	define("SELECT_RESPONSIBLE_MSG", "Odaberi Odgovornog");
	//ticket types
	define("TICKET_BUG_ISSUE_MSG", "Bug/Problem");
	define("TICKET_QUESTION_MSG", "Pitanje");
	define("TICKET_WISH_REQUEST_MSG", "Želja/Zahtjev");
	define("TICKET_OTHER_MSG", "Drugo");
	define("TICKET_QUOTE_MSG", "Citat");
	//ticket statuses
	define("TICKET_NEW_MSG", "Novi");
	define("TICKET_ANSWERED_MSG", "Odgovoren");
	define("TICKET_REQUEST_INFO_MSG", "Zatražiti Više Informacija");
	define("TICKET_INVESTIGATING_MSG", "Istražuje se");
	define("TICKET_CLOSED_MSG", "Zatvoren");
	define("TICKET_ASSIGNED_MANAGER_MSG", "Dodjeljen Menadžeru");
	define("TICKET_CUSOMER_REPLY_MSG", "Odgovor kupca");
	define("TICKET_ADDED_KB_MSG", "Dodaj u Bazu Znanja");

	define("CHATS_MSG", "Chats");
	define("START_CHATTING_MSG", "Start Chatting");
	define("SUPPORT_LIVE_MSG", "Live Support");
	define("SUPPORT_ONLINE_DESC", "Hello, we are online, <br />click here to start chatting");
	define("SUPPORT_OFFLINE_DESC", "Sorry, we are offline, <br />click here to send us message");
	define("CHATS_WAITING_MSG", "<b>{number}</b> chats waiting");
	define("CHAT_QUESTION_MSG", "Question");
	define("INCOMING_REQUESTS_MSG", "{number} incomming requests");
	define("YOUR_STATUS_MSG", "Your status:");
	define("NO_CHATS_WAITING_MSG", "There are no users waiting to chat.");
	define("WAITING_MSG", "Waiting");
	define("CHATTING_MSG", "Chatting");
	define("EXIT_CHAT_MSG", "Exit Chat");
	define("CLOSE_CHAT_MSG", "Close Chat");
	define("CLOSE_CHAT_QST", "Whould you like to close this chat?");
	define("CHAT_SYSTEM_MSG", "System");
	define("USER_JOINED_CHAT_MSG", "{name} has joined chat.");
	define("USER_CLOSED_CHAT_MSG", "{name} has closed chat.");
	define("CHAT_AUTO_CLOSED_MSG", "Chat has been closed automatically due to inactivity.");

?>