<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 5                                                    ***
  ***      File:  cart_messages.php                                        ***
  ***      Built: Tue Jun  6 16:19:04 2017                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// cart messages
	define("CART_TITLE", "Innkaupakarfa");
	define("SMALL_CART_TITLE", "Karfan þín");
	define("PRODUCTS_TITLE", "Vörur");
	define("LATEST_PRODUCTS_TITLE", "Síðast vörur");
	define("RELATED_PRODUCTS_TITLE", "Tengdar vörur");
	define("TOP_SELLERS_TITLE", "Mest selt");
	define("PRODUCTS_RECOMMENDED_TITLE", "Vörur sem mælt er með");
	define("ONE_PAGE_CHECKOUT_TITLE", "One Page Checkout");
	define("CHECKOUT_LOGIN_TITLE", "Ljúka pöntun :: Notandaupplýsingar");
	define("CHECKOUT_INFO_TITLE", "Ljúka pöntun :: Persónuupplýsingar");
	define("CHECKOUT_PAYMENT_TITLE", "Ljúka pöntun :: Greiðsluupplýsingar");
	define("CHECKOUT_CONFIRM_TITLE", "Ljúka pöntun :: Staðfesting");
	define("CHECKOUT_FINAL_TITLE", "Ljúka pöntun :: Loka");
	define("CHANGES_LOG_TITLE", "Breytingaskrá");
	define("COMPARE_TITLE", "Samanburður á vörum");
	define("CUSTOMERS_WHO_BOUGHT_TITLE", "Fólk sem keypti þessa vöru keypti einnig");

	define("PRODUCT_MSG", "Vara");
	define("PRICES_MSG", "Verð");
	define("OUR_PRICE_MSG", "Okkar verð");
	define("YOU_SAVE_MSG", "Þú sparar");
	define("PROD_OPTIONS_MSG", "Valkostir");
	define("PROD_SUBCOMPONENTS_MSG", "Fylgihlutir");
	define("OPTIONS_AND_COMPONENTS_MSG", "Valkostir og íhlutir");
	define("PROD_AVAILABILITY_MSG", "Lagerstaða");
	define("PROD_HIGHLIGHT_MSG", "Aðalatriði");
	define("PROD_SUPER_IMAGE_MSG", "Smellið hér fyrir stærri mynd");
	define("PROD_PREVIEW_MSG", "Skoða");
	define("PROD_PREVIEW_CLICK_MSG", "Smellið hér til að sjá sýnishorn");
	define("PROD_DESCRIPTION_MSG", "Lýsing");
	define("PROD_SPECIFICATION_MSG", "Sérkenni");
	define("PROD_IMAGES_MSG", "Myndir");
	define("PROD_ACCESSORIES_MSG", "Fylgihlutir");
	define("PROD_NOTE_MSG", "Athugasemd");
	define("PROD_SHIPPING_MSG", "Heimsending");
	define("PROD_WEIGHT_MSG", "Þyngd");
	define("PROD_DOWNLOAD_COLUMN", "Hlekkir");
	define("PROD_TITLE_COLUMN", "Vara");
	define("PROD_CODE_MSG", "Kóði");
	define("PROD_QTY_COLUMN", "Magn");
	define("PROD_PRICE_COLUMN", "Verð");
	define("PROD_TOTAL_COLUMN", "Samtals");
	define("PROD_TAX_TOTAL_COLUMN", "Samtals");
	define("GOODS_TOTAL_MSG", "Vörur samtals");
	define("PAYMENT_AMOUNT_MSG", "Payment Amount");
	define("TOTAL_DISCOUNT_MSG", "Afsláttur samtals");
	define("GOODS_WITH_DISCOUNT_MSG", "Vöruverð eftir afslátt");
	define("SHIPPING_TRACKING_NUMBER_MSG", "Sendingarnúmer");
	define("SHIPPING_COMPANY_MSG", "Shipping Company");
	define("SHIPPING_EXPECTING_MSG", "Væntanleg dagsetning afhendingar");
	define("SELECT_SHIPPING_METHOD_MSG", "Veljið heimsendingarmáta");
	define("SHIPPING_METHOD_MSG", "Shipping Method");
	define("PROCESSING_FEE_MSG", "Vinnslugjald");
	define("MY_PRODUCTS_MSG", "Mínar vörur");
	define("MY_PRODUCTS_DESC", "Smellið hér til að bæta við vörum eða breyta vörum.");
	define("EDIT_PRODUCT_MSG", "Breyta vöru");
	define("ORDER_STEP_ONE_MSG", "Skref 1. Persónu- og afhendingarupplýsingar.");
	define("ORDER_STEP_TWO_MSG", "Skref 2. Greiðsluupplýsingar.");
	define("ORDER_STEP_THREE_MSG", "Skref 3. Staðfesting pöntunar.");
	define("PROD_NEW_ERROR", "Þú hefur ekki heimild til að búa til nýja vöru. ");
	define("PROD_EDIT_ERROR", "Þú hefur ekki heimild til að breyta þessari vöru. ");
	define("PROD_DELETE_ERROR", "Þú hefur ekki heimild til að eyða þessari vöru. ");
	define("PROD_DELETE_CONFIRM_MSG", "Viltu eyða þessari vöru?");
	define("PROD_ACTIVE_MSG", "Virkt");
	define("PROD_GENERAL_TAB", "Almennt");
	define("PROD_DOWNLOADABLE_TAB", "Til niðurhals / Hugbúnaður");
	define("PROD_SPECIAL_OFFER_TAB", "Sértilboð");
	define("PROD_RECURRING_TAB", "Boðgreiðslur");
	define("PROD_NOTIFICATION_TAB", "Tilkynningar");
	define("PROD_NOTES_TAB", "Einkunnir / Ábendingar");
	define("PROD_GENERAL_INFO_MSG", "Almennar vöruupplýsingar");
	define("PROD_SHOWN_MSG", "Setja þessa vöru í sölu");
	define("PROD_ORDER_MSG", "Vörupöntun");
	define("PROD_TYPE_MSG", "Vörutegund");
	define("PROD_TYPE_NOTE", "Note: if you select 'Gift Voucher' type the system will automatically generate a gift voucher coupon after placing the order, if you select 'Bundle' then you should add subcomponents to this product as only they are visible on checkout.");
	define("PROD_NAME_MSG", "Vöruheiti");
	define("PROD_MANUFACTURER_MSG", "Framleiðandi");
	define("PROD_ISSUE_DATE_MSG", "Útgáfudagur vöru");
	define("PROD_ADDITIONAL_OPTIONS_MSG", "Frekari valkostir");
	define("PROD_ALLOWED_COMPARISON_MSG", "Leyfa vörusamanburð");
	define("PROD_TAX_FREE_MSG", "Skattfrjáls vara");
	define("PROD_LANGUAGE_DESC", "Sýna vöru aðeins fyrir valin tungumál");
	define("PROD_PRICING_MSG", "Verðlag");
	define("PROD_CHANGE_PRICE_MSG", "Leyfa viðskiptavinum að breyta verði");
	define("PROD_LIST_PRICE_MSG", "Verð (listaverð)");
	define("PROD_DISCOUNT_PRICE_MSG", "Afsláttarverð");
	define("PROD_ACTIVATE_DISCOUNT_MSG", "Virkja afslátt");
	define("PROD_TRADE_PRICE_MSG", "Skiptiverð");
	define("PROD_DISCOUNT_TRADE_MSG", "Skiptiverð með afslætti");
	define("PROD_BUYING_PRICE_MSG", "Kaupverð");
	define("PROD_SHOWN_DISCOUNT_MSG", "Sýndur afsláttur (%)");
	define("PROD_OPTIONS_PRICE_MSG", "Verðmöguleikar");
	define("PROD_OPTIONS_PRICE_DESC", "notaðu þennan reit ef þú vilt sýna verð og verðmöguleika vöru fyrir blokkir þar sem valkostir eru ekki fyrir hendi. ");
	define("PROD_PRICE_PREVIEW_MSG", "Skoða verð (eins og það birtist á síðu)");
	define("PROD_APPEARANCE_MSG", "Útlit");
	define("PROD_LANGUAGE_MSG", "Tungumál");
	define("CUSTOM_TEMPLATE_MSG", "Sjálfgefið snið");
	define("ON_PROD_LIST_MSG", "á vörulistasíðu");
	define("ON_PROD_DETAILS_MSG", "á vöruatriðasíðu");
	define("ON_TABLE_VIEW_MSG", "á töfluskoðunarsíðu");
	define("ON_GRID_VIEW_MSG", "á grindarskoðunarsíðu");
	define("ON_SEPARATE_PAGE_MSG", "á sér síðu");
	define("ON_CHECKOUT_PROCESS_MSG", "í útskráningarferli");
	define("PROD_PREVIEW_URL_MSG", "Skoða vöru URL");
	define("CONDITION_MSG", "Condition");
	define("CONDITIONS_MSG", "Conditions");
	define("STOCK_LEVEL_MSG", "Lagerstaða");
	define("IN_STOCK_MSG", "In Stock");
	define("OUT_OF_STOCK_MSG", "Out of Stock");
	define("LOW_STOCK_MSG", "Low Stock");
	define("PROD_STOCK_MSG", "Lager ");
	define("USE_STOCK_MSG", "Nota lagerstöðu");
	define("STOCK_QUANTITY_MSG", "Magn á lager");
	define("HIDE_OUT_STOCK_MSG", "Fela þegar vara er ekki til á lager");
	define("HIDE_OUT_STOCK_DESC", "ekki sýna vöru á vefnum ef hún er ekki til á lager");
	define("DISABLE_OUT_STOCK_MSG", "Afvirkja óaðgengilegar vörur");
	define("DISABLE_OUT_STOCK_DESC", "aftengja '<b>{ADD_TO_CART_MSG}</b>' hnapp ef vara er ekki til á lager");
	define("IN_STOCK_AVAILABILITY_MSG", "Til á lager");
	define("IN_STOCK_AVAILABILITY_DESC", "vanalegur sendingartími þegar vara er til á lager eða til ótakmörkuðu magni");
	define("OUT_STOCK_AVAILABILITY_MSG", "Ekki til á lager");
	define("OUT_STOCK_AVAILABILITY_DESC", "vanalegur sendingartími þegar vara er ekki til á lager");
	define("SHIPPING_RESTRICTIONS_MSG", "Sendingarhömlur");
	define("PROD_OFFER_ACTIVATE_MSG", "Bæta þessari vöru í sértilboða hlutann");
	define("PROD_RATING_MSG", "Einkunnir vöru");
	define("PROD_DIRECT_LINK_MSG", "Beinn hlekkur til að kaupa vöru");
	define("PRODUCTS_REPORT_MSG", "Vöruskýrsla");
	define("MERCHANT_SALES_MSG", "Sala kaupmanns");
	define("MERCHANT_SALES_DESC", "Í þessum hluta er hægt að sjá sölulista fyrir vörur sem þú hefur sent inn. Einnig geturðu athugað heildarupphæð sölulauna.  ");
	define("AFFILIATE_SALES_MSG", "Sala gegnum tengilið");
	define("AFFILIATE_SALES_DESC", "Smelltu hér til að sjá lista yfir alla sölu í gegnum þig sem tengilið. Hér geturðu líka skoðað heildarupphæð umboðslauna.");
	define("COMMISSION_PAYMENTS_MSG", "Greiðslur umboðslauna");
	define("COMMISSION_PAYMENTS_DESC", "Vinsamlegast skoðið þennan hluta til að velja tilhögun á greiðslu umboðslauna.");
	define("PAYMENT_NAME_COLUMN", "Nafn greiðslu");
	define("PAYMENT_TOTAL_COLUMN", "Samtals");
	define("PAYMENT_DATE_COLUMN", "Dagsetning greiðslu");
	define("NO_COMMISSION_PAYMENTS_MSG", "Engin umboðslaunagreiðsla fannst");
	define("COMMISSIONS_MSG", "Umboðslaun");
	define("COMMISSION_AMOUNT_COLUMN", "Upphæð umboðslauna");
	define("COMMISSION_DATE_COLUMN", "Dagsetning umboðslauna");
	define("NO_COMMISSIONS_MSG", "Engin umboðslaun fundust");
	define("AFFILIATE_MSG", "Tengiliður");
	define("MERCHANT_MSG", "Söluaðili");
	define("CONTACT_MERCHANT_TITLE", "Hafa samband við söluaðila");
	define("PROD_SORT_BY_MSG", "Flokka eftir");
	define("PROD_SORT_DEFAULT_MSG", "Sjálfgefið");
	define("PROD_SORT_MANUFACTURER_MSG", "Framleiðandi");
	define("PROD_SORT_CODE_MSG", "Kóði");
	define("PROD_MOST_POPULAR_MSG", "Vinsælast");
	define("PROD_FIELDS_TAB", "Reitir");
	define("PROD_TERMS_TAB", "Skilmálar");
	define("PROD_SHOW_TERMS_MSG", "Sýna skilmála");
	define("PROD_SHOW_TERMS_DESC", "Til að setja inn vöruna þarf notandi að samþykkja skilmála okkar");
	define("PROD_TERMS_USER_ERROR", "Til að setja inn vöruna þarf notandi að samþykkja skilmála okkar");
	define("MERCHANT_PRODUCTS_LIMIT_MSG", "Fjöldi vara sem söluaðili getur sett inn");
	define("MERCHANT_PRODUCTS_LIMIT_DESC", "Hafðu þennan reit auðan ef þú kýst að takmarka ekki fjölda vara sem söluaðili getur sent");
	define("MERCHANT_PRODUCTS_LIMIT_ERROR", "Því miður, þér er ekki heimilt að bæta við fleiri en {products_limit} vörum");
	define("FEES_COMMISSIONS_MSG", "Gjöld og umboðslaun");
	define("DISCOUNTS_FEES_COMMISSIONS_MSG", "Afslættir, gjöld, umboðslaun");
	define("DISCOUNT_MSG", "Afsláttur");
	define("MERCHANT_FEE_MSG", "Söluaðilagjald");
	define("AFFILIATE_COMMISSION_MSG", "Umboðslaun tengiliðar");
	define("NO_OPTIONS_AVAILABLE_MSG", "Engir valkostir eða íhlutir mögulegir");
	define("OPTION_MSG", "Valkostur");
	define("SUBCOMPONENT_MSG", "Fylgihlutur");
	define("SUBCOMPONENT_SELECTION_MSG", "Velja fylgihlut");
	define("ADD_SUBCOMPONENT_MSG", "Bæta við fylgihlut");
	define("ADD_SUBCOMPONENT_SELECTION_MSG", "Bæta við völdum fylgihlutum");
	define("EDIT_OPTION_MSG", "Breyta valkosti");
	define("OPTION_ORDER_MSG", "Röð valkostar");
	define("OPTION_NAME_MSG", "Heiti valkostar");
	define("OPTION_HINT_MSG", "Option Hint");
	define("OPTION_HINT_DESC", "shown instead of Option Name");
	define("OPTION_CONTROL_MSG", "Stýring valkostar");
	define("CONTROL_TYPE_USE_DESC", "Þú þarft að bæta inn gildum hakreita lista </b>, <b>ListBox</b> og <b>Radio Buttons</b> í raðirnar fyrir neðan.");
	define("OPTION_TEXT_MSG", "Texti valkostar");
	define("OPTION_STYLE_MSG", "Yfirbragð valkostar");
	define("OPTION_STYLE_NOTE", "Nota CSS til að stýra sniði valkostarblokkar");
	define("SHOW_OPTION_MSG", "Sýna eiginleika");
	define("OPTION_REQUIRED_MSG", "Valkostar krafist");
	define("OPTIONS_APPEARANCE_MSG", "Útlit valkostar");
	define("CONTROL_STYLE_MSG", "Stjórn yfirbragðs");
	define("CONTROL_STYLE_NOTE", "Nota CSS til að stýra sniði stýringar");
	define("BEFORE_TITLE_HTML_MSG", "á undan Titils HTML");
	define("BEFORE_TITLE_HTML_NOTE", "þetta HTML birtist á undan nafni valkostar");
	define("BEFORE_TITLE_COMPONENT_NOTE", "þetta HTML birtist á undan nafni íhlutar");
	define("AFTER_TITLE_HTML_MSG", "á eftir Titils HTML");
	define("AFTER_TITLE_HTML_NOTE", "þetta HTML birtist á eftir nafni valkostar");
	define("AFTER_TITLE_COMPONENT_NOTE", "þetta HTML birtist á eftir nafni íhlutar");
	define("BEFORE_CONTROL_HTML_MSG", "á undan stýringar HTML");
	define("BEFORE_CONTROL_HTML_NOTE", "þetta HTML birtist á undan hverri stýringu valkostar");
	define("BEFORE_CONTROL_COMPONENT_NOTE", "þetta HTML birtist á undan hverri stýringu íhlutar");
	define("AFTER_CONTROL_HTML_MSG", "á eftir stýringar HTML");
	define("AFTER_CONTROL_HTML_NOTE", "þetta HTML birtist á eftir hverri stýringu valkostar");
	define("AFTER_CONTROL_COMPONENT_NOTE", "þetta HTML birtist á eftir hverri stýringu íhlutar");
	define("END_HTML_MSG", "Enda HTML");
	define("END_HTML_NOTE", "þetta HTML birtist í lok valkostarblokkar");
	define("END_COMPONENT_NOTE", "þetta HTML birtist í lok íhlutablokkar");
	define("JAVASCRIPT_SETTINGS_MSG", "Javascript Stillingar");
	define("ONCHANGE_EVENT_MSG", "OnChange viðburður");
	define("ONCLICK_EVENT_MSG", "OnClick viðburður");
	define("CONTROL_CODE_MSG", "Stýrikóði");
	define("OPTIONS_VALUES_MSG", "Gildi valkostar");
	define("DESCRIPTION_AND_CODE_MSG", "Lýsing og kóði");
	define("NON_SPACE_LETTERS_ALLOWED_MSG", "non-space letters allowed");
	define("NON_SPACE_PERLINE_ALLOWED_MSG", "non-space letters allowed per line");
	define("SELLING_MSG", "Sala");
	define("PERCENTAGE_MSG", "Prósenta");
	define("OPTION_PERCENTAGE_PRICE_DESC", "Setja verð valkostar sem prósentu af upprunalegu verði vöru");
	define("PERCENTAGE_PRICE_TYPE_MSG", "Percentage Price Type");
	define("FROM_PRODUCT_PRICE_MSG", "from product price");
	define("FROM_OTHER_OPTION_MSG", "from other option");
	define("BUYING_MSG", "Kaup");
	define("USE_MSG", "Notkun");
	define("ACTIVATE_STOCK_CONTROL_MSG", "Virkja lagerstjórn");
	define("ACTIVATE_CONTROL_CHECKBOX_MSG", "Til að virkja lagerstjórn fyrir gildi þessa valkosta, hakaðu í eftirfarandi reit");
	define("CHECK_STOCK_USE_MSG", "Vinsamlegast virkjaðu lagerstjórn áður en þú velur \"Afvirkja óaðgengilegar vörur\" valmöguleikann");
	define("HIDE_MSG", "Fela");
	define("HIDE_IF_OUT_STOCK_MSG", "Fela ef vara er ekki til á lager");
	define("HIDE_OPTION_VALUE_DESC", "Til að fela þennan valkost þegar hann er búinn á lager, hakaðu í meðfylgjandi reit");
	define("PATH_MSG", "Slóð");
	define("PERIOD_MSG", "Tímabil");
	define("DOWNLOADABLE_OPTIONS_MSG", "Niðurhalanlegir valkostir");
	define("ADD_MORE_OPTIONS_QST", "Bæta við fleiri gildum valkosta?");
	define("EDIT_SUBCOMP_MSG", "Breyta fylgihlut");
	define("SUBCOMP_ID_MSG", "Auðkenni fylgihlutar");
	define("SUBCOMP_NAME_MSG", "Heiti fylgihlutar");
	define("SUBCOMP_PRICE_MSG", "Verð fylgihlutar");
	define("SUBCOMP_PRICE_NOTE", "hér getur þú breytt út af grunnverði vörunnar");
	define("OVERRIDE_PRICE_MSG", "Breyta út af verði");
	define("BASE_PRICE_MSG", "Base Price");
	define("SELLING_PRICE_MSG", "Söluverð");
	define("TRADE_SELLING_PRICE_MSG", "Heildsöluverð");
	define("PERCENTAGE_PRICE_MSG", "Prósentuverð");
	define("EDIT_SUBCOMP_SELECTION_MSG", "Breyta vali á íhlut");
	define("COMPONENT_ORDER_MSG", "Röðun íhlutar");
	define("COMPONENT_NAME_MSG", "Heiti íhlutar");
	define("COMPONENT_CONTROL_MSG", "Stýring íhlutar");
	define("COMPONENT_CONTROL_DESC", "Stýring til að tilgreina frekari fylgihluti");
	define("COMPONENT_STYLE_MSG", "Yfirbragð íhlutar");
	define("USE_CSS_TO_CHANGE_MSG", "Nota CSS til að breyta blokkarsniði íhlutar");
	define("SHOW_COMPONENT_MSG", "Sýna íhlut");
	define("COMPONENT_REQUIRED_MSG", "Íhlutar er krafist");
	define("COMPONENT_APPEARANCE_MSG", "Útlit íhlutar");
	define("LIST_OF_SUBCOMPONENTS_MSG", "Fylgihlutalisti");
	define("ADD_MORE_SUBCOMP_QST", "Bæta við fleiri fylgihlutum");
	define("PRODUCT_SELECTION_MSG", "Vöruval");
	define("SELECT_PRODUCT_MSG", "Velja vöru");
	define("PRODUCT_ID_MSG", "Auðkenni vöru");
	define("POINTS_MSG", "Punktar");
	define("PROD_PAY_POINTS_MSG", "Borga fyrir vöru með punktum");
	define("POINTS_NOT_ALLOWED_MSG", "Ekki heimilað");
	define("POINTS_ALLOWED_MSG", "Heimilað");
	define("ONLY_POINTS_ALLOWED_MSG", "Borga eingöngu með punktum");
	define("POINTS_PRICE_MSG", "Punktaverð");
	define("POINTS_PRICE_DESC", "hafðu þennan reit auðan ef þú vilt að punktaverð sé reiknað útfrá punktabreytitöflu");
	define("POINTS_AMOUNT_MSG", "Punktafjöldi");
	define("REWARD_POINTS_MSG", "Verðlaunapunktar");
	define("REWARD_POINTS_TYPE_MSG", "Gerð verðlaunapunkta");
	define("REWARD_POINTS_AMOUNT_MSG", "Verðlaunapunktafjöldi");
	define("PAY_WITH_POINTS_SYSTEM_MSG", "Greiða með punktakerfi");
	define("PERCENT_PER_PROD_FULL_PRICE_MSG", "Prósenta af söluverði vöru/valkostar");
	define("FIXED_AMOUNT_PER_PROD_MSG", "Fast magn fyrir hverja vöru");
	define("PERCENT_PER_PROD_SELL_PRICE_MSG", "Prósenta af söluverði vöru");
	define("PERCENT_PER_PROD_SELL_BUY_MSG", "Prósenta af (söluverði – kaupverði)");
	define("POINTS_CONVERSION_RATE_MSG", "Gengi punkta gagnvart gjaldmiðli");
	define("SHIPPING_PAY_POINTS_MSG", "Greiða flutningsgjöld með punktum");
	define("ORDER_OPTIONS_PAY_POINTS_MSG", "Greiða með punktum fyrir valkosti í pöntun");
	define("POINTS_DECIMALS_MSG", "Fjöldi aukastafa í punktum");
	define("ACCUMULATE_POINTS_MSG", "Safna punktum");
	define("ACCUMULATE_POINTS_FOR_POINTS_MSG", "Viltu að viðskiptavinur safni punktum þegar hann greiðir með punktum?");
	define("POINTS_BALANCE_MSG", "Punktajöfnuður");
	define("POINTS_REMAINING_MSG", "Punktar afgangs");
	define("POINTS_NEEDED_TOTAL_MSG", "Samtals punktar sem til þarf");
	define("POINTS_CHECKBOXES_SELECT_MSG", "Nota hakreiti til að velja þær vörur og valkosti sem þú vilt greiða fyrir með punktum");
	define("POINTS_ENOUGH_ERROR", "Því miður hefur þú ekki nóg af punktum {points_amount} til að greiða fyrir pöntun þína");
	define("CREDIT_BALANCE_MSG", "Credit Balance");
	define("REWARDS_MSG", "Verðlaun");
	define("REWARD_CREDITS_MSG", "Verðlaunastig");
	define("REWARD_CREDITS_TYPE_MSG", "Gerð verðlaunastiga");
	define("REWARD_CREDITS_AMOUNT_MSG", "Fjöldi verðlaunastiga");
	define("REWARD_CREDITS_TOTAL_MSG", "Samtals verðlaunastig");
	define("PRODUCT_REWARDS_MSG", "Vöruverðlaun");
	define("POINTS_AND_CREDITS_MSG", "Punktar og stig");
	define("CREDITS_MSG", "Stig");
	define("DISCOUNT_PRICE_TYPE_MSG", "Gerð afsláttarverðs");
	define("PARENT_OPTION_MSG", "Yfirvalkostur");
	define("PARENT_OPTION_DESC", "yfirvalkostur sem velja þarf til að sýna þennan valkost");
	define("PARENT_OPTION_VALUE_MSG", "Gildi yfirvalkostar");
	define("PARENT_OPTION_VALUE_DESC", "Gildi yfirvalkostar sem velja þarf til að sýna þennan valkost");
	define("PARENT_COMPONENT_SELECTION_MSG", "Val á yfiríhlut");
	define("PARENT_COMPONENT_MSG", "Yfiríhlutur");
	define("ASSIGN_OPTION_MSG", "Velja inn valkost");
	define("ASSIGN_COMPONENT_MSG", "Velja inn íhlut");
	define("ONLY_FOR_LABEL_MSG", "Aðeins fyrir <b>stýringu merkja</b>");
	define("AUTO_ADD_TO_ALL_PRODS_MSG", "Sjálfvirkt bætt við allar vörur");
	define("SELECT_OPTION_AND_VALUES_MSG", "Gera kleift að velja þennan valkost og gildi hans sérstaklega fyrir hverja vöru");
	define("SELECT_OPTION_ALL_VALUES_MSG", "Gera kleift að velja þennan valkost með öllum gildum hans sérstaklega fyrir hverja vöru");
	define("SINGLE_TOTAL_PRICE_MSG", "Eitt samtals verð");
	define("FOR_SPECIFIED_CONTOL_MSG", "Fyrir tilgreinda gerð stýringar");
	define("FOR_SPECIFIED_LETTER_MSG", "Fyrir tilgreindan staf");
	define("FOR_SPECIFIED_NONSPACE_MSG", "Fyrir tilgreindan staf sem ekki er bil");
	define("SUMMARY_DISCOUNT_MSG", "Afsláttur í samantekt");
	define("FREE_CHARGE_CONTROLS_MSG", "Gjaldfrjálsar gerðir stýringa");
	define("FREE_CHARGE_LETTERS_MSG", "Gjaldfrjálsir stafir");
	define("FREE_CHARGE_NONSPACE_MSG", "Gjaldfrjálsir stafir sem ekki eru bil");
	define("MAX_LETTERS_ALL_CONTROLS_MSG", "Hámarksfjöldi stafa fyrir allar gerðir stýringa");
	define("MAX_LETTERS_EACH_CONTROL_MSG", "Hámarksfjöldi stafa fyrir hverja gerð stýringar");
	define("MAX_NONSPACE_ALL_CONTROLS_MSG", "Hámarksfjöldi stafa sem ekki eru bil fyrir allar gerðir stýringa");
	define("MAX_NONSPACE_EACH_CONTROL_MSG", "Hámarksfjöldi stafa sem ekki eru bil fyrir hverja gerð stýringar");
	define("MAX_LIMIT_MSG", "Hámark");
	define("MAX_LIMIT_TYPE_MSG", "Tegund hámarks");
	define("MAX_LIMIT_LENGTH_MSG", "Lengd hámarks");
	define("PRODUCT_ID_NO_LONGER_EXISTS_MSG", "Vara með auðkenni  '<b>{item_id}</b>' er ekki lengur til í gagnagrunni");
	define("PROD_TYPE_ID_NO_LONGER_EXISTS_MSG", "Vörutegund með auðkenni  '<b>{item_id}</b>' er ekki lengur til í gagnagrunni");
	define("STOCK_AND_SHIPPING_MSG", "Lager og flutningar");
	define("IMAGES_AND_APPEARANCE_MSG", "Myndir og útlit");
	define("MINIMUM_ITEMS_QTY_MSG", "Lámarksmagn");
	define("MAXIMUM_ITEMS_QTY_MSG", "Hámarksmagn");
	define("MINIMUM_ITEMS_QTY_NOTE", "Lámarksfjöldi vara til kaupa");
	define("MAXIMUM_ITEMS_QTY_NOTE", "Hámarksfjöldi vara til kaupa");
	define("QTY_INCREMENT_MSG", "Þrepastærð magns");
	define("ALLOWED_QUANTITIES_MSG", "Allowed Quantities");
	define("ALLOWED_QUANTITIES_NOTE", "the number of items separated by commas user can add to the cart");
	define("FREE_SHIPPING_MSG", "Enginn flutningskostnaður");
	define("FREE_SHIPPING_DESC", "þessi valmöguleiki afnemur allan flutningskostnað þessarar vöru og þyndar hennar");
	define("HAS_BEEN_SUCCESSFULLY_COPIED_MSG", "hefur verið afritað á eftirfarandi vörur:");
	define("ALREADY_COPIED_MSG", "eru nú þegar afritaðar á eftirfarandi vörur:");
	define("ALLOW_PRODUCT_COMPARISON_MSG", "Leyfa samanburð á vörum");
	define("FULL_DESCRIPTION_TYPE_MSG", "Ítarleg lýsing");
	define("IS_SPECIAL_OFFER_MSG", "Er sértilboð");
	define("HIDE_BUTTON_PROD_LIST_MSG", "Fela Setja í körfu hnapp á vörulistasíðu");
	define("HIDE_BUTTON_PROD_DETAILS_MSG", "Fela Setja í körfu hnapp á vöruupplýsingasíðu");
	define("HIDE_OFF_LIMITS_PRODUCTS_MSG", "Fela óaðgengilegar vörur");
	define("IS_DOWNLOADABLE_MSG", "Er niðurhalanlegt");
	define("DIRECT_BUY_LINK_MSG", "Slóð á bein kaup");
	define("SHIPPING_COST_MSG", "Flutningskostnaður");
	define("SELECT_ONE_PRODUCT_MSG", "Vinsamlegast veldu að minnsta kosti eina vöru fyrst");
	define("SELECT_ONE_PRODUCT_TYPE_MSG", "Vinsamlegast veldu að minnsta kosti eina vörutegund fyrst");
	define("ADD_COMPONENTS_TO_PRODUCTS_MSG", "Bæta íhlutum við aðrar vörur");
	define("ADD_COMPONENTS_TO_PRODUCT_TYPES_MSG", "Bæta íhlutum við aðrar vörutegundir");
	define("COPY_COMPONENTS_TO_PRODUCTS_MSG", "Afrita íhluti yfir á valdar vörur");
	define("COPY_COMPONENTS_TO_PRODUCT_TYPES_MSG", "Afrita íhluti yfir á valdar vörutegundir");
	define("SUCCESSFULLY_COPIED_TO_PRODUCT_TYPES_MSG", "hefur verið afritað á eftirfarandi vörutegundir:");
	define("ALREADY_COPIED_TO_PRODUCT_TYPES_MSG", "eru nú þegar afritaðar á eftirfarandi vörutegundir:");
	define("CHOOSE_OPTIONS_MSG", "Choose Options");
	define("EDIT_OPTIONS_MSG", "Edit Options");
	define("UPDATE_OPTIONS_MSG", "Update Options");
	define("PRODUCT_TABS_MSG", "Product Tabs");
	define("CUSTOM_TABS_MSG", "Custom Tabs");

	define("CART_TOTAL_MSG", "Samtals verð pöntunar");
	define("CONTINUE_SHOPPING_MSG", "Halda áfram að versla");
	define("REMOVE_FROM_CART_MSG", "Fjarlægja");
	define("EMPTY_CART_MSG", "Innkaupakarfan þín er tóm!");
	define("CLEAR_CART_MSG", "Tæma körfu");
	define("PRE_ORDER_MSG", "Panta fyrirfram");
	define("BUY_NOW_MSG", "Buy Now");
	define("ADD_TO_CART_MSG", "Setja í körfu");
	define("ADD_TO_WISHLIST_MSG", "Bæta á óskalista");
	define("VIEW_CART_MSG", "Skoða körfu");
	define("AMEND_CART_MSG", "Breyta körfu");
	define("IN_CART_MSG", "In Cart");
	define("HIDE_BUTTON_MSG", "Hide '{button_name}' button");
	define("MULTI_ADD_MSG", "Multi-Add");
	define("MULTI_ADD_DESC", "add one and more products at once");
	define("MY_SAVED_CARTS_MSG", "Geymdar körfur");
	define("MY_SAVED_CARTS_DESC", "Hér getur þú skoðað/endurheimt körfur sem hafa verið geymdar áður");
	define("NO_CARTS_MSG", "Engar körfur fundust");
	define("SAVE_CART_TITLE", "Geymdu körfuna þína");
	define("SAVE_CART_BUTTON", "Geyma körfu ");
	define("SAVE_CART_INFO_MSG", "Þú getur geymt körfuna þína og sótt hana aftur hvenær sem er. Sláðu inn nafn á körfuna og smelltu á \"geyma körfu\" hnappinn. Við útvegum þá sérstakt körfunúmer sem þú notar ásamt nafni körfunnar til að sækja körfuna úr geymslu. Ef þú ert skráður notandi geturðu nálgast vörur í körfu af heimasvæði þínu");
	define("SAVE_CART_EMAIL_NOTE", "Please enter your email address to receive a copy of your saved cart along with the cart number and cart name.");
	define("CART_NO_FIELD", "Körfunúmer");
	define("CART_NAME_FIELD", "Nafn körfu");
	define("CART_SAVED_DATE_COLUMN", "Geymd þann");
	define("CART_TOTAL_COLUMN", "Samtals í körfu");
	define("CART_SAVED_MSG", "Karfa þín hefur verið vistuð. Körfunúmer þitt er <b>{cart_id}</b>");
	define("RETRIEVE_CART_TITLE", "Sækja þína körfu");
	define("RETRIEVE_CART_BUTTON", "Sækja körfu");
	define("RETRIEVE_CART_INFO_MSG", "Vinsamlegast sláðu inn körfunúmer þitt og körfunafn til að sækja vistaða körfu");
	define("RETRIEVE_CART_NOTE_MSG", "Vinsamlegast athugaðu að sótt karfa bolar burt þeirri körfu sem þú ert að vinna með nú. Ef þú gerir breytingar á körfunni eftir að hún hefur verið sótt, vinsamlegast vistaðu hana aftur");
	define("CART_RETRIEVED_MSG", "Karfan þín hefur verið sótt");
	define("RETRIEVE_CART_ERROR", "Ekki tókst að sækja körfu. <br>Vinsamlegast athugaðu hvort réttar upplýsingar hafa verið slegnar inn, og reyndu aftur");
	define("PROD_NOT_AVAILABLE_ERROR", "Þessi vara er ekki fáanleg eins og stendur");
	define("PROD_OPTIONS_MISSED_ERROR", "Einhverjir valkostir fyrir þessa vöru voru ekki valdir. Vinsamlegast veldu þá á viðeigandi vörusíðu");
	define("PROD_PRICE_CHANGED_MSG", "Product price changed");

	define("GOTO_CHECKOUT_MSG", "Ganga frá pöntun");
	define("CHECKOUT_WITHOUT_MSG", "Ganga frá pöntun án þess að stofna aðgang");
	define("OPEN_AND_CHECKOUT_MSG", "Stofna aðgang og ganga frá pöntun");
	define("VIEW_COMPARE_MSG", "View Compare List");
	define("REMOVE_FROM_CART_JS", "Ertu viss um að þú viljir fjarlægja þessa {item_type} úr innkaupakörfunni?");
	define("CLEAR_CART_JS", "Ertu viss um að þú viljir tæma allar vörur úr innkaupakörfunni?");
	define("CART_QTY_ZERO_JS", "Þú ert við það að breyta magni úr '{old_quantity} í 0. Við það mun '{product_name}' vera fjarlægt úr körfunni þinni. Viltu halda áfram?");
	define("ALTER_CART_QTY_JS", "Þú ert við það að breyta magni af \\n'{product_name}' úr '{old_quantity}' í '{new_quantity}'\\n. Viltu halda áfram?");
	define("ADD_PRODUCT_MSG", "Bæta þessari vöru í innkaupakörfu þína?");
	define("PRODUCT_OUT_STOCK_MSG", "Því miður, þessi vara er uppseld eins og er.");
	define("REQUIRED_PROPERTY_MSG", "Vinsamlegast tilgreindu {property_name} fyrir {product_name}.");
	define("PRODUCT_LIMIT_MSG", "Ekki er hægt að bæta við fleiri en {limit_quantity} eintökum af {product_name}");
	define("PRODUCT_MIN_LIMIT_MSG", "Þú getur ekki bætt við færri en {limit_quantity} hlutum fyrir {product_name}.");
	define("PRODUCT_QUANTITY_ERROR", "You can't add {quantity} items for {product_name}.");
	define("PRODUCT_ALLOWED_QUANTITIES_MSG", "The quantities allowed for this product are: {quantities_list}");
	define("ADDED_PRODUCT_MSG", "{product_name} hefur verið bætt í innkaupakörfu þína.");
	define("ADDED_TO_WISHLIST_MSG", "{product_name} has been added to your Wishlist.");
	define("ADDED_TO_COMPARE_MSG", "{product_name} has been added to your Compare List.");
	define("REQUIRED_DELIVERY_MSG", "Vinsamlegast veldu sendingarmáta");
	define("PROD_RESTRICTED_DELIVERY_MSG", "{product_name} er ekki flutt til {country_name}.");
	define("NO_DELIVERY_FOR_ADDRESS_MSG", "Sorry, but we can't delivery this order to you. There are no shipping methods available for your address.");
	define("NO_PRODUCT_MSG", "Vara með þetta auðkenni er ekki fáanleg í þessum flokki");
	define("NO_PRODUCTS_MSG", "Engar vörur fundust");
	define("NO_PRODUCTS_MATCH_MSG", "Engar vörur sem uppfyltu leitarskilyrðin fundust");
	define("FOUND_PRODUCTS_MSG", "<b>{found_records}</b> vörur fundust sem uppfyltu eftirfarandi leitarskilyrði: '<b>{search_string}</b>'");
	define("PROD_DOWNLOAD_MSG", "Niðurhal");
	define("PROD_VER_MSG", "útg.");
	define("PROD_RELEASES_MSG", "{product_name} útgáfur");
	define("PROD_CHANGES_LOG_MSG", "{product_name} breytingaskrá");
	define("CHANGES_LOG_MSG", "Breytingaskrá");
	define("ALL_PRODUCTS_MSG", "Allar vörur");
	define("ALL_PROD_RELEASES_MSG", "Allar útgáfur");
	define("NO_PROD_RELEASES_MSG", "Engar útgáfur fáanlegar");
	define("NO_RELEASE_CHANGES_MSG", "Engar breytingar tiltækar");
	define("SERIAL_NUMBER_MSG", "Raðnúmer");
	define("RECURRING_OPTIONS_MSG", "Boðgreiðsluvalmöguleikar");
	define("RECURRING_ACTIVATE_MSG", "Gangsetja boðgreiðslur");
	define("RECURRING_PERIOD_MSG", "Boðgreiðslutímabil");
	define("RECURRING_INTERVAL_MSG", "Boðgreiðslubil");
	define("RECURRING_INTERVAL_DESC", "Þetta er lengd greiðsluferilsins");
	define("RECURRING_PAYMENTS_TOTAL_MSG", "Samtals greiðslur");
	define("RECURRING_PAYMENTS_TOTAL_DESC", "Samtals fjöldi greiðslna");
	define("RECURRING_PAYMENTS_MADE_MSG", "Fyrri greiðslur");
	define("RECURRING_PAYMENTS_FAILED_MSG", "Misheppnaðar greiðslur");
	define("RECURRING_START_DATE_MSG", "Upphafsdagsetning greiðslu");
	define("RECURRING_START_DATE_DESC", "Upphafsdagsetning boðgreiðslu er sú dagsetning þegar boðgreiðslur hefjast");
	define("RECURRING_END_DATE_MSG", "Lokadagur greiðslu");
	define("RECURRING_END_DATE_DESC", "Lokadagur boðgreiðslu er sú dagsetning þegar boðgreiðslum lýkur.");
	define("RECURRING_LAST_PAYMENT_MSG", "Dagsetning síðustu greiðslu");
	define("RECURRING_PLAN_PAYMENT_MSG", "Dagsetning áætlaðrar greiðslu");
	define("RECURRING_NEXT_PAYMENT_MSG", "Dagsetning næstu greiðslu");
	define("RECURRING_METHOD_MSG", "Boðgreiðsluleið");
	define("RECURRING_NOT_ALLOWED_MSG", "Ekki heimilað");
	define("RECURRING_NOT_ALLOWED_ERROR", "Ekki er heimilt að greiða með '{payment_name}' leiðinni fyrir vörur sem ætlaðar eru fyrir boðgreiðslu.Vinsamlegast veldu aðra greiðsluleið.");
	define("RECURRING_AUTO_CREATE_MSG", "Búa til sjálfvirka pöntun fyrir næstu greiðslu");
	define("RECURRING_AUTO_BILL_MSG", "Búa til og rukka sjálfkrafa boðgreiðslupantanir");
	define("RECURRING_SHIPPING_MSG", "Virkja flutning fyrir boðgreiðslur");
	define("RECURRING_PROCEED_CURRENT_MSG", "Halda áfram með boðgreiðslupantanir");
	define("SUBSCRIPTION_MSG", "Áskrift");
	define("SUBSCRIPTION_OPTIONS_MSG", "Áskriftarstillingar");
	define("SUBSCRIPTION_ACTIVATE_MSG", "Virkja áskrift");
	define("SUBSCRIPTION_RECURRING_MSG", "Virkja boðgreiðslur fyrir þessa áskrift");
	define("SUBSCRIPTION_NAME_MSG", "Nafn áskriftar");
	define("SUBSCRIPTION_FEE_MSG", "Áskriftargjald");
	define("SUBSCRIPTION_PERIOD_MSG", "Áskriftartímabil");
	define("SUBSCRIPTION_INTERVAL_MSG", "Áskriftarbil");
	define("SUBSCRIPTION_INTERVAL_DESC", "Þetta er lengd áskriftarferilsins");
	define("SUBSCRIPTION_SUSPEND_MSG", "Frestun áskriftar");
	define("SUBSCRIPTION_SUSPEND_DESC", "Fjöldi daga sem öllum verknaði viðskiptavina er frestað");
	define("SUBSCRIPTION_CANCEL_MSG", "Segja upp áskrift");
	define("SUBSCRIPTION_REWARDS_MSG", "Áskriftarumbun");
	define("SUBSCRIPTION_FEE_PERCENTAGE_MSG", "Prósenta af áskriftargjaldi");
	define("SUBSCRIPTION_FIXED_AMOUNT_MSG", "Föst upphæð fyrir áskrift ");
	define("CONFIRM_SUBSCRIPTION_MSG", "Add this subscription to your Shopping Cart?");
	define("ADDED_SUBSCRIPTION_MSG", "{subscription_name} was added to your Shopping Cart.");
	define("SELECT_SUBSCRIPTION_MSG", "Please select subscription to add to your Shopping Cart.");
	define("NO_ACTIVE_PS_MSG", "Sorry, but there is no active payment system.");
	define("ORDER_STATUS_MSG", "Order Status");
	define("SELECT_ORDER_STATUS_MSG", "Select Order Status");
	define("PRODUCT_STATUS_MSG", "Product Status");
	define("SELECT_PRODUCT_STATUS_MSG", "select product status");

	define("WISHLIST_PRODUCTS_MSG", "Wish List Products");
	define("WISHLIST_NOT_EXISTS_MSG", "The wish list you have requested does not exist.");
	define("WISHLIST_BOUGHT_MSG", "Bought");
	define("WISHLIST_WANTS_MSG", "Wants");
	define("WISHLIST_HAS_MSG", "Has");
	define("FIND_FRIEND_WISHLIST_MSG", "Find a Friend's Wish List");
	define("FIND_WISHLIST_BUTTON", "Find Wish List");
	define("FIND_WISHLIST_DESC", "If you would like to view a Wish List belonging to a friend or family member, perhaps to purchase a gift for them, please enter their e-mail address.");
	define("CONFIRM_WISHLIST_DELETE_MSG", "Are you sure you want delete this wishlist item?");

	define("COUPON_MSG", "Afsláttarmiði");
	define("COUPON_NOT_FOUND_MSG", "Enginn afsláttarmiði fannst með þessum kóða");
	define("COUPON_NON_ACTIVE_MSG", "Þessi afsláttarmiði er ekki virkur");
	define("COUPON_USED_MSG", "Þessi afsláttarmiði hefur þegar verið nýttur");
	define("COUPON_EXPIRED_MSG", "Þessi afsláttarmiði er útrunninn");
	define("COUPON_EXCLUSIVE_MSG", "Þennan afsláttarmiða má ekki nota með þeim afsláttarmiðum sem verið er að nota.");
	define("COUPON_APPLIED_MSG", "Það er þegar verið að nota þennan afsláttarmiða");
	define("COUPON_PRODUCTS_MSG", "Því miður gildir þessi afsláttarmiði ekki fyrir þær vörur sem eru í körfunni.");
	define("COUPON_ORDER_AMOUNT_MSG", "Því miður er ekki hægt að nota þennan afsláttarmiða nema keyptir séu fleiri hlutir. <br>Lágmarksmagn er {minimum_amount}");
	define("COUPON_PROD_PRICE_MSG", "Því miður er ekki hægt að nota þennan afsláttarmiða nema keypt sé fyrir hærri upphæð. <br>Lágmarksupphæðin er {minimum_amount}");
	define("COUPON_REMOVE_MSG", "Fjarlægja afsláttarmiða");
	define("COUPON_CODE_FIELD", "Afsláttarmiði");
	define("COUPON_UPCOMING_MSG", "This coupon can't be used yet.");
	define("COUPON_CANT_BE_USED_MSG", "You are not allowed to use this coupon.");
	define("COUPON_CAN_BE_USED_ONCE_MSG", "This coupon can be used only once by registered users.");
	define("COUPON_SAME_USE_LIMIT_MSG", "This coupon can be used only {use_limit} times by registered users.");
	define("COUPON_ADDED_MSG", "The coupon has been successfully added to the cart.");
	define("COUPON_MIN_QTY_ERROR", "Sorry, this coupon cannot be applied for your current purchase. <br>Minimum quantity for this coupon is {min_quantity}.");
	define("COUPON_MAX_QTY_ERROR", "Sorry, this coupon cannot be applied for your current purchase. <br>Maximum quantity for this coupon is {max_quantity}.");
	define("COUPON_CANT_BE_APPLIED_ERROR", "Sorry, but this coupon cannot be applied for your current purchase.");
	define("MIN_CART_COST_ERROR", "Minimum cart amount for this coupon is {cart_amount}");
	define("MAX_CART_COST_ERROR", "Maximum cart amount for this coupon is {cart_amount}");
	define("FRIEND_AFFILIATE_FORM_MSG", "Friend / Affiliate Form");
	define("FRIEND_AFFILIATE_FORM_DESC", "Please enter in the field below your friend's nickname or affiliate code and press '{APPLY_BUTTON}'.");
	define("NO_USERS_MSG", "No users were found");
	define("FRIEND_FOUND_MSG", "We've found your friend.");
	define("AFFILIATE_FOUND_MSG", "Your affiliate code was accepted.");

	define("CC_NAME_FIELD", "Nafn korthafa");
	define("CC_NAME_DESC", "eins og það birtist á kortinu");
	define("CC_FIRST_NAME_FIELD", "Fornafn");
	define("CC_LAST_NAME_FIELD", "Eftirnafn");
	define("CC_NUMBER_FIELD", "Kortanúmer");
	define("CC_NUMBER_ERROR_MSG", "Því miður virðist vera vandamál varðandi greiðslukortanúmer þitt. Vinsamlegast athugaðu það og reyndu aftur.");
	define("CC_NUMBER_ALLOWED_MSG", "Því miður er ekki heimild fyrir þessa greiðslu á þessu kortanúmeri.");
	define("CC_START_DATE_FIELD", "Upphafsdagsetning");
	define("CC_EXPIRY_DATE_FIELD", "Gildistími");
	define("CC_TYPE_FIELD", "Tegund greiðslukorts");
	define("CC_ISSUE_NUMBER_FIELD", "Útgáfunúmer");
	define("CC_ISSUE_NUMBER_DESC", "Aðeins Switch & Solo kort");
	define("CC_SECURITY_CODE_FIELD", "Öryggisnúmer");
	define("CC_SECURITY_CODE_HELP_MSG", "Aðstoð?");
	define("CC_SECURITY_CODE_TITLE", "Öryggisnúmer");
	define("CC_SECURITY_CODE_1_DESC", "Öryggisnúmerið er sérstakt þriggja stafa númer prentað á debet- eða kreditkort þitt. Þetta númer er ekki grafið í kortið né er það prentað á kvittanir – sem tryggir að ólíklegt er að nokkur annar en kortaeigandinn komist yfir kóðann. Kóði þessi er kallaður ýmsum nöfnum eftir kortaútgefendum, svo sem 'Card Security Code' , 'Personal Security Code' eða 'Card Verification Value'.");
	define("CC_SECURITY_CODE_2_DESC", "Flest kort hafa þriggja stafa númer prentuð fyrir ofan nafnareitinn á afturhlið kortsins");
	define("PAY_WITHOUT_CC_MSG", "Ef þú vilt ekki greiða með greiðslukorti vinsamlegast hakaðu við hér");
	define("PAY_WITHOUT_CC_FIELD", "Upplýsingar um annars konar greiðslu");
	define("PAY_WITHOUT_CC_DESC", "Segðu okkur frá því hvernig þú vilt greiða fyrir innkaup þín");

	define("ORDER_NUMBER_COLUMN", "Nei");
	define("ORDER_ADDED_COLUMN", "Pöntun gerð");
	define("ORDER_TOTAL_COLUMN", "Samtals");
	define("ORDER_NUMBER_MSG", "Pöntun nr.");
	define("PARENT_ORDER_NUMBER_MSG", "Upphaflegt númer pöntunar");
	define("ORDER_DATE_MSG", "Dagsetning pöntunar");
	define("ORDER_TOTAL_MSG", "Samtals");
	define("INVOICE_MSG", "Reikningur");
	define("INVOICE_NUMBER_MSG", "Reikningsnúmer");
	define("INVOICE_DATE_MSG", "Dagsetning reiknings");
	define("INVOICE_TO_MSG", "Reikningur til");
	define("ORIGINAL_COPY_MSG", "Original Copy");
	define("COPY_NUMBER_MSG", "Copy #{copy_number}");
	define("CREDIT_NOTE_MSG", "Credit Note");
	define("CREDIT_NUMBER_MSG", "Credit number");
	define("CREDIT_DATE_MSG", "Credit Date");
	define("CREDIT_TO_MSG", "Credit to");
	define("DELIVERY_TO_MSG", "Berist til");
	define("PAYMENT_GATEWAY_MSG", "Greiðslugátt");
	define("SELECT_PAYMENT_MSG", "Vinsamlegast veljið greiðslugátt");
	define("GOTO_PAYMENT_MSG", "Nú verður þú send/ur áfram á {payment_system}. Ef ekkert gerist, vinsamlegast smelltu á '{button_name}' hnappinn.");
	define("PAYMENT_INFO_MSG", "Payment Information");
	define("MY_ORDERS_MSG", "Mínar pantanir");
	define("MY_ORDERS_DESC", "Þegar þú hefur sent inn pöntunina til okkar, munt þú geta athugað stöðu pöntunarinnar og skoðað innihald hennar.");
	define("MY_SALES_ORDERS_MSG", "Sölupantanir mínar");
	define("MY_SALES_ORDERS_DESC", "Leyfa viðskiptavinum kaupmanns að rekja sölupantanir");
	define("PURCHASED_ORDERS_MSG", "Keyptar pantanir");
	define("NO_ORDERS_MSG", "Engar pantanir fundust");
	define("NO_ORDERS_MATCH_MSG", "Engar pantanir fundust sem uppfylla gefin leitarskilyrði");
	define("VIEW_ORDER_DETAILS_MSG", "Skoða nánar");
	define("ORDER_DETAILS_MSG", "Upplýsingar um pöntun");
	define("PAYMENT_DETAILS_MSG", "Greiðsluupplýsingar");
	define("CHECKOUT_SUCCESS_TITLE", "Pöntun þín hefur verið lögð inn!");
	define("CHECKOUT_SUCCESS_MSG", "Takk fyrir pöntunina þína. Tilvísunarnúmer þitt er {order_id}!");
	define("CHECKOUT_PENDING_TITLE", "Pöntun þín bíður afgreiðslu...");
	define("CHECKOUT_PENDING_MSG", "Greiðslufærslu þinni var ekki lokið og bíður samþykkis.");
	define("CHECKOUT_ERROR_TITLE", "Villa í pöntun");
	define("CHECKOUT_ERROR_MSG", "Villa kom upp við afgreiðslu pöntunar þinnar. Við biðjumst velvirðingar á óþægindum sem þetta kann að valda.");
	define("ORDER_CODE_ERROR", "Staðfestingarbreyta hefur rangt gildi");
	define("ORDER_PLACED_ERROR", "<b>Pöntun</b> hefur nú þegar verið gerð.");
	define("ORDER_EXISTS_ERROR", "Slík <b>pöntun</b> er ekki til.");
	define("ORDER_NOTES_MSG", "Athugasemdir pöntunar");
	define("ORDER_NOTE_MSG", "Athugasemd pöntunar");
	define("CANCEL_ORDER_MSG", "Hætta við pöntun");
	define("CANCEL_ORDER_CONFIRM_MSG", "Ertu viss um að þú viljir hætta við þessa pöntun?");
	define("GROSS_SALES_MSG", "Brúttó sala");
	define("FEES_MSG", "Gjöld");
	define("NET_SALES_MSG", "Nettó sala");
	define("ITEMS_NUMBER_COLUMN", "#Hluta");
	define("AVERAGE_PRICE_COLUMN", "Meðalverð");
	define("PAID_STATUS_MSG", "Greiðslustaða");
	define("PAID_MSG", "Greitt");
	define("NOT_PAID_MSG", "Ógreitt");
	define("PAY_FOR_YOUR_ORDER_MSG", "Greiða fyrir pöntun");
	define("REORDER_MSG", "Reorder");
	define("ORDER_MIN_PRODUCTS_COST_FIELD", "Lámarks vörukostnaður fyrir hverja pöntun");
	define("ORDER_MAX_PRODUCTS_COST_FIELD", "Hámarks vörukostnaður fyrir hverja pöntun");
	define("ORDER_MIN_WEIGHT_FIELD", "Lámarks vigt pöntunar");
	define("ORDER_MAX_WEIGHT_FIELD", "Hámarks vigt pöntunar");
	define("ORDER_MIN_PRODUCTS_COST_ERROR", "Samtals kostnaður vara í hverri pöntun má ekki vera minni en {min_cost}.");
	define("ORDER_MAX_PRODUCTS_COST_ERROR", "Samtals kostnaður vara í hverri pöntun má ekki vera meiri en {max_cost}.");
	define("ORDER_MIN_WEIGHT_ERROR", "Samtals þyngd vara í hverri pöntun má ekki vera minni en {min_weight}.");
	define("ORDER_MAX_WEIGHT_ERROR", "Samtals þyngd vara í hverri pöntun má ekki vera meiri en {max_weight}.");
	define("PURCHASED_PRODUCT_ERROR", "Því miður, þú hefur nú þegar keypt  '{product_name}' vöruna, og hefur ekki heimild til að kaupa hana aftur.");
	define("PURCHASED_PRODUCT_DAYS_ERROR", "Því miður, þú hefur nú þegar keypt  '{product_name}' vöruna, og hefur ekki heimild til að kaupa hana aftur fyrr en að {days_number} dögum liðnum.");
	define("PREVENT_REPURCHASE_MSG", "Hindra endurkaup");
	define("PREVENT_PRODUCT_REPURCHASE_MSG", "Hindra viðskiptavini í að kaupa sömu vöru oftar en einu sinni innan ákveðins tímabils.");
	define("REPURCHASE_PERIOD_MSG", "Endurkaups tímabil");
	define("REPURCHASE_PERIOD_DESC", "skildu þennan reit eftir auðan ef þú vilt hindra viðskiptavini í að kaupa þessa vöru nokkurn tímann aftur");
	define("MANUFACTURER_CODE_MSG", "Framleiðandakóði");
	define("SHOW_MANUFACTURER_CODE_MSG", "Sýna framleiðandakóða");
	define("APPROPRIATE_CODE_ERROR_MSG", "Finn ekki viðeigandi pöntun");
	define("APPROPRIATE_LIBRARY_ERROR_MSG", "Finn ekki viðeigandi php safn");
	define("LINKS_SENT_MSG", "Slóðir sendar");
	define("LINKS_FOR_ORDER_MSG", "Slóðir fyrir pöntun þína nr.");
	define("SERIAL_NUMBERS_FOR_ORDER_MSG", "Raðnúmer fyrir pöntun þína nr.");
	define("SERIAL_NUMBERS_SENT_MSG", "Raðnúmer send");
	define("NO_SERIAL_NUMBERS_MSG", "Engin raðnúmer fáanleg");
	define("ADD_GIFT_VOUCHER_MSG", "Bæta við gjafabréfi");
	define("GIFT_VOUCHERS_MSG", "Gjafabréf");
	define("EDIT_GIFT_VOUCHER_MSG", "Breyta gjafabréfi");
	define("GIFT_VOUCHERS_FOR_ORDERS_MSG", "Gjafabréf fyrir pöntun þína nr.");
	define("GIFT_VOUCHERS_SENT_MSG", "Gjafabréf send ");
	define("CREDIT_AMOUNT_MSG", "Greiðsluupphæð");
	define("SUBSTRACT_CREDIT_AMOUNT_MSG", "Draga greiðsluupphæð frá greiðslujöfnuði notanda");
	define("ADD_CREDIT_AMOUNT_MSG", "Bæta greiðsluupphæð við greiðslujöfnuð notanda");
	define("CREDIT_ACTION_MSG", "Greiðsluframkvæmd");
	define("PACKING_SLIP_NO_MSG", "Pökkunarmiði nr.: ");
	define("REGISTER_PRODUCT_MSG", "Skrá vöru");
	define("MY_PRODUCT_REGISTRATIONS_MSG", "Mínar skráðu vörur");
	define("MY_PRODUCT_REGISTRATIONS_DESC", " ");
	define("REGISTER_MORE_PRODUCTS_MSG", "Skrá fleiri vörur");
	define("REGISTRATION_NUMBER_MSG", "Skráningarnúmer");
	define("NO_PRODUCT_REGISTRATIONS_MSG", "Engar vörur skráðar");
	define("REGISTRATION_PROD_CODE_COLUMN", "Kóði");
	define("REGISTRATION_TOTAL_COLUMN", "Samtals");
	define("REGISTRATION_PROD_TITLE_COLUMN", "Titill");
	define("PRODUCT_REGISTRATION_MSG", "Skráning");
	define("PRODUCT_REGISTRATION_SETTINGS_MSG", "Skráningarstillingar vöru");
	define("VIEW_REGISTERED_PRODUCTS_MSG", "Skoða skráðar vörur");
	define("EDIT_REGISTERED_PRODUCTS_MSG", "Breyta skráðum vörum");
	define("EDIT_REGISTRATION_CATEGORIES_MSG", "Breyta skráningarflokkum");
	define("EDIT_REGISTRATION_PRODUCTS_MSG", "Breyta skráningarvörum");
	define("OPTIONS_TRADE_PRICE_MSG", "Heildsöluverð valkosta");
	define("DEFAULT_LARGE_IMAGE_DESC", "sýnt ef vara hefur ekki stóra mynd");
	define("DEFAULT_LARGE_IMAGE_MSG", "Sjálfgefin stór mynd");
	define("LATEST_ADDED_PRODUCTS_REGISTRATIONS_MSG", "Nýlega viðbættar skráningar");
	define("LATEST_MODIFIED_PRODUCTS_REGISTRATIONS_MSG", "Nýlega breyttar skráningar");
	define("LATEST_ADDED_REGISTRATION_PRODUCTS_MSG", "Nýlega viðbættar skráningarvörur");
	define("LATEST_MODIFIED_REGISTRATION_PRODUCTS_MSG", "Nýlega breyttar skráningarvörur");
	define("REGISTRATION_PRODUCTS_MSG", "Skráningarvörur");
	define("NO_REGISTRATION_PRODUCTS_MSG", "Engar skráningarvörur");
	define("BY_REGISTRATION_NUMBER_MSG", "Eftir skráningarnúmeri");
	define("BY_PRODUCT_ID_MSG", "Eftir skráningarauðkenni");
	define("SEARCH_REGISTRATIONS_MSG", "Leita eftir skráningum");
	define("SELECT_REGISTRATIONS_NOTE", "Velja skráningar");
	define("REMOVE_SELECTED_REGISTRATIONS_QST", "Fjarlægja valdar skráningar");
	define("EDIT_REGISTRATION_CATEGORY_MSG", "Breyta skráningarflokki");
	define("EDIT_PRODUCT_REGISTRATION_MSG", "Breyta skráningu");
	define("IM_DONE_REGISTERING_MSG", "Ég hef lokið skráningu");
	define("PRODUCT_REGISTRATION_PLACED_EMAIL_MSG", "Sett netfang");
	define("PRODUCT_REGISTRATION_APPROVED_EMAIL_MSG", "Samþykkt netfang");
	define("PRODUCT_REGISTRATION_DECLINED_EMAIL_MSG", "Óleyfilegt netfang");
	define("STORE_NAME_FORM_MSG", "keypt af (nafn verslunar)");
	define("PREDEFINED_ORDER_EMAIL_MSG", "Fyrirfram skilgreint pantananetfang");
	define("DATE_OF_PURCHASE_MSG", "Dagsetning kaupa");
	define("STORE_NAME_MSG", "Heiti verslunar");
	define("NO_PRODUCTS_IN_CATEGORY_MSG", "Það eru engar vörur í völdum flokki. Vinsamlegast veldu annan.");
	define("REGISTRATION_ID_MSG", "Skráningarauðkenni");
	define("DAY_OF_PURCHASE_MSG", "Dagur sem kaupin fóru fram");
	define("MONTH_OF_PURCHASE_MSG", "Mánuður sem kaupin fóru fram");
	define("YEAR_OF_PURCHASE_MSG", "Ár sem kaupin fóru fram");
	define("MERCHANT_STATUS_NOTIFY_MSG", "Senda tilkynningu til kaupmanns ef þessi staða er valin");
	define("MERCHANT_EMAIL_IF_EMPTY_MSG", "Fyrirfram skilgreint netfang kaupmanns");
	define("MERCHANT_PRODUCTS_MSG", "Merchant products");
	define("ADMIN_STATUS_NOTIFY_MSG", "Senda tilkynningu til kerfisstjóra ef þessi staða er valin");
	define("SUPPLIER_NOTIFY_MSG", "Tilkynning til birgja");
	define("SUPPLIER_STATUS_NOTIFY_MSG", "Senda tilkynningu til birgja ef þessi staða er valin");
	define("SUPPLIER_EMAIL_IF_EMPTY_MSG", "Fyrirfram skilgreint netfang birgja");
	define("SUPPLIER_PRODUCTS_MSG", "Supplier products");
	define("AFFILIATE_STATUS_NOTIFY_MSG", "Send notification to affiliate if status applied");
	define("AFFILIATE_EMAIL_IF_EMPTY_MSG", "Affiliate email used if is empty");
	define("AFFILIATE_PRODUCTS_MSG", "Affiliate products");

	define("RECURRING_PRICE_MSG", "Recurring Price");
	define("RECURRING_PRICE_DESC", "this amount will be added to all recurring payments");
	define("CART_PRODUCTS_MSG", "Cart Products");
	define("CART_RESTRICTIONS_MSG", "Cart Restrictions");
	define("CART_QUANTITY_MSG", "Cart Quantity");
	define("SUBCOMPONENT_ADDED_ONCE_MSG", "Subcomponent added only once with specified quantity");
	define("SUBCOMPONENT_QTY_MULTIPLY_MSG", "Multiply subcomponent quantity by parent product quantity");
	define("CUSTOMERS_LIST_BOUGHT_ITEM_TITLE", "Customers Who Bought This Item");

	define("VIEW_MERCHANT_PRODUCTS_MSG", "View Merchant's Products");
	define("SHIPPING_CALCULATOR_MSG", "Shipping Calculator");
	define("NO_SHIPPING_METHODS_MSG", "No shipping methods were found");
	define("NO_SHIPPING_MSG", "No Shipping");
	define("CUSTOM_SHIPPING_MSG", "Custom Shipping");
	define("NEW_SHIPPING_MSG", "New Shipping");
	define("REMOVE_PRODUCT_SHIPPING_MSG", "Would you like to remove {item_name} from this shipping?");

	define("ADD_MORE_COLUMNS_QST", "Add more columns?");
	define("DEFAULT_TABLE_VIEW_MSG", "Default Table View");
	define("OVERRIDE_TABLE_VIEW_MSG", "Override Table View");
	define("TABLE_VIEW_TYPE_MSG", "Table View Type");

	define("PARAMETER_WRONG_VALUE_MSG", "{param_name} parameter has wrong value.");
	define("CANNOT_OBTAIN_PARAMETER_MSG", "Can't obtain {param_name} parameter.");
	define("TRANSACTION_DECLINED_MSG", "Your transaction has been declined.");
	define("UNEXPECTED_GATEWAY_RESPONSE_MSG", "Unexpected response format from gateway.");
	define("EMPTY_GATEWAY_RESPONSE_MSG", "Empty response from gateway. Please check your settings.");
	define("CURL_INIT_ERROR_MSG", "Can't initialize cURL.");
	define("PROCESSING_TRANSACTION_ERROR_MSG", "There has occurred an error while processing the transaction.");
	define("UPS_PARAMETER_REQUIRED_MSG", "UPS module error: {param_name} is required.");

	define("STATUS_NEW_ORDER_MSG", "New Order");
	define("STATUS_PAYMENT_DATA_MSG", "Payment Data");
	define("STATUS_CONFIRMED_MSG", "Confirmed");
	define("STATUS_PAID_MSG", "Paid");
	define("STATUS_SHIPPED_MSG", "Shipped");
	define("STATUS_PENDING_MSG", "Pending");
	define("STATUS_CLOSED_MSG", "Closed");
	define("STATUS_DECLINED_MSG", "Declined");
	define("STATUS_VALIDATED_MSG", "Validated");
	define("STATUS_FAILED_MSG", "Failed");
	define("STATUS_DISPATCHED_MSG", "Dispatched");
	define("STATUS_CANCELLED_MSG", "Cancelled");
	define("STATUS_REFUNDED_MSG", "Refunded");
	define("STATUS_CAPTURED_MSG", "Captured");
	define("STATUS_VOIDED_MSG", "Voided");
	define("STATUS_AUTHORIZED_MSG", "Authorized");
	define("STATUS_INVOICE_SENT_MSG", "Invoice Sent");
	define("STATUS_QUOTE_REQUEST_MSG", "Quote Request");
	define("STATUS_PARTIALLY_PAID_MSG", "Partially Paid");

?>