<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 5                                                    ***
  ***      File:  messages.php                                             ***
  ***      Built: Tue Jun  6 16:19:04 2017                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	define("CHARSET", "utf-8");
	// date messages
	define("YEAR_MSG", "Ár");
	define("YEARS_QTY_MSG", "ár");
	define("MONTH_MSG", "Mánuður");
	define("MONTHS_QTY_MSG", "mánuðir");
	define("DAY_MSG", "Dagur");
	define("DAYS_MSG", "Dagar");
	define("DAYS_QTY_MSG", "dagar");
	define("HOUR_MSG", "Klukkustund");
	define("HOURS_QTY_MSG", "klukkustudir");
	define("MINUTE_MSG", "Mínúta");
	define("MINUTES_QTY_MSG", "mínútur");
	define("SECOND_MSG", "Sekúnda");
	define("SECONDS_QTY_MSG", "sekúndur");
	define("WEEK_MSG", "Vika");
	define("WEEKS_QTY_MSG", "vikur");
	define("TODAY_MSG", "Í dag");
	define("YESTERDAY_MSG", "Í gær");
	define("LAST_7DAYS_MSG", "Síðustu 7 daga");
	define("THIS_MONTH_MSG", "Þennan mánuð");
	define("LAST_MONTH_MSG", "Í síðasta mánuði");
	define("THIS_QUARTER_MSG", "Þennan fjórðung");
	define("THIS_YEAR_MSG", "Þetta ár");
	define("CURRENT_DATE_MSG", "Dagsetning");
	define("CURRENT_TIME_MSG", "Current Time");
	define("DATE_MSG", "Date");

	// months
	define("JANUARY", "Janúar");
	define("FEBRUARY", "Febrúar");
	define("MARCH", "Mars");
	define("APRIL", "Apríl");
	define("MAY", "Maí");
	define("JUNE", "Júní");
	define("JULY", "Júlí");
	define("AUGUST", "Ágúst");
	define("SEPTEMBER", "September");
	define("OCTOBER", "Október");
	define("NOVEMBER", "Nóvember ");
	define("DECEMBER", "Desember");

	define("JANUARY_SHORT", "Jan");
	define("FEBRUARY_SHORT", "Feb");
	define("MARCH_SHORT", "Mar");
	define("APRIL_SHORT", "Apr");
	define("MAY_SHORT", "Maí");
	define("JUNE_SHORT", "Jún");
	define("JULY_SHORT", "Júl");
	define("AUGUST_SHORT", "Ágú");
	define("SEPTEMBER_SHORT", "Sep");
	define("OCTOBER_SHORT", "Okt");
	define("NOVEMBER_SHORT", "Nóv");
	define("DECEMBER_SHORT", "Des");

	// weekdays
	define("SUNDAY", "Sunnudagur");
	define("MONDAY", "Mánudagur");
	define("TUESDAY", "Þriðjudagur");
	define("WEDNESDAY", "Miðvikudagur");
	define("THURSDAY", "Fimmtudagur");
	define("FRIDAY", "Föstudagur");
	define("SATURDAY", "Laugardagur");

	define("SUNDAY_SHORT", "Sun");
	define("MONDAY_SHORT", "Mán");
	define("TUESDAY_SHORT", "Þri");
	define("WEDNESDAY_SHORT", "Mið");
	define("THURSDAY_SHORT", "Fim");
	define("FRIDAY_SHORT", "Fös");
	define("SATURDAY_SHORT", "Lau");

	// validation messages
	define("REQUIRED_MESSAGE", "<b>{field_name}</b> er krafist");
	define("UNIQUE_MESSAGE", "Gildið í reitnum <b>{field_name}</b> er þegar í gagnagrunninum");
	define("VALIDATION_MESSAGE", "Auðkenning tókst ekki fyrir reitinn <b>{field_name}</b>");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> og <b>{field_two}</b> stemmdu ekki");
	define("INSERT_ALLOWED_ERROR", "Því miður, þú hefur ekki heimild til að setja inn");
	define("UPDATE_ALLOWED_ERROR", "Því miður, þú hefur ekki heimild til að uppfæra");
	define("DELETE_ALLOWED_ERROR", "Því miður, þú hefur ekki heimild til að eyða");
	define("ALPHANUMERIC_ALLOWED_ERROR", "Aðeins tölur, bókstafir, bandstik og niðurstrik eru leyfð í reitnum <b>{field_name}</b>");
	define("CORRECT_ERRORS_BELOW_MSG", "Please correct the errors below before continuing.");
	define("CORRECT_HIGHLIGHTED_FIELDS_MSG", "Please fill in all highlighted fields with correct values.");

	define("INCORRECT_DATE_MESSAGE", "<b>{field_name}</b> hefur ekki rétt dagsetningargildi. Notið almanaks dagsetningu.");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> stemmir ekki við möskva. Notið eftirfarandi '<b>{field_mask}</b>'");
	define("INCORRECT_EMAIL_MESSAGE", "Ógilt netfang í reitnum {field_name}");
	define("INCORRECT_VALUE_MESSAGE", "Ekki rétt gildi í reitnum <b>{field_name}</b>");

	define("MIN_VALUE_MESSAGE", "Gildið í reitnum <b>{field_name}</b> má ekki vera minna en {min_value}");
	define("MAX_VALUE_MESSAGE", "Gildið í reitnum <b>{field_name}</b> má ekki vera stærra en {max_value}");
	define("MIN_LENGTH_MESSAGE", "Gildið í reitnum <b>{field_name}</b> má ekki vera minna en {min_length} stafir");
	define("MAX_LENGTH_MESSAGE", "Gildið í reitnum <b>{field_name}</b> má ekki vera stærra en {max_length} stafir");
	define("MIN_MAX_VALUE_MSG", "Please enter a value between {min_value} and {max_value}.");


	define("FILE_PERMISSION_MESSAGE", "Hef ekki skrifréttindi á skrá <b>'{file_name}'</b>. Vinsamlega breytið réttindum fyrir skrá áður en haldið er áfram. ");
	define("FOLDER_PERMISSION_MESSAGE", "Hef ekki skrifréttindi á möppu <b>'{folder_name}'</b>. Vinsamlega breytið réttindum fyrir möppu áður en haldið er áfram.");
	define("INVALID_EMAIL_MSG", "Netfangið þitt er ekki gilt.");
	define("DATABASE_ERROR_MSG", "Villa í gagnagrunni hefur komið upp.");
	define("BLACK_IP_MSG", "Þessi aðgerð er ekki leyfð af þinni vél.");
	define("BANNED_CONTENT_MSG", "Því miður, uppgefið innihald inniheldur óleyfilega yfirlýsingu.");
	define("ERRORS_MSG", "Villur");
	define("REGISTERED_ACCESS_MSG", "Þessi valkostur er aðeins fyrir skráða notendur. ");
	define("SELECT_FROM_LIST_MSG", "Veljið af lista");

	// titles 
	define("TOP_RATED_TITLE", "Hæstu einkunnir");
	define("TOP_VIEWED_TITLE", "Mest skoðað");
	define("RECENTLY_VIEWED_TITLE", "Nýlega skoðað");
	define("HOT_TITLE", "Heitt");
	define("LATEST_TITLE", "Síðast");
	define("CONTENT_TITLE", "Innihald");
	define("RELATED_TITLE", "Tengt");
	define("SEARCH_TITLE", "Leita");
	define("ADVANCED_SEARCH_TITLE", "Sérhæfð leit");
	define("LOGIN_TITLE", "innskráning");
	define("CATEGORIES_TITLE", "Flokkar");
	define("MANUFACTURERS_TITLE", "Framleiðendur");
	define("SPECIAL_OFFER_TITLE", "Sértilboð");
	define("NEWS_TITLE", "Fréttir");
	define("EVENTS_TITLE", "Atburðir");
	define("PROFILE_TITLE", "Prófíll");
	define("USER_HOME_TITLE", "Upphafssíða");
	define("DOWNLOAD_TITLE", "Niðurhal");
	define("FAQ_TITLE", "Algengar spurningar");
	define("POLL_TITLE", "Könnun");
	define("HOME_PAGE_TITLE", "Upphafssíða");
	define("CURRENCY_TITLE", "Gjaldmiðill");
	define("SUBSCRIBE_TITLE", "Í áskrift");
	define("UNSUBSCRIBE_TITLE", "Úr áskrift");
	define("UPLOAD_TITLE", "Upphal");
	define("ADS_TITLE", "Auglýsingar");
	define("ADS_COMPARE_TITLE", "Auglýsinga samanburður");
	define("ADS_SELLERS_TITLE", "Seljendur");
	define("AD_REQUEST_TITLE", "Gera tilboð / Senda seljanda fyrirspurn");
	define("LANGUAGE_TITLE", "Tungumál");
	define("MERCHANTS_TITLE", "Kaupmenn");
	define("PREVIEW_TITLE", "Forskoðun");
	define("ARTICLES_TITLE", "Greinar");
	define("SITE_MAP_TITLE", "Vefkort");
	define("LAYOUTS_TITLE", "Útlit");
	define("LINKS_TITLE", "Links");
	define("PROFILES_TITLE", "Profiles");
	define("DATING_TITLE", "Dating");
	define("RANDOM_TITLE", "Random");
	define("AUTHORS_MSG", "Authors");
	define("AUTHOR_MSG", "Author");
	define("ALBUMS_MSG", "Albums");
	define("ALBUM_MSG", "Album");

	// menu items
	define("MENU_MSG", "Menu");
	define("MENU_ABOUT", "um okkur");
	define("MENU_ACCOUNT", "aðgangur þinn");
	define("MENU_BASKET", "karfan þín");
	define("MENU_CONTACT", "hafa samband");
	define("MENU_DOCUMENTATION", "gögn");
	define("MENU_DOWNLOADS", "niðurhal");
	define("MENU_EVENTS", "atburðir");
	define("MENU_FAQ", "algengar spurningar");
	define("MENU_FORUM", "spjallborð");
	define("MENU_HELP", "hjálp");
	define("MENU_HOME", "heim");
	define("MENU_HOW", "hvernig á að versla");
	define("MENU_MEMBERS", "meðlimir");
	define("MENU_MYPROFILE", "minn prófíll");
	define("MENU_NEWS", "fréttir");
	define("MENU_PRIVACY", "friðhelgi");
	define("MENU_PRODUCTS", "vörur");
	define("MENU_REGISTRATION", "skráning");
	define("MENU_SHIPPING", "vörusending");
	define("MENU_SIGNIN", "innskráning");
	define("MENU_SIGNOUT", "útskráning");
	define("MENU_SUPPORT", "þjónusta");
	define("MENU_USERHOME", "mitt svæði");
	define("MENU_ADS", "smáauglýsingar");
	define("MENU_ADMIN", "kerfisstjórn");
	define("MENU_KNOWLEDGE", "Þekkingargrunnur");
	define("NAVIGATION_BAR_MSG", "Navigation Bar");
	define("MAIN_PAGES_MSG", "Main Pages");

	// main terms
	define("NO_MSG", "Nei");
	define("YES_MSG", "Já");
	define("NOT_AVAILABLE_MSG", "Á ekki við");
	define("MORE_MSG", "meira...");
	define("READ_MORE_MSG", "lesa meira...");
	define("ADD_MORE_MSG", "Add more");
	define("CLICK_HERE_MSG", "smelltu hér");
	define("ENTER_YOUR_MSG", "Sláðu inn");
	define("CHOOSE_A_MSG", "Veldu");
	define("PLEASE_CHOOSE_MSG", "Vinsamlegast veldu");
	define("SELECT_MSG", "Velja");
	define("DATE_FORMAT_MSG", "notið eftirfarandi snið <b>{date_format}</b>");
	define("NEXT_PAGE_MSG", "Næsta");
	define("PREV_PAGE_MSG", "Fyrri");
	define("FIRST_PAGE_MSG", "Fyrsta");
	define("LAST_PAGE_MSG", "Síðasta");
	define("OF_PAGE_MSG", "af");
	define("TOP_CATEGORY_MSG", "Efst");
	define("SEARCH_IN_CURRENT_MSG", "Núverandi flokkur");
	define("SEARCH_IN_ALL_MSG", "Allir flokkar");
	define("FOUND_IN_MSG", "Fundið í ");
	define("TOTAL_VIEWS_MSG", "Skoðað alls");
	define("VOTES_MSG", "Atkvæði");
	define("TOTAL_VOTES_MSG", "Heildarfjöldi atkvæða");
	define("TOTAL_POINTS_MSG", "Heildarfjöldi punkta");
	define("VIEW_RESULTS_MSG", "Skoða niðurstöður");
	define("PREVIOUS_POLLS_MSG", "Fyrri kannanir");
	define("TOTAL_MSG", "Samtals");
	define("CLOSED_MSG", "Lokað");
	define("CLOSE_WINDOW_MSG", "Loka glugga");
	define("ASTERISK_MSG", "stjörnumerkt (*) - verður að fylla inn");
	define("PROVIDE_INFO_MSG", "Vinsamlega fyllið inn upplýsingar þar sem merkt er með rauðu, smellið svo á '{button_name}'");
	define("FOUND_ARTICLES_MSG", "Fundist hafa <b>{found_records}</b> greinar sem innihalda '<b>{search_string}</b>'");
	define("NO_ARTICLE_MSG", "Engin grein er til með þessu auðkenni");
	define("NO_ARTICLES_MSG", "Engar greinar fundust");
	define("COMMENT_MSG", "Comment");
	define("NOTES_MSG", "Miðar");
	define("KEYWORDS_MSG", "Lykilorð");
	define("TAGS_MSG", "Tags");
	define("TAG_MSG", "Tag");
	define("LINK_URL_MSG", "Tengill");
	define("DOWNLOAD_URL_MSG", "Niðurhal");
	define("SUBSCRIBE_FORM_MSG", "Til að fá fréttabréfið okkar skrifaðu tölvupóstfang þitt í textagluggann fyrir neðan og smelltu á '{button_name}' .");
	define("UNSUBSCRIBE_FORM_MSG", "Vinsamlega skrifaðu tölvupóstfang þitt í textagluggann fyrir neðan og smelltu á '{button_name}' .");
	define("SUBSCRIBE_LINK_MSG", "Í áskrift");
	define("UNSUBSCRIBE_LINK_MSG", "Úr áskrift");
	define("SUBSCRIBED_MSG", "Til hamingju! Þú ert nú áskrifandi að fréttabréfinu. ");
	define("ALREADY_SUBSCRIBED_MSG", "Þú ert þegar á póstlista okkar. Takk fyrir. ");
	define("UNSUBSCRIBED_MSG", "Þú ert ekki lengur áskrifandi að fréttabréfinu. Takk fyrir. ");
	define("UNSUBSCRIBED_ERROR_MSG", "Því miður er tölvupóstfang þitt ekki á skrá hjá okkur. Þú gætir hafa sagt upp áskriftinni nú þegar. ");
	define("FORGOT_PASSWORD_MSG", "Gleymt lykilorð?");
	define("FORGOT_PASSWORD_DESC", "Vinsamlega skrfaðu tölvupóstfangið sem þú notaðir við skráningu:");
	define("FORGOT_EMAIL_ERROR_MSG", "Því miður tengjast engar upplýsingar á skrá við tölvupóstfangið sem þú gafst upp.");
	define("FORGOT_EMAIL_SENT_MSG", "Innskráningarleiðbeiningar hafa verið sendar á tölvupóstfang þitt. ");
	define("RESET_PASSWORD_REQUIRE_MSG", "Sumar af þeim breytum sem krafist er eru ekki fyrir hendi. ");
	define("RESET_PASSWORD_PARAMS_MSG", "Gefin breyta stemmir ekki við neitt í gagnagrunninum. ");
	define("RESET_PASSWORD_EXPIRY_MSG", "Endurstillingarkóðinn er útrunninn. Vinsamlega sæktu um nýjan kóða til að endurstilla lykilorð þitt. ");
	define("RESET_PASSWORD_SAVED_MSG", "Nýtt lykilorð hefur verið vistað. ");
	define("PRINTER_FRIENDLY_MSG", "Prentvænt");
	define("PRINT_PAGE_MSG", "Prenta þessa síðu");
	define("ATTACHMENTS_MSG", "Viðhengi");
	define("ATTACHMENT_MSG", "Attachment");
	define("VIEW_DETAILS_MSG", "Skoða nánar");
	define("HTML_MSG", "HTML");
	define("PLAIN_TEXT_MSG", "Venjulegur texti");
	define("META_DATA_MSG", "Meta gögn");
	define("META_TITLE_MSG", "Titill síðu");
	define("META_KEYWORDS_MSG", "Meta lykilorð");
	define("META_DESCRIPTION_MSG", "Meta lýsing");
	define("FRIENDLY_URL_MSG", "Notandavænt URL");
	define("IMAGES_MSG", "Myndir");
	define("IMAGE_MSG", "Mynd ");
	define("TINY_MSG", "Tiny");
	define("IMAGE_TINY_MSG", "Pínulítil mynd");
	define("IMAGE_TINY_ALT_MSG", "Pínulítil mynd Alt");
	define("SMALL_MSG", "Small");
	define("IMAGE_SMALL_MSG", "Lítil mynd");
	define("IMAGE_SMALL_DESC", "Sýna á lista síðu");
	define("IMAGE_SMALL_ALT_MSG", "Lítil mynd Alt");
	define("LARGE_MSG", "Large");
	define("IMAGE_LARGE_MSG", "Stór mynd");
	define("IMAGE_LARGE_DESC", "sýna á nánar síðu");
	define("IMAGE_LARGE_ALT_MSG", "Stór mynd Alt");
	define("SUPERSIZED_MSG", "Supersized");
	define("IMAGE_SUPER_MSG", "Risastór mynd");
	define("IMAGE_SUPER_DESC", "mynd opnast í nýjum glugga");
	define("IMAGE_POSITION_MSG", "Staðsetning myndar");
	define("UPLOAD_IMAGE_MSG", "Senda inn mynd");
	define("UPLOAD_FILE_MSG", "Senda inn skrá");
	define("SELECT_IMAGE_MSG", "Velja mynd");
	define("SELECT_FILE_MSG", "Velja skrá");
	define("UPLOAD_PHOTO_MSG", "Upload Photo");
	define("MANAGE_PHOTOS_MSG", "Manage Photos");
	define("SHOW_BELOW_PRODUCT_IMAGE_MSG", "sýna mynd fyrir neðan stóra vörumynd");
	define("SHOW_IN_SEPARATE_SECTION_MSG", "sýna mynd í aðskildum myndahluta");
	define("DRAG_FILES_MSG", "Drag files here or select them manually");
	define("DRAFT_MSG", "Draft");
	define("IS_APPROVED_MSG", "Samþykkt");
	define("APPROVED_MSG", "Samþykkt");
	define("NOT_APPROVED_MSG", "Ekki samþykkt");
	define("IS_ACTIVE_MSG", "Er virkt");
	define("CATEGORY_MSG", "Flokkur");
	define("SELECT_CATEGORY_MSG", "Veldu Flokk");
	define("REDIRECT_TO_CATEGORY_MSG", "Redirect to Category");
	define("DESCRIPTION_MSG", "Lýsing");
	define("SHORT_DESCRIPTION_MSG", "Stutt lýsing");
	define("FULL_DESCRIPTION_MSG", "Ítarleg lýsing");
	define("HIGHLIGHTS_MSG", "Aðalatriði");
	define("SPECIAL_OFFER_MSG", "Sértilboð");
	define("ARTICLE_MSG", "Grein");
	define("OTHER_MSG", "Annað");
	define("MEASUREMENT_UNITS_MSG", "Measurement Units");
	define("WIDTH_MSG", "Breidd");
	define("HEIGHT_MSG", "Hæð");
	define("LENGTH_MSG", "Lengd");
	define("WEIGHT_MSG", "Þyngd");
	define("WEIGHT_TOTAL_MSG", "Weight Total");
	define("CHARGEABLE_WEIGHT_MSG", "chargeable weight");
	define("ACTUAL_WEIGHT_MSG", "Actual Weight");
	define("QUANTITY_MSG", "Magn");
	define("CALENDAR_MSG", "Dagatal");
	define("FROM_DATE_MSG", "Frá dags.");
	define("TO_DATE_MSG", "Til dags.");
	define("TIME_PERIOD_MSG", "Tímabil");
	define("TIME_INTERVAL_MSG", "Time Interval");
	define("GROUP_BY_MSG", "Flokka eftir");
	define("BIRTHDAY_MSG", "Afmæli");
	define("BIRTH_DATE_MSG", "Fæðingardagsetning");
	define("BIRTH_YEAR_MSG", "Fæðingarár");
	define("BIRTH_MONTH_MSG", "Fæðingarmánuður");
	define("BIRTH_DAY_MSG", "Fæðingardagur");
	define("STEP_NUMBER_MSG", "Skref {current_step} af {total_steps}");
	define("WHERE_STATUS_IS_MSG", "Þar sem staðan er");
	define("ID_MSG", "Auðkenni");
	define("QTY_MSG", "Magn");
	define("TYPE_MSG", "Tegund");
	define("NAME_MSG", "Nafn");
	define("TITLE_MSG", "Titill");
	define("DEFAULT_MSG", "Sjálfgefið");
	define("OPTIONS_MSG", "Valkostir");
	define("EDIT_MSG", "Breyta");
	define("MULTI_EDIT_MSG", "Multi-edit");
	define("CONFIRM_DELETE_MSG", "Viltu eyða þessu {record_name}?");
	define("DESC_MSG", "Minnkandi");
	define("ASC_MSG", "Vaxandi");
	define("ACTIVE_MSG", "Virkt");
	define("INACTIVE_MSG", "Óvirkt");
	define("EXPIRED_MSG", "Útrunnið");
	define("EMOTICONS_MSG", "Broskallar");
	define("EMOTION_ICONS_MSG", "Tilfinninga táknmyndir");
	define("VIEW_MORE_EMOTICONS_MSG", "Skoða fleiri broskalla");
	define("SITE_NAME_MSG", "Nafn síðu");
	define("SITE_URL_MSG", "URL síðu");
	define("SHORT_NAME_MSG", "Short Name");
	define("SORT_ORDER_MSG", "Flokka pöntun");
	define("NEW_MSG", "Nýtt");
	define("USED_MSG", "Notað");
	define("REFURBISHED_MSG", "Uppgert");
	define("ADD_NEW_MSG", "Bæta nýju við");
	define("SETTINGS_MSG", "Stillingar");
	define("VIEW_MSG", "Skoða");
	define("STATUS_MSG", "Staða");
	define("NONE_MSG", "Ekkert");
	define("PRICE_MSG", "Verð");
	define("SALE_PRICE_MSG", "Sale");
	define("TEXT_MSG", "Texti");
	define("WARNING_MSG", "Viðvörun");
	define("HIDDEN_MSG", "Falið");
	define("CODE_MSG", "Kóði");
	define("LANGUAGE_MSG", "Tungumál");
	define("DEFAULT_VIEW_TYPE_MSG", "Sjálfgefin sýnisgerð");
	define("CLICK_TO_OPEN_SECTION_MSG", "Smellið til að opna hluta");
	define("CURRENCY_WRONG_VALUE_MSG", "Gjaldmiðilskóði hefur ekki rétt gildi.");
	define("TRANSACTION_AMOUNT_DOESNT_MATCH_MSG", "<b>Upphæð til greiðslu</b> og <b>Upphæð pöntunar</b> stemmir ekki.");
	define("STATUS_CANT_BE_UPDATED_MSG", "Staða pöntunar #{order_id} er ekki hægt að uppfæra.");
	define("CANT_FIND_STATUS_MSG", "Staða finnst ekki fyrir auðkenni:{status_id}");
	define("NOTIFICATION_SENT_MSG", "Tilkynning send");
	define("AUTO_SUBMITTED_PAYMENT_MSG", "Sjálfvirk sending greiðslu");
	define("FONT_METRIC_FILE_ERROR", "Gat ekki innifalið leturgerðarskrá");
	define("PER_LINE_MSG", "hver lína");
	define("PER_LETTER_MSG", "hvert bréf");
	define("PER_NON_SPACE_LETTER_MSG", "hvert bréf, án bila");
	define("LETTERS_ALLOWED_MSG", "leyfð bréf");
	define("LETTERS_ALLOWED_PER_LINEMSG", "leyfð bréf í hverri línu");
	define("RENAME_MSG", "Endurskíra");
	define("IMAGE_FORMAT_ERROR_MSG", "GD library þekkir ekki þetta myndasnið");
	define("GD_LIBRARY_ERROR_MSG", "GD library er ekki hlaðið");
	define("INVALID_CODE_MSG", "Ógildur kóði: ");
	define("INVALID_CODE_TYPE_MSG", "Ógild gerð kóða: ");
	define("INVALID_FILE_EXTENSION_MSG", "Ógild skráarnafnsending:");
	define("FOLDER_WRITE_PERMISSION_MSG", "Mappan er ekki til eða þig skortir tilskilin leyfi. ");
	define("UNDEFINED_RECORD_PARAMETER_MSG", "Óskilgreind færslubreyta: <b>{parameter_name}</b>");
	define("MAX_RECORDS_LIMITATION_MSG", "Þú getur ekki bætt við fleiri en <b>{max_records}</b> {records_name} fyrir þína útgáfu");
	define("ACCESS_DENIED_MSG", "Þú hefur ekki aðgang að þessum hluta. ");
	define("DELETE_RECORDS_BEFORE_PROCEED_MSG", "Vinsamlega eyðið einhverjum {records_name} áður en haldið er áfram.");
	define("FOLDER_DOESNT_EXIST_MSG", "Mappan er ekki til: ");
	define("FILE_DOESNT_EXIST_MSG", "Skráin er ekki til: ");
	define("PARSE_ERROR_IN_BLOCK_MSG", "Þáttunarvilla í blokk: ");
	define("BLOCK_DOENT_EXIST_MSG", "Blokk er ekki til: ");
	define("NUMBER_OF_ELEMENTS_MSG", "Fjöldi atriða");
	define("MISSING_COMPONENT_MSG", "Vantar þátt/breytu");
	define("RELEASES_TITLE", "Útgefið efni");
	define("DETAILED_MSG", "Nákvæmt");
	define("LIST_MSG", "Listi");
	define("READONLY_MSG", "Ekki skrifanlegt");
	define("CREDIT_MSG", "Í reikning");
	define("ONLINE_MSG", "Tengdur");
	define("OFFLINE_MSG", "Ótengdur");
	define("SMALL_CART_MSG", "Lítil kerra");
	define("NEVER_MSG", "Aldrei");
	define("SEARCH_EXACT_WORD_OR_PHRASE", "Nákvæmt orðalag eða setning");
	define("SEARCH_ONE_OR_MORE", "Eitt eða fleira af þessum orðum");
	define("SEARCH_ALL", "Öll þessi orð");
	define("RELATED_ARTICLES_MSG", "Related Articles");
	define("RELATED_FORUMS_MSG", "Related Forums");
	define("APPEARANCE_MSG", "Appearance");
	define("REMOVE_FILTER_MSG", "remove filter");
	// email & SMS messages
	define("RECORD_UPDATED_MSG", "The record has been successfully updated.");
	define("RECORD_ADDED_MSG", "New record has been successfully added.");
	define("RECORD_DELETED_MSG", "The record has been successfully deleted.");
	define("FAST_PRODUCT_ADDING_MSG", "Fast Product Adding");
	define("CHANGES_SAVED_MSG", "Changes saved");
	define("CURRENT_SUBSCRIPTION_MSG", "Current Subscription");
	define("SUBSCRIPTION_EXPIRATION_MSG", "Subscription expiration date");
	define("UPGRADE_DOWNGRADE_MSG", "Upgrade/Downgrade");
	define("SUBSCRIPTION_MONEY_BACK_MSG", "Subscription Money Back");
	define("MONEY_TO_CREDITS_BALANCE_MSG", "money will be added to your credits balance");
	define("USED_VOUCHERS_MSG", "Used Vouchers");
	define("VOUCHERS_TOTAL_MSG", "Vouchers Total");
	define("SUBSCRIPTIONS_GROUPS_MSG", "Subscriptions Groups");
	define("SUBSCRIPTIONS_GROUP_MSG", "Subscriptions Group");
	define("SUBSCRIPTIONS_MSG", "Subscriptions");
	define("SUBSCRIPTION_START_DATE_MSG", "Subscription Start Date");
	define("SUBSCRIPTION_EXPIRY_DATE_MSG", "Subscription Expiration Date");
	define("RECALCULATE_COMMISSIONS_AND_POINTS_MSG", "Automatically recalculate commissions and points for this item using price value");
	define("SUBSCRIPTION_PAGE_MSG", "Subscription page");
	define("SUBSCRIPTION_WITHOUT_REGISTRATION_MSG", "User can add subscriptions to his cart without registration");
	define("SUBSCRIPTION_REQUIRE_REGISTRATION_MSG", "User must have an account before accessing subscription page");

	define("MATCH_EXISTED_PRODUCTS_MSG", "Match Existing Products");
	define("MATCH_BY_ITEM_CODE_MSG", "by product code");
	define("MATCH_BY_MANUFACTURER_CODE_MSG", "by manufacturer code");
	// account messages
	define("ACCOUNT_SUBSCRIPTION_MSG", "Account subscription");
	define("ACCOUNT_SUBSCRIPTION_DESC", "To activate his account user needs to pay the subscription fee");
	define("SUBSCRIPTION_CANCELLATION_MSG", "Subscription cancellation");
	define("CONFIRM_CANCEL_SUBSCRIPTION_MSG", "Are you sure you want cancel this subscription?");
	define("CONFIRM_RETURN_SUBSCRIPTION_MSG", "Are you sure you want cancel this subscription and return {credits_amount} to balance?");
	define("CANCEL_SUBSCRIPTION_MSG", "Cancel Subscription");
	define("DONT_RETURN_MONEY_MSG", "Don't return the money");
	define("RETURN_MONEY_TO_CREDITS_BALANCE_MSG", "Return money for unused period to credits balance");
	define("UPGRADE_DOWNGRADE_TYPE_MSG", "Can user upgrade/downgrade his account type");

	define("PREDEFINED_TYPES_MSG", "Predefined Types");
	define("SHIPPING_TAX_PERCENT_MSG", "Shipping Tax Percent");
	define("PACKAGES_NUMBER_MSG", "Number of Packages");
	define("PER_PACKAGE_MSG", "per package");
	define("CURRENCY_SHOW_DESC", "user can choose this currency in which prices will be shown");
	define("CURRENCY_DEFAULT_SHOW_DESC", "all prices shown by default in this currency");
	define("RECOMMENDED_MSG", "Recomended");
	define("UPDATE_STATUS_MSG", "Update status");

	define("FIRST_CONTROLS_ARE_FREE_MSG", "Fyrstu {free_price_amount} stjórntækin eru ókeypis");
	define("FIRST_LETTERS_ARE_FREE_MSG", "Fyrstu {free_price_amount} bréfin eru ókeypis");
	define("FIRST_NONSPACE_LETTERS_ARE_FREE_MSG", "Fyrstu  {free_price_amount} bréf án bila eru ókeypis");

	// email & SMS messages
	define("EMAIL_NOTIFICATION_MSG", "Tilkynning með tölvupósti");
	define("EMAIL_NOTIFICATION_ADMIN_MSG", "Kerfisstjórnartilkynning með tölvupósti");
	define("EMAIL_NOTIFICATION_USER_MSG", "Nota tilkynningu með tölvupósti");
	define("EMAIL_SEND_ADMIN_MSF", "Senda tilkynningu til kerfisstjóra");
	define("EMAIL_SEND_USER_MSG", "Senda tilkynningu til notanda");
	define("EMAIL_USER_IF_STATUS_MSG", "Senda tilkynningu til notanda þegar stöðu er bætt við");
	define("EMAIL_TO_MSG", "Til ");
	define("EMAIL_TO_USER_DESC", "Tölvupóstfang notanda notað ef ekkert er sett inn");
	define("EMAIL_FROM_MSG", "Frá");
	define("EMAIL_CC_MSG", "Cc");
	define("EMAIL_BCC_MSG", "Bcc");
	define("EMAIL_REPLY_TO_MSG", "Senda svar til");
	define("EMAIL_RETURN_PATH_MSG", "Svar mun berast til");
	define("EMAIL_SUBJECT_MSG", "Efni");
	define("EMAIL_MESSAGE_TYPE_MSG", "Tegund skeytis");
	define("EMAIL_MESSAGE_MSG", "Skeyti");
	define("SMS_NOTIFICATION_MSG", "SMS tilkynning");
	define("SMS_NOTIFICATION_ADMIN_MSG", "SMS kerfisstjóratilkynning");
	define("SMS_NOTIFICATION_USER_MSG", "SMS notandatilkynning");
	define("SMS_SEND_ADMIN_MSG", "Senda SMS tilkynningu á kerfisstjóra");
	define("SMS_SEND_USER_MSG", "Senda SMS tilkynningu á notanda");
	define("SMS_USER_IF_STATUS_MSG", "Senda SMS tilkynningu á notanda þegar stöðu er bætti við");
	define("SMS_RECIPIENT_MSG", "SMS viðtakandi");
	define("SMS_RECIPIENT_ADMIN_DESC", "farsímanúmer kerfisstjóra");
	define("SMS_RECIPIENT_USER_DESC", "Farsímareitur notaður ef ekkert er sett inn");
	define("SMS_ORIGINATOR_MSG", "SMS uppruni");
	define("SMS_MESSAGE_MSG", "SMS skilaboð");

	// account messages
	define("LOGIN_AS_MSG", "Þú ert skráður inn sem");
	define("LOGIN_INFO_MSG", "Innskráningar upplýsingar");
	define("ACCESS_HOME_MSG", "Til að opna aðgang þinn");
	define("REMEMBER_ME_MSG", "remember me");
	define("REMEMBER_LOGIN_MSG", "Muna notandanafn og lykilorð");
	define("ENTER_LOGIN_MSG", "Sláðu inn notandanafn þitt og lykilorð til að halda áfram");
	define("LOGIN_PASSWORD_ERROR", "Lykilorð eða notandanafn er ekki rétt");
	define("ACCOUNT_APPROVE_ERROR", "Því miður, aðgangur þinn hefur ekki enn verið samþykktur. ");
	define("ACCOUNT_EXPIRED_MSG", "Aðgangur þinn er útrunninn.");
	define("SESSION_EXPIRED_MSG", "Your session has expired.");
	define("NEW_PROFILE_ERROR", "Þú hefur ekki heimild til að opna aðgang.");
	define("EDIT_PROFILE_ERROR", "Þú hefur ekki heimild til að breyta þessu sniði.");
	define("CHANGE_DETAILS_MSG", "Breyta upplýsingum um þig");
	define("CHANGE_DETAILS_DESC", "Smellið á hlekkinn hér að ofan til að breyta aðgangsupplýsingum þínum.");
	define("CHANGE_PASSWORD_MSG", "Breyta lykilorði");
	define("CHANGE_PASSWORD_DESC", "Með því að smella á hlekkinn hér fyrir neðan geturðu breytt lykilorði þínu. ");
	define("SIGN_UP_MSG", "Skrá mig núna");
	define("MY_ACCOUNT_MSG", "Aðgangur minn");
	define("NEW_USER_MSG", "Nýr notandi");
	define("EXISTS_USER_MSG", "Núverandi notendur");
	define("EDIT_PROFILE_MSG", "Breyta sniði");
	define("PERSONAL_DETAILS_MSG", "Persónuupplýsingar");
	define("DELIVERY_DETAILS_MSG", "Upplýsingar um heimsendingu");
	define("SAME_DETAILS_MSG", "Ef upplýsingar um heimsendingu eru þær sömu og að ofan, hakið hér <br> ef ekki, vinsamlega fyllið út upplýsingarnar að neðan");
	define("DELIVERY_MSG", "Heimsending");
	define("SUBSCRIBE_CHECKBOX_MSG", "Hakaðu við hér ef þú vilt fá fréttabréf okkar. ");
	define("ADDITIONAL_DETAILS_MSG", "Nánari upplýsingar");
	define("GUEST_MSG", "Gestur");
	define("USER_MSG", "User");
	define("SELECT_USER_MSG", "Select User");
	// compare messages
	// ads messages
	define("MY_ADS_MSG", "Mínar auglýsingar");
	define("MY_ADS_DESC", "Ef það er eitthvað sem þú þarft að selja geturðu auglýst hér. Það er fljótlegt og auðvelt að setja inn auglýsingu.");
	define("AD_GENERAL_MSG", "Grunnupplýsingar um auglýsingu");
	define("ALL_ADS_MSG", "Allar auglýsingar");
	define("AD_SELLER_MSG", "Seljandi");
	define("AD_START_MSG", "Upphafsdagsetning");
	define("AD_RUNS_MSG", "Dagar í birtingu");
	define("AD_QTY_MSG", "Magn");
	define("AD_AVAILABILITY_MSG", "Lagerstaða");
	define("AD_COMPARED_MSG", "Leyfa samanburð auglýsinga");
	define("AD_UPLOAD_MSG", "Senda inn mynd");
	define("AD_LOCATION_MSG", "Staðsetning");
	define("AD_LOCATION_INFO_MSG", "Nánari upplýsingar");
	define("AD_PROPERTIES_MSG", "Eiginleikar auglýsingar");
	define("AD_SPECIFICATION_MSG", "Sérkenni auglýsingar");
	define("AD_MORE_IMAGES_MSG", "Fleiri myndir");
	define("AD_IMAGE_DESC_MSG", "Lýsing myndar");
	define("AD_DELETE_CONFIRM_MSG", "Viltu eyða þessari auglýsingu?");
	define("AD_RUNNING_MSG", "Keyrir");
	define("AD_CLOSED_MSG", "Lokað");
	define("AD_NOT_STARTED_MSG", "Ekki byrjað");
	define("AD_NEW_ERROR", "Þú hefur ekki heimild til að gera nýja auglýsingu.");
	define("AD_EDIT_ERROR", "Þú hefur ekki heimild til að breyta þessari auglýsingu. ");
	define("AD_DELETE_ERROR", "Þú hefur ekki heimild ti lað eyða þessari auglýsingu. ");
	define("NO_ADS_MSG", "Engar auglýsingar fundust.");
	define("NO_AD_MSG", "Engin auglýsing með þessu auðkenni er til í þessum flokki. ");
	define("FOUND_ADS_MSG", "Fundist hafa <b>{found_records}</b> auglýsingar sem innihalda (s) '<b>{search_string}</b>'");
	define("AD_OFFER_MESSAGE_MSG", "Tilboð");
	define("AD_OFFER_LOGIN_ERROR", "Þú þarfta að vera skráður inn til að halda áfram. ");
	define("AD_REQUEST_BUTTON", "Senda fyrirspurn");
	define("AD_SENT_MSG", "Tilboð þitt hefur verið sent.");
	define("ADS_SETTINGS_MSG", "Ads Settings");
	define("ADS_DAYS_MSG", "Days to run Ad");
	define("ADS_HOT_DAYS_MSG", "Days to run Hot Ad");
	define("AD_HOT_OFFER_MSG", "Hot Offer");
	define("AD_HOT_ACTIVATE_MSG", "Add this Ad to Hot Offers section");
	define("AD_HOT_START_MSG", "Hot Offer Start Date");
	define("AD_HOT_DESCRIPTION_MSG", "Hot Description");
	define("ADS_SPECIAL_DAYS_MSG", "Days to run Special Ad");
	define("AD_SPECIAL_OFFER_MSG", "Special Offer");
	define("AD_SPECIAL_ACTIVATE_MSG", "Add this Ad to Special Offers section");
	define("AD_SPECIAL_START_MSG", "Special Offer Start Date");
	define("AD_SPECIAL_DESCRIPTION_MSG", "Special Offer Description");
	define("AD_CREDITS_BALANCE_ERROR", "Not enough credits on your balance, you need {more_credits} more to post this Ad.");
	define("AD_CREDITS_MSG", "Ad Credits");
	define("ADS_SPECIAL_OFFERS_SETTINGS_MSG", "Ads Special Offers Settings");
	//ad types
	define("AD_PRODUCT_TYPE_MSG", "Product");
	define("AD_ACCESSORY_TYPE_MSG", "Accessory");

	define("EDIT_DAY_MSG", "Edit Day");
	define("DAYS_PRICE_MSG", "Days Price");
	define("ADS_PUBLISH_PRICE_MSG", "Price to post Ad");
	define("DAYS_NUMBER_MSG", "Number of Days");
	define("DAYS_TITLE_MSG", "Days Title");
	define("USER_ADS_LIMIT_MSG", "Number of ads can be added by user");
	define("USER_ADS_LIMIT_DESC", "leave this field blank if you do not want to limit number of ads user can post");
	define("USER_ADS_LIMIT_ERROR", "Sorry, but you are not allowed to add more than {ads_limit} ads.");
	// controls
	define("ADS_SHOW_TERMS_MSG", "Show Terms & Conditions");
	define("ADS_SHOW_TERMS_DESC", "To submit an ad user has to read and agree to our terms and conditions");
	define("ADS_TERMS_MSG", "Terms & Conditions");
	define("ADS_TERMS_USER_DESC", "I have read and agree to your terms and conditions");
	define("ADS_TERMS_USER_ERROR", "To submit an ad you have to read and agree to our terms and conditions");
	define("ADS_ACTIVATION_MSG", "Ads Activation");
	define("ACTIVATE_ADS_MSG", "Activate Ads");
	define("ACTIVATE_ADS_NOTE", "automatically activate all user ads if his status changed to 'Approved'");
	define("DEACTIVATE_ADS_MSG", "Deactivate Ads");
	define("DEACTIVATE_ADS_NOTE", "automatically deactivate all user ads if his status changed to 'Not Approved'");

	define("MIN_ALLOWED_ADS_PRICE_MSG", "Minimum Allowed Price");
	define("MIN_ALLOWED_ADS_PRICE_NOTE", "leave this field blank if you do not want to limit the lower price for ads");
	define("MAX_ALLOWED_ADS_PRICE_MSG", "Maximum Allowed Price");
	define("MAX_ALLOWED_ADS_PRICE_NOTE", "leave this field blank if you do not want to limit the higher price for ads");

	// search message
	define("SEARCH_FOR_MSG", "Leita að");
	define("SEARCH_IN_MSG", "Leita í");
	define("SEARCH_TITLE_MSG", "Titill");
	define("SEARCH_CODE_MSG", "Kóði");
	define("SEARCH_SHORT_DESC_MSG", "Stutt lýsing");
	define("SEARCH_FULL_DESC_MSG", "Ítarleg lýsing");
	define("SEARCH_CATEGORY_MSG", "Leita í flokki");
	define("SEARCH_MANUFACTURER_MSG", "Framleiðandi");
	define("SEARCH_SELLER_MSG", "Seljandi");
	define("SEARCH_PRICE_MSG", "Verðbil");
	define("SEARCH_WEIGHT_MSG", "Þyngdartakmörk");
	define("SEARCH_RESULTS_MSG", "Leitarniðurstöður");
	define("FULL_SITE_SEARCH_MSG", "Leita á allri síðunni");
	define("KEYWORDS_CRITERION_MSG", "Keywords: <b>{keywords}</b>");
	define("AUTHOR_CRITERION_MSG", "Author: <b>{author}</b>");
	define("CATEGORY_CRITERION_MSG", "Category: <b>{category}</b>");
	define("DATE_CRITERION_MSG", "Date: <b>{date}</b>");
	define("TYPE_CRITERION_MSG", "Type: <b>{type}</b>");
	define("COUNTRY_CRITERION_MSG", "Country: <b>{country}</b>");
	define("STATE_CRITERION_MSG", "State: <b>{state}</b>");
	define("POSTAL_CODE_CRITERION_MSG", "Postal code: <b>{postal_code}</b>");
	define("AGE_CRITERION_MSG", "Age: <b>{age}</b>");

	// compare messages
	define("COMPARE_MSG", "Bera saman");
	define("COMPARE_REMOVE_MSG", "Fjarlægja");
	define("COMPARE_REMOVE_HELP_MSG", "Smelltu hér til að fjarlægja þessa vöru af samanburðartöflunni");
	define("COMPARE_MIN_ALLOWED_MSG", "Þú verður að velja minnst 2 vörur");
	define("COMPARE_MAX_ALLOWED_MSG", "Þú getur ekki valið fleiri en 5 vörur");
	define("COMPARE_PARAM_ERROR_MSG", "Samanburðarbreytan hefur ekki rétt gildi");

	// Tell a friend messages
	define("TELL_FRIEND_TITLE", "Segja vini");
	define("TELL_FRIEND_SUBJECT_MSG", "Vinur þinn hefur sent þér þennan hlekk.");
	define("TELL_FRIEND_DEFAULT_MSG", "Hæ {friend_name} - Mér datt í hug að þú hefðir áhuga á að skoða {item_title} á þessari síðu {item_url}");
	define("TELL_YOUR_NAME_FIELD", "Nafnið þitt");
	define("TELL_YOUR_EMAIL_FIELD", "Netfang þitt");
	define("TELL_FRIENDS_NAME_FIELD", "Nafn vinar");
	define("TELL_FRIENDS_EMAIL_FIELD", "Netfang vinar");
	define("TELL_COMMENT_FIELD", "Athugasemdir");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "ATHUGIÐ FRIÐHELGI: Við munum ekki vista eða nota tölvupóstfang þitt eða vinar þíns í neinum öðrum tilgangi. ");
	define("TELL_SENT_MSG", "Skilaboðin hafa verið send!<br>Takk fyrir!");
	define("TELL_FRIEND_MESSAGE_MSG", "Datt í hug að þú hefðir áhuga á að skoða {item_title} á {item_url}\\n\\n{user_name} sendi þér skilaboð:\\n{user_comment}");
	define("TELL_FRIEND_PARAM_MSG", "Kynna URL vinar");
	define("TELL_FRIEND_PARAM_DESC", "bæta URL breytu vinar í 'Segja vini' hlekk ef hann er til fyrir notanda");
	define("FRIEND_COOKIE_EXPIRES_MSG", "Vina kaka rennur út");

	define("CONTACT_US_TITLE", "Hafa samband");
	define("CONTACT_USER_NAME_FIELD", "Nafn");
	define("CONTACT_USER_EMAIL_FIELD", "Tölvupóstfang");
	define("CONTACT_SUMMARY_FIELD", "Einnar línu samantekt");
	define("CONTACT_DESCRIPTION_FIELD", "Lýsing");
	define("CONTACT_REQUEST_SENT_MSG", "Beiðni þín hefur verið send");

	// internal messages system
	define("FOLDER_INBOX_MSG", "Inbox");
	define("FOLDER_SENT_MSG", "Sent");
	define("FOLDER_DRAFT_MSG", "Draft");
	define("FOLDER_TRASH_MSG", "Trash");
	define("READ_MSG", "Read");
	define("USER_NOT_FOUND_MSG", "User {username} wasn't found.");
	define("MESSAGE_SAVED_MSG", "Your message has been saved.");
	define("NO_MESSAGES_MSG", "No messages were found");
	define("SEND_ME_MESSAGE_MSG", "Send me a Message");
	define("WRITE_NEW_MESSAGE_MSG", "Write a new Message");
	define("REACH_BOX_LIMIT_MSG", "You reach box limit - {box_limit} messages. Delete some messages before proceed.");
	define("MESSAGES_DAY_LIMIT_ERROR", "You can't send more than {day_limit} messages per day.");

	// buttons
	define("GO_BUTTON", "Byrja");
	define("CONTINUE_BUTTON", "Áfram");
	define("BACK_BUTTON", "Til baka");
	define("NEXT_BUTTON", "Næsta");
	define("PREV_BUTTON", "Fyrri");
	define("SIGN_IN_BUTTON", "Skrá inn");
	define("LOGIN_BUTTON", "Innskráning");
	define("LOGOUT_BUTTON", "Útskráning");
	define("SEARCH_BUTTON", "Leita");
	define("RATE_IT_BUTTON", "Gefa einkunn!");
	define("ADD_BUTTON", "Bæta við");
	define("UPDATE_BUTTON", "Uppfæra");
	define("APPLY_BUTTON", "Breyta");
	define("REGISTER_BUTTON", "Skrá  ");
	define("VOTE_BUTTON", "Kjósa");
	define("CANCEL_BUTTON", "Hætta við");
	define("CLEAR_BUTTON", "Hreinsa");
	define("RESET_BUTTON", "Endursetja");
	define("DELETE_BUTTON", "Eyða");
	define("DELETE_ALL_BUTTON", "Eyða öllu");
	define("SUBSCRIBE_BUTTON", "Í áskrift");
	define("UNSUBSCRIBE_BUTTON", "Úr áskrift");
	define("SUBMIT_BUTTON", "Senda inn");
	define("UPLOAD_BUTTON", "Hlaða upp");
	define("SEND_BUTTON", "Senda   ");
	define("PREVIEW_BUTTON", "Skoða");
	define("FILTER_BUTTON", "Sía");
	define("DOWNLOAD_BUTTON", "Sækja");
	define("REMOVE_BUTTON", "Fjarlægja");
	define("EDIT_BUTTON", "Breyta");
	define("CHANGE_BUTTON", "Change");
	define("SAVE_BUTTON", "Save");
	define("REPLY_BUTTON", "Svara");
	define("FORWARD_BUTTON", "Forward");
	define("PLACE_ORDER_BUTTON", "Place Order");
	define("REQUEST_QUOTE_BUTTON", "Request a Quote");

	// controls
	define("CHECKBOXLIST_MSG", "Valglugga listi");
	define("LABEL_MSG", "Merki");
	define("LISTBOX_MSG", "Listagluggi");
	define("RADIOBUTTON_MSG", "Útvarpshnappar");
	define("TEXTAREA_MSG", "Textasvæði");
	define("TEXTBOX_MSG", "Textagluggi");
	define("TEXTBOXLIST_MSG", "Textaglugga listi");
	define("WIDTH_AND_HEIGHT_MSG", "Width & Height");
	define("IMAGEUPLOAD_MSG", "Senda inn mynd");
	define("IMAGE_SELECT_MSG", "Image Select");
	define("CREDIT_CARD_MSG", "Greiðslukort");
	define("GROUP_MSG", "Hópur");

	// fields
	define("LOGIN_FIELD", "Notandanafn");
	define("USERNAME_FIELD", "Notandanafn");
	define("PASSWORD_FIELD", "Lykilorð");
	define("CONFIRM_PASS_FIELD", "Staðfesta lykilorð");
	define("NEW_PASS_FIELD", "Nýtt lykilorð");
	define("CURRENT_PASS_FIELD", "Núverandi lykilorð");
	define("FULL_NAME_FIELD", "Nafn");
	define("FIRST_NAME_FIELD", "Fornafn");
	define("MIDDLE_NAME_FIELD", "Middle Name");
	define("LAST_NAME_FIELD", "Eftirnafn");
	define("NICKNAME_FIELD", "Gælunafn");
	define("PERSONAL_IMAGE_FIELD", "Persónuleg mynd");
	define("COMPANY_SELECT_FIELD", "Fyrirtæki");
	define("SELECT_COMPANY_MSG", "Veldu fyrirtæki");
	define("COMPANY_NAME_FIELD", "Nafn fyrirtækis");
	define("EMAIL_FIELD", "Tölvupóstfang");
	define("STREET_FIRST_FIELD", "Heimilisfang 1");
	define("STREET_SECOND_FIELD", "Heimilisfang 2");
	define("STREET_THIRD_FIELD", "Address (continue)");
	define("CITY_FIELD", "Borg");
	define("PROVINCE_FIELD", "Hérað");
	define("SELECT_STATE_MSG", "Velja fylki");
	define("STATE_FIELD", "Fylki");
	define("ZIP_FIELD", "Póstnúmer");
	define("SELECT_COUNTRY_MSG", "Velja land");
	define("COUNTRY_FIELD", "Land");
	define("PHONE_FIELD", "Sími");
	define("DAYTIME_PHONE_FIELD", "Sími á daginn");
	define("EVENING_PHONE_FIELD", "Sími á kvöldin");
	define("CELL_PHONE_FIELD", "Farsími");
	define("FAX_FIELD", "Faxnúmer");
	define("VALIDATION_CODE_FIELD", "Auðkenniskóði");
	define("AFFILIATE_CODE_FIELD", "Kóði tengiliðar");
	define("AFFILIATE_CODE_HELP_MSG", "Vinsamlega notið eftirfarandi URL {affiliate_url} til að búa til hlekk sem tengist síðunni þinni");
	define("PAYPAL_ACCOUNT_FIELD", "PayPal aðgangur");
	define("TAX_ID_FIELD", "Skattanúmer");
	define("MSN_ACCOUNT_FIELD", "MSN aðgangur");
	define("ICQ_NUMBER_FIELD", "ICQ númer");
	define("USER_SITE_URL_FIELD", "URL á vef notanda");
	define("HIDDEN_STATUS_FIELD", "Staða falin");
	define("HIDE_MY_ONLINE_STATUS_MSG", "Ekki sýna stöðu minnar tengingar");
	define("SHOW_ON_SITE_FIELD", "Show on site");
	define("SUMMARY_MSG", "Samantekt");
	define("MY_ADDRESS_BOOK_MSG", "My Address Book");
	define("MY_ADDRESS_BOOK_DESC", "Manage your address book of delivery addresses so the next time you order anything you could pick it up on from the list of delivery addresses without having to re-type the address over again.");
	define("ADDRESS_MSG", "Address");
	define("ADDRESS_TYPE_MSG", "Address Type");
	define("MY_ADDRESSES_MSG", "My Addresses");
	define("NO_ADDRESSES_MSG", "No addresses were found");
	define("SELECT_ADDRESS_MSG", "Select Address");
	define("SELECT_COUNTRY_FIRST_MSG", "Select country first");
	define("NO_STATES_FOR_COUNTRY_MSG", "No states available for selected country");
	define("ACCESS_TOKEN_MSG", "Access Token");
	define("MY_MESSAGES_MSG", "My Messages");
	define("MY_MESSAGES_DESC", "Here you can communicate with other users without having to share your e-mail addresses.");
	define("TERMS_MSG", "Terms & Conditions");
	define("TERMS_USER_DESC", "I have read and agree to your terms and conditions");

	// general form tabs
	define("GENERAL_TAB", "General");
	define("DESCRIPTION_TAB", "Description");
	define("LOCATION_TAB", "Location");
	define("IMAGES_TAB", "Images");
	define("PHOTOS_TAB", "Photos");

	// no records messages
	define("NO_RECORDS_MSG", "Engar skrár fundust");
	define("NO_EVENTS_MSG", "Engir atburðir fundust");
	define("NO_QUESTIONS_MSG", "Engar spurningar fundust");
	define("NO_NEWS_MSG", "Engar nýjar greinar fundust");
	define("NO_POLLS_MSG", "Engar kannanir fundust");
	define("NO_REMINDERS_MSG", "No reminders were found");
	define("NO_DATA_WERE_FOUND_MSG", "No data were found");


	// SMS messages
	define("SMS_TITLE", "SMS");
	define("SMS_TEST_TITLE", "SMS prufa");
	define("SMS_TEST_DESC", "Vinsamlega skrifið farsímanúmerið og smellið á 'SEND_BUTTON' til að fá prufuskilaboð");
	define("INVALID_CELL_PHONE", "Ekki rétt farsímanúmer");

	define("ARTICLE_RELATED_PRODUCTS_TITLE", "Vörur sem tengjast grein");
	define("CATEGORY_RELATED_PRODUCTS_TITLE", "Vörur sem tengjast flokk");
	define("SELECT_TYPE_MSG", "Velja gerð");
	define("OFFER_PRICE_MSG", "Tilboðsverð");
	define("OFFER_MESSAGE_MSG", "Tilboðsskilaboð");

	define("MY_WISHLIST_MSG", "Minn óskalisti");
	define("MY_WISHLIST_DESC", "Here you can view wishlist items saved in the past.");
	define("SELECT_WISHLIST_TYPE_MSG", "Please select a type to save product in your wishlist");
	define("MY_REMINDERS_MSG", "Mínar áminningar");
	define("EDIT_REMINDER_MSG", "Breyta áminningu");


	define("SELECT_SUBFOLDER_MSG", "Select Subfolder");
	define("CURRENT_DIR_MSG", "Current directory");
	define("NO_AVAILIABLE_CATEGORIES_MSG", "No categories available");
	define("SHOW_FOR_NON_REGISTERED_USERS_MSG", "Show for non registered users");
	define("SHOW_FOR_REGISTERED_USERS_MSG", "Show for registered users");
	define("VIEW_ITEM_IN_THE_LIST_MSG", "View item in products list");
	define("ACCESS_DETAILS_MSG", "Access Details");
	define("ACCESS_ITEMS_DETAILS_MSG", "Access item details / buy item");
	define("OTHER_SUBSCRIPTIONS_MSG", "Other Subscriptions");
	define("USE_CATEGORY_ALL_SITES_MSG", "Use this category for all sites (untick this checkbox to select sites manually)");
	define("USE_ITEM_ALL_SITES_MSG", "Use this item for all sites (untick this checkbox to select sites manually) ");
	define("SAVE_SUBSCRIPTIONS_SETTINGS_BY_CATEGORY_MSG", "Save subscriptions settings from categories");
	define("SAVE_SITES_SETTINGS_BY_CATEGORY_MSG", "Save sites settings from categories");
	define("ACCESS_LEVELS_MSG", "Access Levels");
	define("FULL_ACCESS_MSG", "Full Access");
	define("RESTRICTED_ACCESS_MSG", "Restricted Access");
	define("NO_ACCESS_MSG", "No Access");
	define("SITES_MSG", "Sites");
	define("NON_REGISTERED_USERS_MSG", "Non registered users");
	define("REGISTERED_CUSTOMERS_MSG", "Registered Users");
	define("PREVIEW_IN_SEPARATE_SECTION_MSG", "Show in separate section");
	define("PREVIEW_BELOW_DETAILS_IMAGE_MSG", "Show below image on details page");
	define("PREVIEW_BELOW_LIST_IMAGE_MSG", "Show below image on listing page");
	define("PREVIEW_POSITION_MSG", "Position");
	define("ADMIN_NOTES_MSG", "Administrator Notes");
	define("USER_NOTES_MSG", "User Notes");
	define("CMS_PERMISSIONS_MSG", "CMS Permissions");
	define("ARTICLES_PERMISSIONS_MSG", "Articles Permissions");
	define("WISHLIST_MSG", "Wishlist");
	define("TYPE_IS_NOT_AVAILIABLE_MSG", "Type is not availiable");
	define("TYPE_IS_NOT_SELECTED_MSG", "Type is not selected");
	define("SHOW_ALL_MSG", "Show all");

	define("MEMBER_SINCE_MSG", "Member Since");
	define("SITEMAP_TITLE_INDEX", "title");
	define("SITEMAP_URL_INDEX", "url");
	define("SITEMAP_SUBS_INDEX", "subs");

	define("HOT_RELEASES_MSG", "Hot Releases");
	define("PAY_FOR_AD_MSG", "Pay for Ad");
	define("CHECK_SITE_MSG", "check the site");

	define("CONTACT_US_MSG", "Contact Us");
	define("REGISTERED_USERS_ALLOWED_MESSAGES_MSG", "Only registered users can send their messages.");
	define("NOT_ALLOWED_SEND_MESSAGES_MSG", "Sorry, but you are not allowed to send messages.");
	define("MESSAGE_SENT_MSG", "The message has been sent");
	define("MESSAGE_INTERVAL_ERROR", "Please wait for {interval_time} to send your message.");
	define("ONE_LINE_SUMMARY_MSG", "Útdráttur af vef");
	define("DETAILED_COMMENT_MSG", "Nákvæmar athugasemdir");
	define("REMINDER_MSG", "Reminder");
	define("CHAINED_MENU_TITLE", "Chained Menu");
	//article statuses
	define("ARTICLE_NEW_MSG", "New");
	define("ARTICLE_PUBLISHED_MSG", "Published");
	define("ARTICLE_PENDING_MSG", "Pending");
	define("ARTICLE_HIDDEN_MSG", "Hidden");
	//priorities
	define("PRIORITY_HIGH_MSG", "High");
	define("PRIORITY_NORMAL_MSG", "Normal");
	define("PRIORITY_LOW_MSG", "Low");
	//customer types
	define("CUSTOMER_TYPE_MSG", "Customer");
	//cookies constants
	define("COOKIE_CONTROL_MSG", "Cookies Control");
	define("COOKIE_INFO_MSG", "<b>Cookies Control</b><br /><br />This site uses cookies to store information on your computer. If you turn off cookies, some site features will become unavailable.<br /><a href=\"page.php?page=use_of_cookies\">Read more</a><br /><br />Keep cookies?");
	define("CALL_CENTER_MODE_MSG", "You are in <b>Call Center mode</b>. It means all checkout settigns you see are visible only to you as administrator. <b>Logout</b> from admin panel to switch to usual mode.");

?>