<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 5                                                    ***
  ***      File:  reviews_messages.php                                     ***
  ***      Built: Tue Jun  6 16:19:04 2017                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// reviews/rating messages
	define("OPTIONAL_MSG", "任意");
	define("BAD_MSG", "よくない");
	define("POOR_MSG", "あまりよくない");
	define("AVERAGE_MSG", "普通");
	define("GOOD_MSG", "よい");
	define("EXCELLENT_MSG", "素晴らしい");
	define("REVIEWS_MSG", "レビュー");
	define("NO_REVIEWS_MSG", "レビューはありません。");
	define("WRITE_REVIEW_MSG", "レビューを書く");
	define("RATE_PRODUCT_MSG", "この製品を評価する");
	define("RATE_ARTICLE_MSG", "この記事を評価する");
	define("NOT_RATED_PRODUCT_MSG", "この製品はまだ評価されていません。");
	define("NOT_RATED_ARTICLE_MSG", "記事はまだ評価されていません。");
	define("AVERAGE_RATING_MSG", "平均評価");
	define("BASED_ON_REVIEWS_MSG", "レビュー {total_votes} に基づく");
	define("POSITIVE_REVIEW_MSG", "ポジティブなカスタマーレビュー");
	define("NEGATIVE_REVIEW_MSG", "ネガティブなカスタマーレビュー");
	define("LATEST_REVIEWS_MSG", "Latest Reviews");
	define("LATEST_REVIEWS_NUMBER_MSG", "Latest Reviews Number");
	define("SEE_ALL_REVIEWS_MSG", "すべてのカスタマーレビューを見る");
	define("ALL_REVIEWS_MSG", "すべてのレビュー");
	define("ONLY_POSITIVE_MSG", "ポジティブレビューのみ");
	define("ONLY_NEGATIVE_MSG", "ネガティブレビューのみ");
	define("POSITIVE_REVIEWS_MSG", "ポジティブなレビュー");
	define("NEGATIVE_REVIEWS_MSG", "ネガティブなレビュー");
	define("SUBMIT_REVIEW_MSG", "ありがとうございます。 <br>お客様のコメントは審査され、承認されると、サイトに掲載されます。 <br> 弊社のガイドラインに添わない内容が含まれている場合、掲載を遠慮させていただくことがあります。");
	define("ALREADY_REVIEW_MSG", "レビューは掲載済みです。");
	define("RECOMMEND_PRODUCT_MSG", "この製品を他のカスタマーに推薦しますか？");
	define("RECOMMEND_ARTICLE_MSG", "この記事を他のカスタマーに推薦しますか？");
	define("RATE_IT_MSG", "評価");
	define("NAME_ALIAS_MSG", "名前またはニックネーム");
	define("SHOW_MSG", "表示");
	define("FOUND_MSG", "見つかりました");
	define("RATING_MSG", "評価平均");
	define("REGISTERED_USERS_ADD_REVIEWS_MSG", "Only registered users can add their reviews.");
	define("NOT_ALLOWED_ADD_REVIEW_MSG", "Sorry, but you are not allowed to add reviews.");

	define("ALLOWED_VIEW_REVIEWS_MSG", "Allowed to See Reviews");
	define("ALLOWED_POST_REVIEWS_MSG", "Allowed to Post Reviews");
	define("REVIEWS_RESTRICTIONS_MSG", "Reviews Restrictions");
	define("REVIEWS_PER_USER_MSG", "Number of Reviews per User");
	define("REVIEWS_PER_USER_DESC", "leave this field blank if you do not want to limit number of reviews user can post");
	define("REVIEWS_PERIOD_MSG", "Reviews Period");
	define("REVIEWS_PERIOD_DESC", "period when reviews restrictions are in force");

	define("AUTO_APPROVE_REVIEWS_MSG", "Auto Approve Reviews");
	define("BY_RATING_MSG", "By Rating");
	define("SELECT_REVIEWS_FIRST_MSG", "Please select reviews first.");
	define("SELECT_REVIEWS_STATUS_MSG", "Please select status.");
	define("REVIEWS_STATUS_CONFIRM_MSG", "You are about to change the status of selected reviews to '{status_name}'. Continue?");
	define("REVIEWS_DELETE_CONFIRM_MSG", "Are you sure you want remove selected reviews ({total_reviews})?");

?>